aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--archivers/p5-Compress-Bzip2/Makefile10
-rw-r--r--archivers/p5-Compress-LZW/Makefile11
-rw-r--r--archivers/p5-IO-Compress-Base/Makefile8
-rw-r--r--archivers/p5-PerlIO-gzip/Makefile10
-rw-r--r--archivers/p5-PerlIO-via-Bzip2/Makefile10
-rw-r--r--astro/p5-Astro-Catalog/Makefile8
-rw-r--r--astro/p5-Weather-Underground/Makefile10
-rw-r--r--audio/gnump3d/Makefile7
-rw-r--r--audio/gnupod/Makefile6
-rw-r--r--audio/gramofile/Makefile8
-rw-r--r--audio/p5-Audio-Beep/Makefile10
-rw-r--r--audio/p5-Audio-Scrobbler/Makefile8
-rw-r--r--audio/p5-Audio-TagLib/Makefile10
-rw-r--r--audio/p5-Filesys-Virtual-DAAP/Makefile8
-rw-r--r--audio/p5-MP3-Tag/Makefile10
-rw-r--r--audio/p5-MusicBrainz-Client/Makefile8
-rw-r--r--audio/p5-MusicBrainz-Queries/Makefile8
-rw-r--r--audio/p5-MusicBrainz-TRM/Makefile8
-rw-r--r--audio/p5-Net-DAAP-Client/Makefile8
-rw-r--r--audio/p5-Net-DAAP-DMAP/Makefile8
-rw-r--r--audio/p5-Net-FreeDB/Makefile9
-rw-r--r--audio/p5-Ogg-Vorbis-Header/Makefile8
-rw-r--r--benchmarks/p5-Benchmark-Stopwatch/Makefile4
-rw-r--r--biology/p5-AcePerl/Makefile4
-rw-r--r--biology/p5-Bio-ASN1-EntrezGene/Makefile8
-rw-r--r--biology/p5-Bio-Phylo/Makefile10
-rw-r--r--biology/p5-bioperl-devel/Makefile3
-rw-r--r--biology/p5-bioperl-run-devel/Makefile8
-rw-r--r--biology/p5-bioperl-run/Makefile8
-rw-r--r--biology/p5-bioperl/Makefile3
-rw-r--r--cad/p5-GDS2/Makefile1
-rw-r--r--chinese/oicq/Makefile10
-rw-r--r--chinese/p5-Encode-HanExtra/Makefile10
-rw-r--r--chinese/p5-Lingua-Han-Utils/Makefile13
-rw-r--r--chinese/p5-Lingua-ZH-BPMFConvert/Makefile8
-rw-r--r--chinese/p5-Lingua-ZH-Segment/Makefile10
-rw-r--r--comms/hamlib/Makefile4
-rw-r--r--comms/p5-Device-SerialPort/Makefile8
-rw-r--r--comms/p5-Fax-Hylafax-Client/Makefile10
-rw-r--r--comms/p5-SMS-Send/Makefile8
-rw-r--r--converters/p5-Convert-Bencode_XS/Makefile8
-rw-r--r--converters/p5-Convert-Morse/Makefile10
-rw-r--r--converters/p5-Encode-JIS2K/Makefile10
-rw-r--r--converters/p5-Encode-compat/Makefile8
-rw-r--r--converters/p5-Encode/Makefile6
-rw-r--r--converters/p5-JSON-XS/Makefile10
-rw-r--r--converters/p5-MIME-Base64/Makefile12
-rw-r--r--converters/p5-Number-Nary/Makefile10
-rw-r--r--converters/p5-Number-RecordLocator/Makefile8
-rw-r--r--converters/p5-Text-Unidecode/Makefile8
-rw-r--r--converters/p5-Unicode-String/Makefile4
-rw-r--r--converters/p5-XML-WBXML/Makefile8
-rw-r--r--databases/mysql323-scripts/Makefile1
-rw-r--r--databases/mysql40-scripts/Makefile1
-rw-r--r--databases/mysql41-scripts/Makefile1
-rw-r--r--databases/mysql50-scripts/Makefile1
-rw-r--r--databases/mysql51-scripts/Makefile1
-rw-r--r--databases/mysql54-scripts/Makefile1
-rw-r--r--databases/mysql55-scripts/Makefile1
-rw-r--r--databases/mysql60-scripts/Makefile1
-rw-r--r--databases/p5-Cache-Memcached-Managed/Makefile8
-rw-r--r--databases/p5-Cache-Memcached-XS/Makefile10
-rw-r--r--databases/p5-Class-DBI-AutoLoader/Makefile11
-rw-r--r--databases/p5-Class-DBI-DATA-Schema/Makefile8
-rw-r--r--databases/p5-Class-DBI-DDL/Makefile10
-rw-r--r--databases/p5-Class-DBI-Loader/Makefile4
-rw-r--r--databases/p5-Class-DBI-Plugin-AbstractCount/Makefile6
-rw-r--r--databases/p5-Class-DBI-Plugin-Iterator/Makefile8
-rw-r--r--databases/p5-Class-DBI-Plugin-Pager/Makefile8
-rw-r--r--databases/p5-Class-DBI-Plugin-RetrieveAll/Makefile11
-rw-r--r--databases/p5-Class-DBI-Plugin-Type/Makefile14
-rw-r--r--databases/p5-Class-DBI-Plugin/Makefile6
-rw-r--r--databases/p5-Class-DBI-Sweet/Makefile10
-rw-r--r--databases/p5-Class-DBI/Makefile8
-rw-r--r--databases/p5-DBD-CSV/Makefile8
-rw-r--r--databases/p5-DBD-InterBase/Makefile8
-rw-r--r--databases/p5-DBD-LDAP/Makefile8
-rw-r--r--databases/p5-DBD-Mock/Makefile10
-rw-r--r--databases/p5-DBIx-Class-DigestColumns/Makefile8
-rw-r--r--databases/p5-DBIx-Class-Loader/Makefile8
-rw-r--r--databases/p5-DBIx-Class-Schema-Loader/Makefile6
-rw-r--r--databases/p5-DBIx-Class-UUIDColumns/Makefile10
-rw-r--r--databases/p5-DBIx-Class-Validation/Makefile10
-rw-r--r--databases/p5-DBIx-Class-WebForm/Makefile8
-rw-r--r--databases/p5-DBIx-Class/Makefile8
-rw-r--r--databases/p5-DBIx-Log4perl/Makefile10
-rw-r--r--databases/p5-DBIx-Perlish/Makefile10
-rw-r--r--databases/p5-DBIx-SQLEngine/Makefile8
-rw-r--r--databases/p5-DBIx-SQLite-Simple/Makefile8
-rw-r--r--databases/p5-DBIx-SearchBuilder/Makefile10
-rw-r--r--databases/p5-DBIx-Simple/Makefile4
-rw-r--r--databases/p5-Data-Pageset/Makefile8
-rw-r--r--databases/p5-Exception-Class-DBI/Makefile10
-rw-r--r--databases/p5-GDBM/Makefile10
-rw-r--r--databases/p5-Genezzo/Makefile10
-rw-r--r--databases/p5-Iterator-DBI/Makefile10
-rw-r--r--databases/p5-Jifty-DBI/Makefile6
-rw-r--r--databases/p5-Oryx/Makefile8
-rw-r--r--databases/p5-POE-Component-EasyDBI/Makefile8
-rw-r--r--databases/p5-POE-Component-LaDBI/Makefile8
-rw-r--r--databases/p5-Pg/Makefile3
-rw-r--r--databases/p5-RRD-Simple/Makefile8
-rw-r--r--databases/p5-Rose-DB-Object/Makefile6
-rw-r--r--databases/p5-Rose-DB/Makefile10
-rw-r--r--databases/p5-SQL-Abstract-Limit/Makefile8
-rw-r--r--databases/p5-SQL-Abstract/Makefile8
-rw-r--r--databases/p5-SQL-ReservedWords/Makefile8
-rw-r--r--databases/p5-SQL-Statement/Makefile6
-rw-r--r--databases/p5-SQL-Translator/Makefile6
-rw-r--r--databases/p5-Template-DBI/Makefile8
-rw-r--r--databases/p5-Test-DatabaseRow/Makefile8
-rw-r--r--databases/p5-Time-Piece-MySQL/Makefile8
-rw-r--r--databases/p5-sqlrelay/Makefile2
-rw-r--r--deskutils/p5-Data-ICal/Makefile8
-rw-r--r--deskutils/p5-Goo/Makefile8
-rw-r--r--devel/avr-gcc-3/Makefile9
-rw-r--r--devel/avr-gcc/Makefile5
-rw-r--r--devel/cil/Makefile8
-rw-r--r--devel/cvsweb3/Makefile4
-rw-r--r--devel/deputy/Makefile8
-rw-r--r--devel/hs-haddock/Makefile8
-rw-r--r--devel/libpperl/Makefile10
-rw-r--r--devel/p5-AI-Pathfinding-AStar/Makefile8
-rw-r--r--devel/p5-Algorithm-Bucketizer/Makefile10
-rw-r--r--devel/p5-Algorithm-C3/Makefile10
-rw-r--r--devel/p5-Algorithm-ChooseSubsets/Makefile8
-rw-r--r--devel/p5-Algorithm-Dependency-Objects/Makefile8
-rw-r--r--devel/p5-Algorithm-Dependency/Makefile9
-rw-r--r--devel/p5-Algorithm-Evolutionary/Makefile8
-rw-r--r--devel/p5-Algorithm-LCS/Makefile10
-rw-r--r--devel/p5-Algorithm-MinMax/Makefile8
-rw-r--r--devel/p5-Algorithm-SVM/Makefile8
-rw-r--r--devel/p5-AnyEvent/Makefile10
-rw-r--r--devel/p5-App-CLI/Makefile8
-rw-r--r--devel/p5-App-Cache/Makefile8
-rw-r--r--devel/p5-App-Options/Makefile8
-rw-r--r--devel/p5-App-Trace/Makefile8
-rw-r--r--devel/p5-Array-Iterator/Makefile8
-rw-r--r--devel/p5-Attribute-Handlers/Makefile11
-rw-r--r--devel/p5-AutoLoader/Makefile8
-rw-r--r--devel/p5-B-Generate/Makefile8
-rw-r--r--devel/p5-B-Size/Makefile8
-rw-r--r--devel/p5-B-Utils/Makefile8
-rw-r--r--devel/p5-CPAN-Mini/Makefile3
-rw-r--r--devel/p5-CPAN-SQLite/Makefile10
-rw-r--r--devel/p5-CPANPLUS/Makefile4
-rw-r--r--devel/p5-Cache-FastMmap/Makefile8
-rw-r--r--devel/p5-Cache/Makefile6
-rw-r--r--devel/p5-Carp-Assert-More/Makefile8
-rw-r--r--devel/p5-Class-Accessor-Grouped/Makefile8
-rw-r--r--devel/p5-Class-Accessor/Makefile9
-rw-r--r--devel/p5-Class-AutoClass/Makefile6
-rw-r--r--devel/p5-Class-Base/Makefile10
-rw-r--r--devel/p5-Class-C3-Componentised/Makefile10
-rw-r--r--devel/p5-Class-C3-XS/Makefile10
-rw-r--r--devel/p5-Class-C3/Makefile6
-rw-r--r--devel/p5-Class-Closure/Makefile10
-rw-r--r--devel/p5-Class-CodeStyler/Makefile10
-rw-r--r--devel/p5-Class-Constant/Makefile4
-rw-r--r--devel/p5-Class-Container/Makefile4
-rw-r--r--devel/p5-Class-Data-Accessor/Makefile8
-rw-r--r--devel/p5-Class-Field/Makefile8
-rw-r--r--devel/p5-Class-Gomor/Makefile8
-rw-r--r--devel/p5-Class-Hook/Makefile8
-rw-r--r--devel/p5-Class-MOP/Makefile8
-rw-r--r--devel/p5-Class-Multimethods-Pure/Makefile8
-rw-r--r--devel/p5-Class-STL-Containers/Makefile10
-rw-r--r--devel/p5-Class-Spiffy/Makefile8
-rw-r--r--devel/p5-Class-StateMachine/Makefile10
-rw-r--r--devel/p5-Class-Std/Makefile4
-rw-r--r--devel/p5-Class-Tangram/Makefile8
-rw-r--r--devel/p5-Class-Throwable/Makefile8
-rw-r--r--devel/p5-Clone-More/Makefile10
-rw-r--r--devel/p5-Code-Perl/Makefile8
-rw-r--r--devel/p5-Commands-Guarded/Makefile8
-rw-r--r--devel/p5-CommitBit/Makefile10
-rw-r--r--devel/p5-Config-Any/Makefile8
-rw-r--r--devel/p5-Config-ApacheFormat/Makefile8
-rw-r--r--devel/p5-Config-Fast/Makefile8
-rw-r--r--devel/p5-Config-INI-Simple/Makefile10
-rw-r--r--devel/p5-Config-Objective/Makefile8
-rw-r--r--devel/p5-Config-Properties/Makefile8
-rw-r--r--devel/p5-Config-Record/Makefile8
-rw-r--r--devel/p5-Config-Std/Makefile8
-rw-r--r--devel/p5-Config-Tiny/Makefile8
-rw-r--r--devel/p5-Coro/Makefile10
-rw-r--r--devel/p5-Data-ACL/Makefile8
-rw-r--r--devel/p5-Data-Bind/Makefile10
-rw-r--r--devel/p5-Data-Dumper-Simple/Makefile3
-rw-r--r--devel/p5-Data-GUID/Makefile10
-rw-r--r--devel/p5-Data-ObjectDriver/Makefile10
-rw-r--r--devel/p5-Data-OptList/Makefile8
-rw-r--r--devel/p5-Data-Postponed/Makefile8
-rw-r--r--devel/p5-Data-Stag/Makefile8
-rw-r--r--devel/p5-Data-Structure-Util/Makefile8
-rw-r--r--devel/p5-Data-Swap/Makefile8
-rw-r--r--devel/p5-Data-TemporaryBag/Makefile3
-rw-r--r--devel/p5-Data-TreeDumper/Makefile13
-rw-r--r--devel/p5-Data-Visitor/Makefile8
-rw-r--r--devel/p5-Date-Easter/Makefile10
-rw-r--r--devel/p5-Date-Holidays-DK/Makefile8
-rw-r--r--devel/p5-DateTime-Calendar-Discordian/Makefile9
-rw-r--r--devel/p5-Devel-Arena/Makefile10
-rw-r--r--devel/p5-Devel-Caller/Makefile10
-rw-r--r--devel/p5-Devel-Constants/Makefile8
-rw-r--r--devel/p5-Devel-Cycle/Makefile8
-rw-r--r--devel/p5-Devel-DProf/Makefile14
-rw-r--r--devel/p5-Devel-DProfPP/Makefile8
-rw-r--r--devel/p5-Devel-LeakTrace/Makefile4
-rw-r--r--devel/p5-Devel-LexAlias/Makefile10
-rw-r--r--devel/p5-Devel-Peek/Makefile11
-rw-r--r--devel/p5-Devel-Pointer/Makefile8
-rw-r--r--devel/p5-Devel-Profiler/Makefile8
-rw-r--r--devel/p5-Devel-SimpleTrace/Makefile8
-rw-r--r--devel/p5-Devel-TraceCalls/Makefile6
-rw-r--r--devel/p5-Devel-TraceUse/Makefile8
-rw-r--r--devel/p5-Env-PS1/Makefile8
-rw-r--r--devel/p5-Event-Lib/Makefile8
-rw-r--r--devel/p5-Expect-Simple/Makefile10
-rw-r--r--devel/p5-ExtUtils-AutoInstall/Makefile8
-rw-r--r--devel/p5-ExtUtils-Command/Makefile8
-rw-r--r--devel/p5-ExtUtils-Depends/Makefile8
-rw-r--r--devel/p5-ExtUtils-MakeMaker-Coverage/Makefile8
-rw-r--r--devel/p5-ExtUtils-ParseXS/Makefile8
-rw-r--r--devel/p5-FSA-Rules/Makefile4
-rw-r--r--devel/p5-File-Append-TempFile/Makefile8
-rw-r--r--devel/p5-File-Attributes-Recursive/Makefile10
-rw-r--r--devel/p5-File-Attributes/Makefile10
-rw-r--r--devel/p5-File-CreationTime/Makefile10
-rw-r--r--devel/p5-File-DesktopEntry/Makefile8
-rw-r--r--devel/p5-File-ExtAttr/Makefile6
-rw-r--r--devel/p5-File-Find-Object/Makefile8
-rw-r--r--devel/p5-File-Grep/Makefile9
-rw-r--r--devel/p5-File-HStore/Makefile8
-rw-r--r--devel/p5-File-MMagic-XS/Makefile8
-rw-r--r--devel/p5-File-Modified/Makefile5
-rw-r--r--devel/p5-File-Random/Makefile8
-rw-r--r--devel/p5-File-ReadBackwards/Makefile8
-rw-r--r--devel/p5-File-ShareDir/Makefile8
-rw-r--r--devel/p5-File-Slurp/Makefile11
-rw-r--r--devel/p5-File-Tempdir/Makefile8
-rw-r--r--devel/p5-File-Type/Makefile8
-rw-r--r--devel/p5-File-pushd/Makefile8
-rw-r--r--devel/p5-FileHandle-Unget/Makefile3
-rw-r--r--devel/p5-Filesys-Virtual-Plain/Makefile9
-rw-r--r--devel/p5-Filesys-Virtual/Makefile9
-rw-r--r--devel/p5-Geo-ShapeFile/Makefile8
-rw-r--r--devel/p5-Getopt-Popt/Makefile8
-rw-r--r--devel/p5-Glib2/Makefile8
-rw-r--r--devel/p5-Gnome2-GConf/Makefile10
-rw-r--r--devel/p5-Heap-Simple-Perl/Makefile10
-rw-r--r--devel/p5-Heap-Simple-XS/Makefile8
-rw-r--r--devel/p5-Heap-Simple/Makefile8
-rw-r--r--devel/p5-Hook-LexWrap/Makefile8
-rw-r--r--devel/p5-IO-AIO/Makefile8
-rw-r--r--devel/p5-IO-Capture/Makefile11
-rw-r--r--devel/p5-IO-Digest/Makefile10
-rw-r--r--devel/p5-IO-KQueue/Makefile5
-rw-r--r--devel/p5-IO-NestedCapture/Makefile10
-rw-r--r--devel/p5-IO-Prompt/Makefile3
-rw-r--r--devel/p5-IO-Toolkit/Makefile10
-rw-r--r--devel/p5-IO-Tty/Makefile10
-rw-r--r--devel/p5-IO-Util/Makefile11
-rw-r--r--devel/p5-IO-YAML/Makefile4
-rw-r--r--devel/p5-IO/Makefile12
-rw-r--r--devel/p5-IPC-DirQueue/Makefile10
-rw-r--r--devel/p5-IPC-Mmap-Share/Makefile10
-rw-r--r--devel/p5-IPC-Mmap/Makefile10
-rw-r--r--devel/p5-IPC-Open3-Simple/Makefile8
-rw-r--r--devel/p5-IPC-Run/Makefile4
-rw-r--r--devel/p5-Inline-Java/Makefile8
-rw-r--r--devel/p5-Inline-TT/Makefile8
-rw-r--r--devel/p5-Iterator-IO/Makefile10
-rw-r--r--devel/p5-Iterator-Misc/Makefile10
-rw-r--r--devel/p5-Iterator-Util/Makefile10
-rw-r--r--devel/p5-Iterator/Makefile10
-rw-r--r--devel/p5-Lexical-Persistence/Makefile10
-rw-r--r--devel/p5-List-Cycle/Makefile8
-rw-r--r--devel/p5-Locale-Maketext-Gettext/Makefile9
-rw-r--r--devel/p5-Log-Accounting-SVK/Makefile10
-rw-r--r--devel/p5-Log-Accounting-SVN/Makefile10
-rw-r--r--devel/p5-Log-Agent/Makefile8
-rw-r--r--devel/p5-Log-Dispatch-Perl/Makefile8
-rw-r--r--devel/p5-Log-Message-Simple/Makefile8
-rw-r--r--devel/p5-Log-Message/Makefile8
-rw-r--r--devel/p5-Luka/Makefile4
-rw-r--r--devel/p5-MRO-Compat/Makefile8
-rw-r--r--devel/p5-Make-Cache/Makefile8
-rw-r--r--devel/p5-Mknod/Makefile9
-rw-r--r--devel/p5-Module-Compile/Makefile10
-rw-r--r--devel/p5-Module-Dependency/Makefile10
-rw-r--r--devel/p5-Module-Find/Makefile8
-rw-r--r--devel/p5-Module-Load-Conditional/Makefile8
-rw-r--r--devel/p5-Module-Loaded/Makefile8
-rw-r--r--devel/p5-Module-Pluggable-Ordered/Makefile10
-rw-r--r--devel/p5-Module-Refresh/Makefile10
-rw-r--r--devel/p5-Module-Release/Makefile10
-rw-r--r--devel/p5-Module-Starter-PBP/Makefile8
-rw-r--r--devel/p5-Module-Starter/Makefile8
-rw-r--r--devel/p5-Moose/Makefile8
-rw-r--r--devel/p5-Net-DBus/Makefile8
-rw-r--r--devel/p5-Number-Bytes-Human/Makefile8
-rw-r--r--devel/p5-OOTools/Makefile8
-rw-r--r--devel/p5-Object-Enum/Makefile8
-rw-r--r--devel/p5-Object-InsideOut/Makefile10
-rw-r--r--devel/p5-Object-MultiType/Makefile8
-rw-r--r--devel/p5-Object-Signature/Makefile8
-rw-r--r--devel/p5-PAR/Makefile6
-rw-r--r--devel/p5-PCSC-Card/Makefile8
-rw-r--r--devel/p5-PHP-Serialization/Makefile10
-rw-r--r--devel/p5-POE-API-Hooks/Makefile8
-rw-r--r--devel/p5-POE-API-Peek/Makefile8
-rw-r--r--devel/p5-POE-Component-Child/Makefile10
-rw-r--r--devel/p5-POE-Component-Daemon/Makefile8
-rw-r--r--devel/p5-POE-Component-DebugShell/Makefile8
-rw-r--r--devel/p5-POE-Component-RSSAggregator/Makefile8
-rw-r--r--devel/p5-POE-Devel-Profiler/Makefile8
-rw-r--r--devel/p5-POE-XS-Queue-Array/Makefile10
-rw-r--r--devel/p5-PPerl/Makefile1
-rw-r--r--devel/p5-PadWalker/Makefile10
-rw-r--r--devel/p5-Params-Validate/Makefile6
-rw-r--r--devel/p5-Parse-CPAN-Packages/Makefile7
-rw-r--r--devel/p5-Path-Class/Makefile8
-rw-r--r--devel/p5-Perl6-Export/Makefile10
-rw-r--r--devel/p5-Perl6-Form/Makefile10
-rw-r--r--devel/p5-PerlIO-eol/Makefile10
-rw-r--r--devel/p5-PerlIO-via-MD5/Makefile9
-rw-r--r--devel/p5-PerlIO-via-dynamic/Makefile10
-rw-r--r--devel/p5-PerlIO-via-symlink/Makefile10
-rw-r--r--devel/p5-Pipeline/Makefile4
-rw-r--r--devel/p5-Proc-Fork/Makefile10
-rw-r--r--devel/p5-Proc-PID-File/Makefile13
-rw-r--r--devel/p5-Proc-Queue/Makefile8
-rw-r--r--devel/p5-Project-Gantt/Makefile10
-rw-r--r--devel/p5-RRDTool-OO/Makefile8
-rw-r--r--devel/p5-ReadLine-Gnu/Makefile6
-rw-r--r--devel/p5-Readonly/Makefile10
-rw-r--r--devel/p5-Regexp-Bind/Makefile9
-rw-r--r--devel/p5-Return-Value/Makefile8
-rw-r--r--devel/p5-Rose-DateTime/Makefile8
-rw-r--r--devel/p5-Rose-Object/Makefile8
-rw-r--r--devel/p5-SDL/Makefile6
-rw-r--r--devel/p5-SPOPS/Makefile8
-rw-r--r--devel/p5-SSN-Validate/Makefile8
-rw-r--r--devel/p5-SVN-Agent/Makefile10
-rw-r--r--devel/p5-SVN-Log/Makefile10
-rw-r--r--devel/p5-SVN-Statistics/Makefile10
-rw-r--r--devel/p5-Scalar-Util-Clone/Makefile10
-rw-r--r--devel/p5-Scope-Guard/Makefile8
-rw-r--r--devel/p5-Set-Array/Makefile8
-rw-r--r--devel/p5-Set-Object/Makefile8
-rw-r--r--devel/p5-Smart-Comments/Makefile8
-rw-r--r--devel/p5-Sort-Key-DateTime/Makefile10
-rw-r--r--devel/p5-Spiffy/Makefile3
-rw-r--r--devel/p5-Spoon/Makefile4
-rw-r--r--devel/p5-String-Random/Makefile8
-rw-r--r--devel/p5-Sub-Exporter/Makefile8
-rw-r--r--devel/p5-Sub-Install/Makefile8
-rw-r--r--devel/p5-Sub-Installer/Makefile8
-rw-r--r--devel/p5-Sub-Name/Makefile8
-rw-r--r--devel/p5-Sub-Override/Makefile11
-rw-r--r--devel/p5-Sub-WrapPackages/Makefile8
-rw-r--r--devel/p5-Task-Weaken/Makefile8
-rw-r--r--devel/p5-Term-Animation/Makefile8
-rw-r--r--devel/p5-Term-CallEditor/Makefile8
-rw-r--r--devel/p5-Term-Encoding/Makefile10
-rw-r--r--devel/p5-Term-ProgressBar/Makefile8
-rw-r--r--devel/p5-Term-Prompt/Makefile8
-rw-r--r--devel/p5-Term-ReadLine-Zoid/Makefile8
-rw-r--r--devel/p5-Term-UI/Makefile8
-rw-r--r--devel/p5-Test-Class/Makefile4
-rw-r--r--devel/p5-Test-Data/Makefile8
-rw-r--r--devel/p5-Test-Deep/Makefile8
-rw-r--r--devel/p5-Test-Expect/Makefile10
-rw-r--r--devel/p5-Test-Harness/Makefile8
-rw-r--r--devel/p5-Test-HasVersion/Makefile9
-rw-r--r--devel/p5-Test-LectroTest/Makefile8
-rw-r--r--devel/p5-Test-LongString/Makefile9
-rw-r--r--devel/p5-Test-MockModule/Makefile6
-rw-r--r--devel/p5-Test-MockTime/Makefile8
-rw-r--r--devel/p5-Test-Number-Delta/Makefile8
-rw-r--r--devel/p5-Test-Output/Makefile10
-rw-r--r--devel/p5-Test-Pod-Coverage/Makefile10
-rw-r--r--devel/p5-Test-Pod/Makefile9
-rw-r--r--devel/p5-Test-RandomResults/Makefile8
-rw-r--r--devel/p5-Test-Strict/Makefile8
-rw-r--r--devel/p5-Test-SubCalls/Makefile6
-rw-r--r--devel/p5-Test-WWW-Mechanize-Catalyst/Makefile8
-rw-r--r--devel/p5-Test-WWW-Mechanize/Makefile8
-rw-r--r--devel/p5-Test-XML/Makefile6
-rw-r--r--devel/p5-Text-LevenshteinXS/Makefile8
-rw-r--r--devel/p5-Text-vFile-asData/Makefile8
-rw-r--r--devel/p5-Thread-Apartment/Makefile10
-rw-r--r--devel/p5-Thread-Pool-Simple/Makefile10
-rw-r--r--devel/p5-Thread-Queue-Duplex/Makefile10
-rw-r--r--devel/p5-Tie-Array-Sorted/Makefile8
-rw-r--r--devel/p5-Tie-Hash-Regex/Makefile9
-rw-r--r--devel/p5-Tie-Hash-TwoWay/Makefile8
-rw-r--r--devel/p5-Tie-Simple/Makefile8
-rw-r--r--devel/p5-Tie-iCal/Makefile11
-rw-r--r--devel/p5-Time-Clock/Makefile8
-rw-r--r--devel/p5-Time-Duration-Parse/Makefile8
-rw-r--r--devel/p5-Time-Piece/Makefile8
-rw-r--r--devel/p5-Time-Progress/Makefile8
-rw-r--r--devel/p5-Tree-Binary-Dictionary/Makefile8
-rw-r--r--devel/p5-Tree-Binary/Makefile8
-rw-r--r--devel/p5-Tree-Node/Makefile10
-rw-r--r--devel/p5-Tree-Parser/Makefile8
-rw-r--r--devel/p5-Tree-Simple-View/Makefile8
-rw-r--r--devel/p5-Tree-Simple-VisitorFactory/Makefile8
-rw-r--r--devel/p5-Tree-Simple/Makefile3
-rw-r--r--devel/p5-UI-Dialog/Makefile8
-rw-r--r--devel/p5-UNIVERSAL-can/Makefile6
-rw-r--r--devel/p5-UNIVERSAL-isa/Makefile8
-rw-r--r--devel/p5-UNIVERSAL-which/Makefile10
-rw-r--r--devel/p5-Unix-Statgrab/Makefile9
-rw-r--r--devel/p5-User-Identity/Makefile8
-rw-r--r--devel/p5-VCP-Dest-svk/Makefile10
-rw-r--r--devel/p5-VCP-Source-cvsbk/Makefile10
-rw-r--r--devel/p5-VCP-autrijus/Makefile2
-rw-r--r--devel/p5-VCP/Makefile6
-rw-r--r--devel/p5-VCS-Lite/Makefile8
-rw-r--r--devel/p5-Workflow/Makefile10
-rw-r--r--devel/p5-Yada-Yada-Yada/Makefile8
-rw-r--r--devel/p5-orz/Makefile10
-rw-r--r--devel/p5-rpm-build-perl/Makefile8
-rw-r--r--devel/p5-subatom/Makefile10
-rw-r--r--devel/p5-threads-shared/Makefile10
-rw-r--r--devel/p5-threads/Makefile10
-rw-r--r--devel/subversion-devel/Makefile4
-rw-r--r--devel/subversion-freebsd/Makefile4
-rw-r--r--devel/subversion/Makefile4
-rw-r--r--devel/subversion16/Makefile4
-rw-r--r--devel/svk/Makefile6
-rw-r--r--devel/svn_load_dirs/Makefile10
-rw-r--r--devel/valgrind-snapshot/Makefile4
-rw-r--r--devel/valgrind/Makefile4
-rw-r--r--dns/fpdns/Makefile8
-rw-r--r--dns/p5-DNS-EasyDNS/Makefile8
-rw-r--r--dns/p5-Net-DNS-SEC/Makefile4
-rw-r--r--dns/p5-Net-DNS-ToolKit/Makefile8
-rw-r--r--dns/p5-Net-DNS-ZoneFile-Fast/Makefile8
-rw-r--r--dns/p5-Net-Domain-TLD/Makefile10
-rw-r--r--dns/p5-Net-LibIDN/Makefile8
-rw-r--r--dns/p5-Stanford-DNSserver/Makefile8
-rw-r--r--editors/zim/Makefile6
-rw-r--r--finance/p5-Finance-Amortization/Makefile8
-rw-r--r--finance/p5-Finance-Currency-Convert-WebserviceX/Makefile11
-rw-r--r--finance/p5-Locale-Currency-Format/Makefile8
-rw-r--r--ftp/ftpsync/Makefile8
-rw-r--r--ftp/p5-File-Fetch/Makefile8
-rw-r--r--ftp/p5-Net-FTP-Common/Makefile8
-rw-r--r--ftp/p5-Net-FTPServer/Makefile4
-rw-r--r--games/frozenbubble/Makefile2
-rw-r--r--games/p5-Algorithm-Pair-Best/Makefile8
-rw-r--r--games/p5-Algorithm-Pair-Swiss/Makefile8
-rw-r--r--games/p5-Baseball-Sabermetrics/Makefile8
-rw-r--r--games/p5-Games-AlphaBeta/Makefile8
-rw-r--r--games/p5-Games-GuessWord/Makefile8
-rw-r--r--games/p5-Games-Tournament-RoundRobin/Makefile8
-rw-r--r--graphics/bugle/Makefile4
-rw-r--r--graphics/gscan2pdf/Makefile1
-rw-r--r--graphics/p5-Acme-Steganography-Image-Png/Makefile8
-rw-r--r--graphics/p5-CAD-Drawing-Template/Makefile8
-rw-r--r--graphics/p5-CAD-Drawing/Makefile8
-rw-r--r--graphics/p5-GD-Graph/Makefile10
-rw-r--r--graphics/p5-GD-SVG/Makefile10
-rw-r--r--graphics/p5-GD/Makefile8
-rw-r--r--graphics/p5-Graph-Easy/Makefile10
-rw-r--r--graphics/p5-Graph-SocialMap/Makefile10
-rw-r--r--graphics/p5-Graph-Writer-GraphViz/Makefile10
-rw-r--r--graphics/p5-GraphViz-Traverse/Makefile8
-rw-r--r--graphics/p5-Image-Caa/Makefile8
-rw-r--r--graphics/p5-Image-Info/Makefile8
-rw-r--r--graphics/p5-Image-MetaData-GQview/Makefile10
-rw-r--r--graphics/p5-Image-MetaData-JPEG/Makefile8
-rw-r--r--graphics/p5-Image-Size/Makefile8
-rw-r--r--graphics/p5-Imager/Makefile10
-rw-r--r--graphics/p5-SVG-DOM2/Makefile8
-rw-r--r--graphics/p5-SVG-Graph/Makefile8
-rw-r--r--graphics/p5-SVG-Metadata/Makefile8
-rw-r--r--graphics/p5-SWF-Builder/Makefile10
-rw-r--r--graphics/p5-SWF-File/Makefile8
-rw-r--r--graphics/p5-Tk-JPEG-Lite/Makefile10
-rw-r--r--graphics/p5-Visio/Makefile10
-rw-r--r--graphics/p5-ming/Makefile1
-rw-r--r--irc/epic4/Makefile3
-rw-r--r--irc/epic5/Makefile3
-rw-r--r--irc/keitairc/Makefile2
-rw-r--r--irc/nethirc/Makefile10
-rw-r--r--irc/p5-Bot-BasicBot/Makefile8
-rw-r--r--irc/p5-IRC-Bot-Hangman/Makefile8
-rw-r--r--irc/xchat-gnome/Makefile2
-rw-r--r--japanese/another-htmllint/Makefile1
-rw-r--r--japanese/eijiro-fpw/Makefile1
-rw-r--r--japanese/mecab/Makefile6
-rw-r--r--japanese/mypaedia-fpw/Makefile1
-rw-r--r--japanese/otojiro-fpw/Makefile1
-rw-r--r--japanese/p5-Date-Japanese-Era/Makefile6
-rw-r--r--japanese/p5-Lingua-JA-Numbers/Makefile10
-rw-r--r--japanese/p5-MeCab/Makefile6
-rw-r--r--japanese/p5-Unicode-Japanese/Makefile6
-rw-r--r--japanese/p5-WWW-2ch/Makefile8
-rw-r--r--japanese/srd-fpw/Makefile1
-rw-r--r--japanese/tiarra/Makefile8
-rw-r--r--japanese/waeijiro-fpw/Makefile1
-rw-r--r--japanese/wikicker/Makefile2
-rw-r--r--java/jbootstrap/Makefile6
-rw-r--r--lang/ghc/Makefile4
-rw-r--r--lang/p5-Expect/Makefile10
-rw-r--r--lang/p5-Interpolation/Makefile8
-rw-r--r--lang/p5-JSAN/Makefile8
-rw-r--r--lang/p5-JavaScript-SpiderMonkey/Makefile12
-rw-r--r--lang/p5-Perl6-Subs/Makefile10
-rw-r--r--lang/p5-Quantum-Superpositions/Makefile11
-rw-r--r--lang/parrot/Makefile6
-rw-r--r--lang/perl5.10/Makefile7
-rw-r--r--lang/perl5.12/Makefile7
-rw-r--r--lang/perl5.14/Makefile7
-rw-r--r--lang/perl5.16/Makefile7
-rw-r--r--lang/perl5.6/Makefile7
-rw-r--r--lang/perl5.8/Makefile7
-rw-r--r--lang/perl5/Makefile7
-rw-r--r--lang/pike76/Makefile6
-rw-r--r--mail/cyrus-imapd2/Makefile4
-rw-r--r--mail/cyrus-imapd22/Makefile4
-rw-r--r--mail/cyrus-imapd23/Makefile4
-rw-r--r--mail/cyrus-imapd24/Makefile4
-rw-r--r--mail/delatt/Makefile10
-rw-r--r--mail/dkfilter/Makefile8
-rw-r--r--mail/fetchyahoo/Makefile4
-rw-r--r--mail/gotmail/Makefile8
-rw-r--r--mail/lightning/Makefile4
-rw-r--r--mail/maildirsync/Makefile8
-rw-r--r--mail/mailscanner-devel/Makefile4
-rw-r--r--mail/mailscanner/Makefile4
-rw-r--r--mail/mimedefang/Makefile4
-rw-r--r--mail/p5-Email-Find/Makefile8
-rw-r--r--mail/p5-Email-MIME-Attachment-Stripper/Makefile7
-rw-r--r--mail/p5-Email-MIME-Creator/Makefile8
-rw-r--r--mail/p5-Email-Reply/Makefile10
-rw-r--r--mail/p5-Email-Send/Makefile10
-rw-r--r--mail/p5-Email-Valid/Makefile8
-rw-r--r--mail/p5-GMail-IMAPD/Makefile9
-rw-r--r--mail/p5-IMAP-Sieve/Makefile8
-rw-r--r--mail/p5-LMAP-CID2SPF/Makefile9
-rw-r--r--mail/p5-MIME-Fast/Makefile10
-rw-r--r--mail/p5-Mail-Audit-Attach/Makefile8
-rw-r--r--mail/p5-Mail-CheckUser/Makefile10
-rw-r--r--mail/p5-Mail-ClamAV/Makefile8
-rw-r--r--mail/p5-Mail-DeliveryStatus-BounceParser/Makefile8
-rw-r--r--mail/p5-Mail-DomainKeys/Makefile4
-rw-r--r--mail/p5-Mail-Ezmlm/Makefile1
-rw-r--r--mail/p5-Mail-Graph/Makefile8
-rw-r--r--mail/p5-Mail-IMAPTalk/Makefile8
-rw-r--r--mail/p5-Mail-Mbox-MessageParser/Makefile8
-rw-r--r--mail/p5-Mail-MboxParser/Makefile8
-rw-r--r--mail/p5-Mail-OpenRelay-Simple/Makefile10
-rw-r--r--mail/p5-Mail-POP3Client/Makefile8
-rw-r--r--mail/p5-Mail-SPF-Query/Makefile8
-rw-r--r--mail/p5-Mail-Sender/Makefile4
-rw-r--r--mail/p5-Mail-Webmail-Gmail/Makefile9
-rw-r--r--mail/p5-Net-SMTP-TLS/Makefile8
-rw-r--r--mail/p5-POE-Component-Client-SMTP/Makefile10
-rw-r--r--mail/p5-Sendmail-AccessDB/Makefile10
-rw-r--r--mail/p5-WWW-GMail/Makefile8
-rw-r--r--mail/p5-WWW-Hotmail/Makefile8
-rw-r--r--mail/pronto/Makefile8
-rw-r--r--mail/qmhandle/Makefile8
-rw-r--r--mail/spampd/Makefile9
-rw-r--r--mail/sympa5/Makefile6
-rw-r--r--math/PDL/Makefile4
-rw-r--r--math/p5-AI-DecisionTree/Makefile8
-rw-r--r--math/p5-Algorithm-Combinatorics/Makefile8
-rw-r--r--math/p5-Algorithm-CurveFit/Makefile8
-rw-r--r--math/p5-Bit-Vector-Minimal/Makefile8
-rw-r--r--math/p5-CAD-Calc/Makefile8
-rw-r--r--math/p5-Data-Float/Makefile8
-rw-r--r--math/p5-GIS-Distance/Makefile8
-rw-r--r--math/p5-Geo-Distance/Makefile9
-rw-r--r--math/p5-Graph/Makefile8
-rw-r--r--math/p5-Math-Algebra-Symbols/Makefile10
-rw-r--r--math/p5-Math-Base85/Makefile10
-rw-r--r--math/p5-Math-Bezier-Convert/Makefile8
-rw-r--r--math/p5-Math-Calc-Units/Makefile10
-rw-r--r--math/p5-Math-Cephes/Makefile8
-rw-r--r--math/p5-Math-Combinatorics/Makefile8
-rw-r--r--math/p5-Math-ConvexHull/Makefile8
-rw-r--r--math/p5-Math-Geometry-Planar-GPC/Makefile8
-rw-r--r--math/p5-Math-Geometry-Planar-Offset/Makefile8
-rw-r--r--math/p5-Math-Geometry-Planar/Makefile8
-rw-r--r--math/p5-Math-Intersection-StraightLine/Makefile8
-rw-r--r--math/p5-Math-Random-MT-Auto/Makefile6
-rw-r--r--math/p5-Math-Random-OO/Makefile8
-rw-r--r--math/p5-Math-RandomOrg/Makefile8
-rw-r--r--math/p5-Math-Round-Var/Makefile8
-rw-r--r--math/p5-Math-Sequence/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-CCompiler/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-Contains/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-ErrorPropagation/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-LaTeXDumper/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-Pattern/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-Simplification/Makefile8
-rw-r--r--math/p5-Math-Symbolic-Custom-Transformation/Makefile8
-rw-r--r--math/p5-Math-Symbolic/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-BigNum/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-Complex/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-Error/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-Inline/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-NoSimplification/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-ParserExtensionFactory/Makefile8
-rw-r--r--math/p5-Math-SymbolicX-Statistics-Distributions/Makefile8
-rw-r--r--math/p5-Math-Vec/Makefile8
-rw-r--r--math/p5-Number-WithError-LaTeX/Makefile10
-rw-r--r--math/p5-Number-WithError/Makefile8
-rw-r--r--math/p5-Set-Partition/Makefile8
-rw-r--r--math/p5-Statistics-Contingency/Makefile8
-rw-r--r--math/p5-Statistics-Descriptive-Discrete/Makefile14
-rw-r--r--math/p5-Task-Math-Symbolic/Makefile8
-rw-r--r--misc/mc/Makefile1
-rw-r--r--misc/ossp-uuid/Makefile10
-rw-r--r--misc/p5-Acme-ButFirst/Makefile4
-rw-r--r--misc/p5-File-CounterFile/Makefile10
-rw-r--r--misc/p5-Geo-Postcodes-DK/Makefile8
-rw-r--r--misc/p5-Geo-Postcodes-NO/Makefile8
-rw-r--r--misc/p5-Locale-SubCountry/Makefile10
-rw-r--r--misc/p5-Net-vCard/Makefile10
-rw-r--r--misc/p5-Tie-DxHash/Makefile8
-rw-r--r--misc/p5-Zen-Koans/Makefile8
-rw-r--r--misc/translator/Makefile6
-rw-r--r--multimedia/dvdrip/Makefile10
-rw-r--r--multimedia/p5-FFmpeg-Command/Makefile8
-rw-r--r--multimedia/p5-FLV-Info/Makefile10
-rw-r--r--multimedia/p5-File-Format-RIFF/Makefile8
-rw-r--r--multimedia/p5-MP4-Info/Makefile10
-rw-r--r--multimedia/p5-Subtitles/Makefile5
-rw-r--r--multimedia/p5-Video-Info/Makefile3
-rw-r--r--net-im/p5-Jabber-SimpleSend/Makefile10
-rw-r--r--net-im/p5-Net-Jabber/Makefile10
-rw-r--r--net-im/p5-Net-NetSend/Makefile8
-rw-r--r--net-im/p5-Net-OSCAR/Makefile3
-rw-r--r--net-im/p5-Net-XMPP/Makefile11
-rw-r--r--net-mgmt/asused/Makefile9
-rw-r--r--net-mgmt/ifgraph/Makefile15
-rw-r--r--net-mgmt/nagios/Makefile6
-rw-r--r--net-mgmt/nagios2/Makefile6
-rw-r--r--net-mgmt/nav/Makefile4
-rw-r--r--net-mgmt/netspoc/Makefile8
-rw-r--r--net-mgmt/nfsen/Makefile8
-rw-r--r--net-mgmt/p5-NSNMP/Makefile10
-rw-r--r--net-mgmt/p5-Net-IP-Match-Regexp/Makefile8
-rw-r--r--net-mgmt/p5-Net-IP-Match-XS/Makefile8
-rw-r--r--net-mgmt/p5-Net-IP-Resolver/Makefile8
-rw-r--r--net-mgmt/p5-Net-Netmask/Makefile9
-rw-r--r--net-mgmt/p5-Net-SNMP/Makefile3
-rw-r--r--net-mgmt/p5-Net-SNMP3/Makefile12
-rw-r--r--net-mgmt/p5-NetAddr-IP-Lite/Makefile8
-rw-r--r--net-mgmt/p5-POE-Component-SNMP/Makefile8
-rw-r--r--net-mgmt/pancho/Makefile1
-rw-r--r--net-mgmt/torrus/Makefile6
-rw-r--r--net-p2p/opendchub/Makefile8
-rw-r--r--net-p2p/p5-Net-BitTorrent-File/Makefile13
-rw-r--r--net-p2p/p5-WWW-BitTorrent/Makefile8
-rw-r--r--net/beacon/Makefile4
-rw-r--r--net/ldapsh/Makefile13
-rw-r--r--net/p5-Apache2-SOAP/Makefile10
-rw-r--r--net/p5-BBS-UserInfo-Maple3/Makefile10
-rw-r--r--net/p5-BBS-UserInfo-Maple3itoc/Makefile10
-rw-r--r--net/p5-BBS-UserInfo-Ptt/Makefile10
-rw-r--r--net/p5-BBS-UserInfo-SOB/Makefile10
-rw-r--r--net/p5-BBS-UserInfo-Wretch/Makefile10
-rw-r--r--net/p5-File-RsyncP/Makefile11
-rw-r--r--net/p5-Frontier-RPC/Makefile8
-rw-r--r--net/p5-Geo-IPfree/Makefile8
-rw-r--r--net/p5-Gopher-Server/Makefile8
-rw-r--r--net/p5-IO-Interface/Makefile8
-rw-r--r--net/p5-JavaScript-RPC/Makefile10
-rw-r--r--net/p5-Net-Address-IPv4-Local/Makefile8
-rw-r--r--net/p5-Net-Analysis/Makefile10
-rw-r--r--net/p5-Net-CSTA/Makefile4
-rw-r--r--net/p5-Net-DAV-Server/Makefile6
-rw-r--r--net/p5-Net-DHCP/Makefile10
-rw-r--r--net/p5-Net-EPP-Frame/Makefile8
-rw-r--r--net/p5-Net-EPP-Proxy/Makefile8
-rw-r--r--net/p5-Net-FS-Flickr/Makefile12
-rw-r--r--net/p5-Net-FS-Gmail/Makefile8
-rw-r--r--net/p5-Net-FTP-File/Makefile8
-rw-r--r--net/p5-Net-Frame-Dump/Makefile4
-rw-r--r--net/p5-Net-Gnats/Makefile8
-rw-r--r--net/p5-Net-Google-Calendar/Makefile10
-rw-r--r--net/p5-Net-Gopher/Makefile9
-rw-r--r--net/p5-Net-HL7/Makefile8
-rw-r--r--net/p5-Net-Libdnet/Makefile10
-rw-r--r--net/p5-Net-MAC-Vendor/Makefile8
-rw-r--r--net/p5-Net-OpenDHT/Makefile8
-rw-r--r--net/p5-Net-Packet-Target/Makefile8
-rw-r--r--net/p5-Net-Packet/Makefile8
-rw-r--r--net/p5-Net-SDP/Makefile8
-rw-r--r--net/p5-Net-SFTP-Foreign/Makefile10
-rw-r--r--net/p5-Net-SSH-Expect/Makefile10
-rw-r--r--net/p5-Net-SSH-Perl/Makefile4
-rw-r--r--net/p5-Net-Services/Makefile8
-rw-r--r--net/p5-Net-Telnet-Netscreen/Makefile8
-rw-r--r--net/p5-Net-TiVo/Makefile10
-rw-r--r--net/p5-Net-Whois-ARIN/Makefile4
-rw-r--r--net/p5-Net-Whois-RIPE/Makefile13
-rw-r--r--net/p5-Net-Write/Makefile8
-rw-r--r--net/p5-Net-Z3950-SimpleServer/Makefile8
-rw-r--r--net/p5-Net-Z3950-ZOOM/Makefile8
-rw-r--r--net/p5-Net-Z3950/Makefile8
-rw-r--r--net/p5-NetPacket/Makefile8
-rw-r--r--net/p5-OAI-Harvester/Makefile10
-rw-r--r--net/p5-OurNet-BBS/Makefile10
-rw-r--r--net/p5-POE-Component-Client-Telnet/Makefile12
-rw-r--r--net/p5-POE-Component-ControlPort/Makefile22
-rw-r--r--net/p5-POE-Component-Generic/Makefile10
-rw-r--r--net/p5-POE-Component-Jabber/Makefile10
-rw-r--r--net/p5-SOAP-Data-Builder/Makefile10
-rw-r--r--net/p5-Samba-LDAP/Makefile8
-rw-r--r--net/p5-Spread-Message/Makefile8
-rw-r--r--net/p5-URI-OpenURL/Makefile10
-rw-r--r--net/p5-What/Makefile4
-rw-r--r--net/radiator/Makefile1
-rw-r--r--net/rude/Makefile1
-rw-r--r--net/wping/Makefile12
-rw-r--r--net/xbone-gui/Makefile12
-rw-r--r--net/xbone/Makefile12
-rw-r--r--news/cleanfeed/Makefile1
-rw-r--r--news/nzbperl/Makefile8
-rw-r--r--ports-mgmt/p5-FreeBSD-Portindex/Makefile11
-rw-r--r--ports-mgmt/portscout/Makefile8
-rw-r--r--print/a2pdf/Makefile1
-rw-r--r--print/axpoint/Makefile1
-rw-r--r--print/latexdiff/Makefile8
-rw-r--r--print/muttprint/Makefile2
-rw-r--r--print/p5-Net-Printer/Makefile8
-rw-r--r--print/p5-PDFLib/Makefile9
-rw-r--r--print/p5-XML-ApacheFOP/Makefile8
-rw-r--r--security/amavis-stats/Makefile8
-rw-r--r--security/amavisd-new/Makefile6
-rw-r--r--security/botan/Makefile4
-rw-r--r--security/bruteforceblocker/Makefile4
-rw-r--r--security/ipfcount/Makefile8
-rw-r--r--security/ipfwcount/Makefile8
-rw-r--r--security/oinkmaster/Makefile8
-rw-r--r--security/p5-Authen-Bitcard/Makefile8
-rw-r--r--security/p5-Authen-Libwrap/Makefile10
-rw-r--r--security/p5-Authen-PAAS/Makefile8
-rw-r--r--security/p5-Authen-Radius/Makefile5
-rw-r--r--security/p5-Authen-SASL-Cyrus/Makefile8
-rw-r--r--security/p5-Authen-SASL/Makefile4
-rw-r--r--security/p5-Authen-Simple-DBI/Makefile10
-rw-r--r--security/p5-Authen-Simple-DBM/Makefile10
-rw-r--r--security/p5-Authen-Simple-HTTP/Makefile10
-rw-r--r--security/p5-Authen-Simple-LDAP/Makefile10
-rw-r--r--security/p5-Authen-Simple-Net/Makefile10
-rw-r--r--security/p5-Authen-Simple-PAM/Makefile10
-rw-r--r--security/p5-Authen-Simple-Passwd/Makefile10
-rw-r--r--security/p5-Authen-Simple-RADIUS/Makefile10
-rw-r--r--security/p5-Authen-Simple-SMB/Makefile10
-rw-r--r--security/p5-Authen-Simple-SSH/Makefile10
-rw-r--r--security/p5-Authen-Simple/Makefile10
-rw-r--r--security/p5-Authen-TypeKey/Makefile8
-rw-r--r--security/p5-Business-PayPal-EWP/Makefile10
-rw-r--r--security/p5-Crypt-Anubis/Makefile9
-rw-r--r--security/p5-Crypt-Cracklib/Makefile8
-rw-r--r--security/p5-Crypt-DH/Makefile4
-rw-r--r--security/p5-Crypt-DSA/Makefile8
-rw-r--r--security/p5-Crypt-Dining/Makefile8
-rw-r--r--security/p5-Crypt-GCrypt/Makefile10
-rw-r--r--security/p5-Crypt-OICQ/Makefile10
-rw-r--r--security/p5-Data-Entropy/Makefile8
-rw-r--r--security/p5-Digest-MD5-M4p/Makefile11
-rw-r--r--security/p5-Digest-SHA/Makefile8
-rw-r--r--security/p5-File-Scan-ClamAV/Makefile8
-rw-r--r--security/p5-Filter-Crypto/Makefile8
-rw-r--r--security/p5-GD-SecurityImage/Makefile8
-rw-r--r--security/p5-GSSAPI/Makefile13
-rw-r--r--security/p5-GnuPG-Interface/Makefile9
-rw-r--r--security/p5-Net-OpenID-JanRain/Makefile10
-rw-r--r--security/p5-Net-Server-Mail-ESMTP-AUTH/Makefile1
-rw-r--r--security/p5-Net-SinFP/Makefile8
-rw-r--r--security/p5-OpenCA-CRL/Makefile8
-rw-r--r--security/p5-OpenCA-PKCS7/Makefile10
-rw-r--r--security/p5-OpenCA-REQ/Makefile8
-rw-r--r--security/p5-POE-Component-SSLify/Makefile9
-rw-r--r--security/p5-PerlCryptLib/Makefile8
-rw-r--r--security/p5-SAVI-Perl/Makefile6
-rw-r--r--security/p5-Sudo/Makefile10
-rw-r--r--security/p5-Text-Password-Pronounceable/Makefile8
-rw-r--r--security/p5-Tree-Authz/Makefile8
-rw-r--r--security/p5-openxpki-client-cli/Makefile1
-rw-r--r--security/p5-openxpki-client-html-mason/Makefile1
-rw-r--r--security/p5-openxpki-client-scep/Makefile1
-rw-r--r--security/p5-openxpki-client/Makefile1
-rw-r--r--security/p5-openxpki/Makefile7
-rw-r--r--security/sshit/Makefile8
-rw-r--r--shells/vshnu/Makefile8
-rw-r--r--sysutils/lire/Makefile4
-rw-r--r--sysutils/munin-main/Makefile2
-rw-r--r--sysutils/munin-master/Makefile2
-rw-r--r--sysutils/munin-node/Makefile2
-rw-r--r--sysutils/p5-BSD-Jail-Object/Makefile6
-rw-r--r--sysutils/p5-BSD-Sysctl/Makefile8
-rw-r--r--sysutils/p5-File-Next/Makefile8
-rw-r--r--sysutils/p5-Schedule-Cron/Makefile8
-rw-r--r--sysutils/p5-Sys-Filesystem/Makefile8
-rw-r--r--sysutils/p5-Sys-Hostname-FQDN/Makefile13
-rw-r--r--sysutils/p5-Sys-Hostname-Long/Makefile9
-rw-r--r--sysutils/p5-Sysadm-Install/Makefile8
-rw-r--r--sysutils/p5-Unix-Mknod/Makefile8
-rw-r--r--sysutils/psgconf/Makefile4
-rw-r--r--sysutils/rej/Makefile6
-rw-r--r--sysutils/stalepid/Makefile6
-rw-r--r--sysutils/sysgather/Makefile8
-rw-r--r--sysutils/tenshi/Makefile4
-rw-r--r--sysutils/ucspi-ipc/Makefile8
-rw-r--r--sysutils/ucspi-ssl/Makefile8
-rw-r--r--textproc/colordiff/Makefile9
-rw-r--r--textproc/docproj/Makefile3
-rw-r--r--textproc/dtdparse/Makefile1
-rw-r--r--textproc/gtk-doc/Makefile8
-rw-r--r--textproc/libtext-charwidth-perl/Makefile10
-rw-r--r--textproc/markdown/Makefile8
-rw-r--r--textproc/p5-AI-Categorizer/Makefile8
-rw-r--r--textproc/p5-Algorithm-RabinKarp/Makefile8
-rw-r--r--textproc/p5-CQL-Parser/Makefile8
-rw-r--r--textproc/p5-CSS-Squish/Makefile8
-rw-r--r--textproc/p5-CSS-Tiny/Makefile8
-rw-r--r--textproc/p5-CSS/Makefile8
-rw-r--r--textproc/p5-Chess-PGN-Parse/Makefile8
-rw-r--r--textproc/p5-Data-FormValidator/Makefile11
-rw-r--r--textproc/p5-Data-Report/Makefile8
-rw-r--r--textproc/p5-Devel-TraceSAX/Makefile6
-rw-r--r--textproc/p5-Excel-Template/Makefile4
-rw-r--r--textproc/p5-Filter-Simple/Makefile5
-rw-r--r--textproc/p5-FormValidator-Simple/Makefile10
-rw-r--r--textproc/p5-HTML-EscapeEvil/Makefile10
-rw-r--r--textproc/p5-HTML-Fraction/Makefile8
-rw-r--r--textproc/p5-HTML-TagFilter/Makefile8
-rw-r--r--textproc/p5-HTML-Tidy/Makefile10
-rw-r--r--textproc/p5-HTML-Truncate/Makefile10
-rw-r--r--textproc/p5-IDNA-Punycode/Makefile8
-rw-r--r--textproc/p5-IO-CSVHeaderFile/Makefile8
-rw-r--r--textproc/p5-KinoSearch/Makefile10
-rw-r--r--textproc/p5-Lingua-EN-AddressParse/Makefile8
-rw-r--r--textproc/p5-Lingua-EN-Fathom/Makefile8
-rw-r--r--textproc/p5-Lingua-EN-Gender/Makefile8
-rw-r--r--textproc/p5-Lingua-EN-Inflect-Number/Makefile15
-rw-r--r--textproc/p5-Lingua-EN-NameParse/Makefile8
-rw-r--r--textproc/p5-Lingua-EN-NamedEntity/Makefile8
-rw-r--r--textproc/p5-Lingua-EN-Tagger/Makefile8
-rw-r--r--textproc/p5-Lingua-Identify/Makefile10
-rw-r--r--textproc/p5-Lingua-Stem-Snowball/Makefile10
-rw-r--r--textproc/p5-Lingua-StopWords/Makefile8
-rw-r--r--textproc/p5-Lucene/Makefile10
-rw-r--r--textproc/p5-MKDoc-XML/Makefile8
-rw-r--r--textproc/p5-Makefile-Parser/Makefile8
-rw-r--r--textproc/p5-MathML-Entities/Makefile10
-rw-r--r--textproc/p5-PDF-API2/Makefile10
-rw-r--r--textproc/p5-PDF-API3/Makefile10
-rw-r--r--textproc/p5-PDF-FromHTML/Makefile8
-rw-r--r--textproc/p5-PDF-Writer/Makefile8
-rw-r--r--textproc/p5-POE-Filter-XML/Makefile10
-rw-r--r--textproc/p5-POSIX-Regex/Makefile4
-rw-r--r--textproc/p5-PPI-HTML/Makefile9
-rw-r--r--textproc/p5-PPI/Makefile8
-rw-r--r--textproc/p5-Parse-FixedLength/Makefile8
-rw-r--r--textproc/p5-Parse-Flex/Makefile8
-rw-r--r--textproc/p5-Parse-PhoneNumber/Makefile8
-rw-r--r--textproc/p5-Parse-Syslog/Makefile7
-rw-r--r--textproc/p5-Perl-MinimumVersion/Makefile10
-rw-r--r--textproc/p5-Petal-CodePerl/Makefile8
-rw-r--r--textproc/p5-Petal-Mail/Makefile10
-rw-r--r--textproc/p5-Petal-Utils/Makefile8
-rw-r--r--textproc/p5-Petal/Makefile8
-rw-r--r--textproc/p5-Plucene-Plugin-Analyzer-SnowballAnalyzer/Makefile8
-rw-r--r--textproc/p5-Plucene/Makefile10
-rw-r--r--textproc/p5-Pod-DocBook/Makefile8
-rw-r--r--textproc/p5-Pod-ProjectDocs/Makefile10
-rw-r--r--textproc/p5-Pod-WSDL/Makefile8
-rw-r--r--textproc/p5-RDF-Core/Makefile8
-rw-r--r--textproc/p5-Regexp-Log/Makefile8
-rw-r--r--textproc/p5-SGML-DTDParse/Makefile10
-rw-r--r--textproc/p5-Search-Estraier/Makefile8
-rw-r--r--textproc/p5-Search-VectorSpace/Makefile8
-rw-r--r--textproc/p5-Senna/Makefile8
-rw-r--r--textproc/p5-Spork/Makefile8
-rw-r--r--textproc/p5-Spreadsheet-WriteExcel/Makefile10
-rw-r--r--textproc/p5-String-Divert/Makefile8
-rw-r--r--textproc/p5-String-Fraction/Makefile8
-rw-r--r--textproc/p5-String-Koremutake/Makefile8
-rw-r--r--textproc/p5-String-Tokenizer/Makefile8
-rw-r--r--textproc/p5-Syntax-Highlight-Engine-Kate/Makefile8
-rw-r--r--textproc/p5-Syntax-Highlight-Perl-Improved/Makefile8
-rw-r--r--textproc/p5-TeX-Encode/Makefile10
-rw-r--r--textproc/p5-Template-Extract/Makefile8
-rw-r--r--textproc/p5-Template-Magic/Makefile8
-rw-r--r--textproc/p5-Text-ASCIITable/Makefile8
-rw-r--r--textproc/p5-Text-Affixes/Makefile8
-rw-r--r--textproc/p5-Text-Autoformat/Makefile8
-rw-r--r--textproc/p5-Text-Balanced/Makefile8
-rw-r--r--textproc/p5-Text-Capitalize/Makefile8
-rw-r--r--textproc/p5-Text-Chomp/Makefile10
-rw-r--r--textproc/p5-Text-Context-EitherSide/Makefile8
-rw-r--r--textproc/p5-Text-Decorator/Makefile8
-rw-r--r--textproc/p5-Text-Delimited/Makefile8
-rw-r--r--textproc/p5-Text-Diff-HTML/Makefile8
-rw-r--r--textproc/p5-Text-Diff3/Makefile8
-rw-r--r--textproc/p5-Text-Emoticon-GoogleTalk/Makefile8
-rw-r--r--textproc/p5-Text-Emoticon/Makefile8
-rw-r--r--textproc/p5-Text-Filter/Makefile10
-rw-r--r--textproc/p5-Text-Language-Guess/Makefile8
-rw-r--r--textproc/p5-Text-NSP/Makefile10
-rw-r--r--textproc/p5-Text-NeatTemplate/Makefile8
-rw-r--r--textproc/p5-Text-Ngram/Makefile8
-rw-r--r--textproc/p5-Text-Ngrams/Makefile8
-rw-r--r--textproc/p5-Text-Original/Makefile8
-rw-r--r--textproc/p5-Text-RecordParser/Makefile10
-rw-r--r--textproc/p5-Text-Similarity/Makefile8
-rw-r--r--textproc/p5-Text-SimpleTable/Makefile8
-rw-r--r--textproc/p5-Text-Tags/Makefile8
-rw-r--r--textproc/p5-Text-Textile/Makefile8
-rw-r--r--textproc/p5-Text-Unaccent/Makefile8
-rw-r--r--textproc/p5-Text-VimColor/Makefile8
-rw-r--r--textproc/p5-Text-WikiFormat/Makefile8
-rw-r--r--textproc/p5-Time-Human/Makefile8
-rw-r--r--textproc/p5-Tk-XMLViewer/Makefile10
-rw-r--r--textproc/p5-UML-State/Makefile10
-rw-r--r--textproc/p5-Unicode-Normalize/Makefile8
-rw-r--r--textproc/p5-WordNet-Similarity/Makefile4
-rw-r--r--textproc/p5-XML-Atom-Filter/Makefile10
-rw-r--r--textproc/p5-XML-Atom-SimpleFeed/Makefile10
-rw-r--r--textproc/p5-XML-Atom-Stream/Makefile10
-rw-r--r--textproc/p5-XML-Atom-Syndication/Makefile8
-rw-r--r--textproc/p5-XML-Atom/Makefile10
-rw-r--r--textproc/p5-XML-AutoWriter/Makefile8
-rw-r--r--textproc/p5-XML-Compile/Makefile10
-rw-r--r--textproc/p5-XML-DOM-Lite/Makefile10
-rw-r--r--textproc/p5-XML-DOM-XPath/Makefile8
-rw-r--r--textproc/p5-XML-DOM2/Makefile8
-rw-r--r--textproc/p5-XML-DT/Makefile8
-rw-r--r--textproc/p5-XML-Dumper/Makefile8
-rw-r--r--textproc/p5-XML-Elemental/Makefile8
-rw-r--r--textproc/p5-XML-FOAF/Makefile8
-rw-r--r--textproc/p5-XML-Feed/Makefile11
-rw-r--r--textproc/p5-XML-Filter-DOMFilter-LibXML/Makefile8
-rw-r--r--textproc/p5-XML-Generator/Makefile8
-rw-r--r--textproc/p5-XML-Liberal/Makefile8
-rw-r--r--textproc/p5-XML-Literal/Makefile8
-rw-r--r--textproc/p5-XML-NamespaceSupport/Makefile9
-rw-r--r--textproc/p5-XML-OPML/Makefile10
-rw-r--r--textproc/p5-XML-RSS-Feed/Makefile8
-rw-r--r--textproc/p5-XML-RSS-LibXML/Makefile10
-rw-r--r--textproc/p5-XML-RSS-Liberal/Makefile10
-rw-r--r--textproc/p5-XML-SAX-Expat-Incremental/Makefile6
-rw-r--r--textproc/p5-XML-Sablotron/Makefile9
-rw-r--r--textproc/p5-XML-SimpleObject-LibXML/Makefile8
-rw-r--r--textproc/p5-XML-Stream/Makefile10
-rw-r--r--textproc/p5-XML-Twig/Makefile8
-rw-r--r--textproc/p5-XML-XPathEngine/Makefile8
-rw-r--r--textproc/p5-XML-Xerces/Makefile8
-rw-r--r--textproc/p5-YAML/Makefile4
-rw-r--r--textproc/p5-ack/Makefile8
-rw-r--r--textproc/p5-dTemplate/Makefile8
-rw-r--r--textproc/p5-xmltv/Makefile4
-rw-r--r--textproc/uim/Makefile5
-rw-r--r--www/MT/Makefile7
-rw-r--r--www/bannerfilter/Makefile10
-rw-r--r--www/bricolage/Makefile9
-rw-r--r--www/htmlobject/Makefile8
-rw-r--r--www/interchange/Makefile1
-rw-r--r--www/mod_perl/Makefile10
-rw-r--r--www/mod_perl2/Makefile7
-rw-r--r--www/p5-Acme-Monta/Makefile10
-rw-r--r--www/p5-Apache-ConfigParser/Makefile9
-rw-r--r--www/p5-Apache-DB/Makefile9
-rw-r--r--www/p5-Apache-Gallery/Makefile4
-rw-r--r--www/p5-Apache-GopherHandler/Makefile8
-rw-r--r--www/p5-Apache-PageKit/Makefile10
-rw-r--r--www/p5-Apache-ParseFormData/Makefile11
-rw-r--r--www/p5-Apache-Peek/Makefile4
-rw-r--r--www/p5-Apache-Session/Makefile3
-rw-r--r--www/p5-Apache-SessionX/Makefile8
-rw-r--r--www/p5-Apache-Test/Makefile10
-rw-r--r--www/p5-Apache2-Scoreboard/Makefile10
-rw-r--r--www/p5-Business-PayPal/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-AnyTemplate/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-AutoRunmode/Makefile6
-rw-r--r--www/p5-CGI-Application-Plugin-DBH/Makefile10
-rw-r--r--www/p5-CGI-Application-Plugin-DebugScreen/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-DevPopup/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-Forward/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-HTDot/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-HTMLPrototype/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-HtmlTidy/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-LinkIntegrity/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-LogDispatch/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-MessageStack/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-Redirect/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-Session/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-Stream/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-TT/Makefile8
-rw-r--r--www/p5-CGI-Application-Plugin-ValidateRM/Makefile10
-rw-r--r--www/p5-CGI-Application-Plugin-ViewCode/Makefile8
-rw-r--r--www/p5-CGI-Application-Server/Makefile8
-rw-r--r--www/p5-CGI-Cache/Makefile10
-rw-r--r--www/p5-CGI-Expand/Makefile11
-rw-r--r--www/p5-CGI-FCKeditor/Makefile10
-rw-r--r--www/p5-CGI-FormBuilder/Makefile4
-rw-r--r--www/p5-CGI-Prototype/Makefile8
-rw-r--r--www/p5-CGI-Untaint-date/Makefile8
-rw-r--r--www/p5-Catalyst-Action-RenderView/Makefile8
-rw-r--r--www/p5-Catalyst-Controller-BindLex/Makefile8
-rw-r--r--www/p5-Catalyst-Controller-FormBuilder/Makefile8
-rw-r--r--www/p5-Catalyst-Devel/Makefile8
-rw-r--r--www/p5-Catalyst-Engine-Apache/Makefile8
-rw-r--r--www/p5-Catalyst-Engine-HTTP-POE/Makefile8
-rw-r--r--www/p5-Catalyst-Enzyme/Makefile8
-rw-r--r--www/p5-Catalyst-Example-InstantCRUD/Makefile8
-rw-r--r--www/p5-Catalyst-Helper-Controller-Scaffold/Makefile8
-rw-r--r--www/p5-Catalyst-Log-Log4perl/Makefile8
-rw-r--r--www/p5-Catalyst-Manual/Makefile9
-rw-r--r--www/p5-Catalyst-Model-CDBI-Sweet/Makefile10
-rw-r--r--www/p5-Catalyst-Model-CDBI/Makefile8
-rw-r--r--www/p5-Catalyst-Model-DBIC-Plain/Makefile8
-rw-r--r--www/p5-Catalyst-Model-DBIC-Schema/Makefile8
-rw-r--r--www/p5-Catalyst-Model-DBIC/Makefile8
-rw-r--r--www/p5-Catalyst-Model-Oryx/Makefile8
-rw-r--r--www/p5-Catalyst-Model-XML-Feed/Makefile8
-rw-r--r--www/p5-Catalyst-Model-Xapian/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Authentication-CDBI/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Authentication-Store-DBIC/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Authentication-Store-DBIx-Class/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Authentication-Store-Htpasswd/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Authentication/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Authorization-ACL/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Authorization-Roles/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-C3/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Cache-FastMmap/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Cache-FileCache/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Cache-Memcached/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Cache-Store-FastMmap/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Cache/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-ConfigLoader-Environment/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-ConfigLoader/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-DefaultEnd/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-FillInForm/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-FormBuilder/Makefile6
-rw-r--r--www/p5-Catalyst-Plugin-FormCanary/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-FormValidator-Simple/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-FormValidator/Makefile6
-rw-r--r--www/p5-Catalyst-Plugin-HTML-Widget/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-I18N/Makefile6
-rw-r--r--www/p5-Catalyst-Plugin-LogWarnings/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-PageCache/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Params-Nested/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Pluggable/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Prototype/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session-FastMmap/Makefile6
-rw-r--r--www/p5-Catalyst-Plugin-Session-State-Cookie/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session-State-URI/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-Cache/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-DBI/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-DBIC/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-Delegate/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-FastMmap/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-File/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session-Store-Memcached/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Session/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Setenv/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Singleton/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-StackTrace/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Static-Simple/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-Static/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-SubRequest/Makefile10
-rw-r--r--www/p5-Catalyst-Plugin-Textile/Makefile6
-rw-r--r--www/p5-Catalyst-Plugin-Unicode/Makefile8
-rw-r--r--www/p5-Catalyst-Plugin-XMLRPC/Makefile8
-rw-r--r--www/p5-Catalyst-Runtime/Makefile8
-rw-r--r--www/p5-Catalyst-View-GraphViz/Makefile10
-rw-r--r--www/p5-Catalyst-View-HTML-Template-Compiled/Makefile8
-rw-r--r--www/p5-Catalyst-View-HTML-Template/Makefile8
-rw-r--r--www/p5-Catalyst-View-Mason/Makefile8
-rw-r--r--www/p5-Catalyst-View-TT-ControllerLocal/Makefile8
-rw-r--r--www/p5-Catalyst-View-TT/Makefile8
-rw-r--r--www/p5-Class-DBI-FromForm/Makefile8
-rw-r--r--www/p5-DBIx-Class-HTMLWidget/Makefile8
-rw-r--r--www/p5-Data-TreeDumper-Renderer-DHTML/Makefile8
-rw-r--r--www/p5-Feed-Find/Makefile6
-rw-r--r--www/p5-Flickr-API/Makefile8
-rw-r--r--www/p5-Gantry/Makefile10
-rw-r--r--www/p5-Geo-Caching/Makefile10
-rw-r--r--www/p5-HTML-Chunks/Makefile10
-rw-r--r--www/p5-HTML-Embperl/Makefile8
-rw-r--r--www/p5-HTML-FromANSI/Makefile8
-rw-r--r--www/p5-HTML-Lint/Makefile8
-rw-r--r--www/p5-HTML-Mason/Makefile4
-rw-r--r--www/p5-HTML-Parser/Makefile8
-rw-r--r--www/p5-HTML-Prototype/Makefile8
-rw-r--r--www/p5-HTML-RSSAutodiscovery/Makefile8
-rw-r--r--www/p5-HTML-ResolveLink/Makefile8
-rw-r--r--www/p5-HTML-SimpleLinkExtor/Makefile8
-rw-r--r--www/p5-HTML-Strip/Makefile8
-rw-r--r--www/p5-HTML-TableExtract/Makefile8
-rw-r--r--www/p5-HTML-TableParser/Makefile10
-rw-r--r--www/p5-HTML-TagCloud-Extended/Makefile10
-rw-r--r--www/p5-HTML-TagCloud/Makefile8
-rw-r--r--www/p5-HTML-Template-Compiled/Makefile9
-rw-r--r--www/p5-HTML-Template-Expr/Makefile9
-rw-r--r--www/p5-HTML-Template-HashWrapper/Makefile10
-rw-r--r--www/p5-HTML-Template-Pluggable/Makefile10
-rw-r--r--www/p5-HTML-TokeParser-Simple/Makefile8
-rw-r--r--www/p5-HTML-TreeBuilder-XPath/Makefile6
-rw-r--r--www/p5-HTML-Widget-DBIC/Makefile8
-rw-r--r--www/p5-HTML-Widget/Makefile8
-rw-r--r--www/p5-HTML-WikiConverter-DokuWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-Kwiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-Markdown/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-MediaWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-MoinMoin/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-Oddmuse/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-PbWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-PhpWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-PmWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-SnipSnap/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-Socialtext/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-TikiWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-UseMod/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-WakkaWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter-WikkaWiki/Makefile10
-rw-r--r--www/p5-HTML-WikiConverter/Makefile10
-rw-r--r--www/p5-HTTP-Body/Makefile6
-rw-r--r--www/p5-HTTP-Cookies-iCab/Makefile6
-rw-r--r--www/p5-HTTP-Request-AsCGI/Makefile8
-rw-r--r--www/p5-HTTP-Server-Simple-Mason/Makefile7
-rw-r--r--www/p5-HTTP-Server-Simple-Recorder/Makefile10
-rw-r--r--www/p5-HTTP-Server-Simple/Makefile10
-rw-r--r--www/p5-HTTP-SimpleLinkChecker/Makefile8
-rw-r--r--www/p5-HTTP-Size/Makefile8
-rw-r--r--www/p5-Handel/Makefile4
-rw-r--r--www/p5-Jifty/Makefile10
-rw-r--r--www/p5-LWPx-ParanoidAgent/Makefile4
-rw-r--r--www/p5-MasonX-Interp-WithCallbacks/Makefile10
-rw-r--r--www/p5-MasonX-Request-WithApacheSession/Makefile9
-rw-r--r--www/p5-MasonX-WebApp/Makefile9
-rw-r--r--www/p5-Maypole/Makefile4
-rw-r--r--www/p5-Net-Akismet/Makefile8
-rw-r--r--www/p5-Net-Flickr-Backup/Makefile10
-rw-r--r--www/p5-Net-eBay/Makefile8
-rw-r--r--www/p5-POE-Component-Server-HTTP/Makefile8
-rw-r--r--www/p5-POE-Component-Server-HTTPServer/Makefile10
-rw-r--r--www/p5-RTx-Statistics/Makefile10
-rw-r--r--www/p5-SCGI/Makefile10
-rw-r--r--www/p5-SRU/Makefile8
-rw-r--r--www/p5-SWF-Chart/Makefile10
-rw-r--r--www/p5-Syntax-Highlight-HTML/Makefile8
-rw-r--r--www/p5-Syntax-Highlight-Shell/Makefile8
-rw-r--r--www/p5-Task-Catalyst/Makefile8
-rw-r--r--www/p5-Template-GD/Makefile8
-rw-r--r--www/p5-Template-Multilingual/Makefile8
-rw-r--r--www/p5-Template-Plugin-Clickable-Email/Makefile6
-rw-r--r--www/p5-Template-Plugin-Clickable/Makefile6
-rw-r--r--www/p5-Template-Plugin-JavaScript/Makefile8
-rw-r--r--www/p5-Template-Plugin-MP3/Makefile8
-rw-r--r--www/p5-Template-Plugin-Markdown/Makefile6
-rw-r--r--www/p5-Template-Plugin-Monta/Makefile10
-rw-r--r--www/p5-Template-Plugin-Subst/Makefile6
-rw-r--r--www/p5-Template-Provider-Encoding/Makefile8
-rw-r--r--www/p5-Template-Timer/Makefile6
-rw-r--r--www/p5-TestGen4Web-Runner/Makefile8
-rw-r--r--www/p5-URI-Fetch/Makefile3
-rw-r--r--www/p5-W3C-LinkChecker/Makefile10
-rw-r--r--www/p5-W3C-LogValidator/Makefile10
-rw-r--r--www/p5-WWW-Babelfish/Makefile10
-rw-r--r--www/p5-WWW-Google-Calculator/Makefile8
-rw-r--r--www/p5-WWW-Google-News-TW/Makefile10
-rw-r--r--www/p5-WWW-Google-News/Makefile8
-rw-r--r--www/p5-WWW-Google-PageRank/Makefile12
-rw-r--r--www/p5-WWW-Google-Video/Makefile8
-rw-r--r--www/p5-WWW-Mechanize-Pluggable/Makefile8
-rw-r--r--www/p5-WWW-Mechanize-Plugin-phpBB/Makefile8
-rw-r--r--www/p5-WWW-Mixi/Makefile4
-rw-r--r--www/p5-WWW-Myspace/Makefile10
-rw-r--r--www/p5-WWW-OpenSVN/Makefile8
-rw-r--r--www/p5-WWW-Scraper-ISBN-Driver/Makefile8
-rw-r--r--www/p5-WWW-Scraper-ISBN-Record/Makefile8
-rw-r--r--www/p5-WWW-Scraper-ISBN/Makefile8
-rw-r--r--www/p5-WWW-Search-MSN/Makefile4
-rw-r--r--www/p5-WWW-Shorten-0rz/Makefile12
-rw-r--r--www/p5-WWW-Shorten-KUSO/Makefile12
-rw-r--r--www/p5-WWW-Shorten/Makefile12
-rw-r--r--www/p5-WWW-TWSMS/Makefile8
-rw-r--r--www/p5-WWW-VenusEnvy/Makefile8
-rw-r--r--www/p5-WWW-WebArchive/Makefile8
-rw-r--r--www/p5-WWW-Wikipedia/Makefile10
-rw-r--r--www/p5-WebService-Basecamp/Makefile8
-rw-r--r--www/p5-WebService-Bloglines/Makefile10
-rw-r--r--www/p5-WebService-NoPaste/Makefile4
-rw-r--r--www/p5-libapreq/Makefile8
-rw-r--r--www/p5-libwww/Makefile8
-rw-r--r--www/reportmagic/Makefile2
-rw-r--r--www/rt2/Makefile6
-rw-r--r--www/rt32/Makefile10
-rw-r--r--www/rt34/Makefile6
-rw-r--r--www/rt36/Makefile6
-rw-r--r--www/validator/Makefile6
-rw-r--r--www/webinject/Makefile9
-rw-r--r--www/weblint++/Makefile8
-rw-r--r--www/wml/Makefile4
-rw-r--r--x11-clocks/intclock/Makefile1
-rw-r--r--x11-fonts/p5-Font-TTFMetrics/Makefile8
-rw-r--r--x11-toolkits/p5-GdkPixbuf/Makefile8
-rw-r--r--x11-toolkits/p5-Gnome2-Canvas/Makefile10
-rw-r--r--x11-toolkits/p5-Gnome2-VFS/Makefile10
-rw-r--r--x11-toolkits/p5-Gnome2/Makefile10
-rw-r--r--x11-toolkits/p5-Gtk2-Ex-PodViewer/Makefile10
-rw-r--r--x11-toolkits/p5-Gtk2-Html2/Makefile10
-rw-r--r--x11-toolkits/p5-Gtk2-TrayIcon/Makefile10
-rw-r--r--x11-toolkits/p5-Gtk2/Makefile10
-rw-r--r--x11-toolkits/p5-Tk-Date/Makefile10
-rw-r--r--x11-toolkits/p5-Tk-GBARR/Makefile10
-rw-r--r--x11-toolkits/p5-Tk-Getopt/Makefile10
-rw-r--r--x11-toolkits/p5-Tk-TableMatrix/Makefile10
-rw-r--r--x11-toolkits/p5-Tk/Makefile6
-rw-r--r--x11/p5-Clipboard/Makefile8
-rw-r--r--x11/p5-X11-GUITest/Makefile10
-rw-r--r--x11/p5-X11-IdleTime/Makefile13
1228 files changed, 1582 insertions, 8234 deletions
diff --git a/archivers/p5-Compress-Bzip2/Makefile b/archivers/p5-Compress-Bzip2/Makefile
index 069208c1cf09..4615a585dead 100644
--- a/archivers/p5-Compress-Bzip2/Makefile
+++ b/archivers/p5-Compress-Bzip2/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= demon@FreeBSD.org
COMMENT= Perl5 interface to bzip2 compression library
-PERL_CONFIGURE= YES
+PERL_CONFIGURE= yes
MAN3= Compress::Bzip2.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This module only support perl 5.6.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/archivers/p5-Compress-LZW/Makefile b/archivers/p5-Compress-LZW/Makefile
index ea4bb70b3927..a8a5fca9cbf0 100644
--- a/archivers/p5-Compress-LZW/Makefile
+++ b/archivers/p5-Compress-LZW/Makefile
@@ -20,16 +20,7 @@ PERL_CONFIGURE= yes
MAN3= Compress::LZW.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
-.endif
-
post-patch:
${PERL} -pi -e 's/\@hattmoward/\\\@hattmoward/' ${WRKSRC}/Makefile.PL
-.if ${PERL_LEVEL} < 500600
- ${REINPLACE_CMD} -e '/warnings/d' ${WRKSRC}/*
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/archivers/p5-IO-Compress-Base/Makefile b/archivers/p5-IO-Compress-Base/Makefile
index 37d782687359..8835188e096b 100644
--- a/archivers/p5-IO-Compress-Base/Makefile
+++ b/archivers/p5-IO-Compress-Base/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= YES
MAN3= IO::Uncompress::AnyUncompress.3 IO::Uncompress::Base.3 \
File::GlobMapper.3 IO::Compress::Base.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= this module only support perl 5.6.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/archivers/p5-PerlIO-gzip/Makefile b/archivers/p5-PerlIO-gzip/Makefile
index 41c629e28cbc..a1b2de1f8524 100644
--- a/archivers/p5-PerlIO-gzip/Makefile
+++ b/archivers/p5-PerlIO-gzip/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= skv@FreeBSD.org
COMMENT= Perl extension to provide a PerlIO layer to gzip/gunzip
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PerlIO::gzip.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= Perl 5.8 or newer required. Install lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/archivers/p5-PerlIO-via-Bzip2/Makefile b/archivers/p5-PerlIO-via-Bzip2/Makefile
index 51253365f249..89aae5e2ef19 100644
--- a/archivers/p5-PerlIO-via-Bzip2/Makefile
+++ b/archivers/p5-PerlIO-via-Bzip2/Makefile
@@ -18,14 +18,8 @@ COMMENT= Perl extension to provide a PerlIO layer to bzip2/bunzip2
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Compress/Bzip2.pm:${PORTSDIR}/archivers/p5-Compress-Bzip2
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PerlIO::via::Bzip2.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= perl 5.8 or newer required. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/astro/p5-Astro-Catalog/Makefile b/astro/p5-Astro-Catalog/Makefile
index d028ec281443..84f583b0021a 100644
--- a/astro/p5-Astro-Catalog/Makefile
+++ b/astro/p5-Astro-Catalog/Makefile
@@ -59,12 +59,6 @@ MAN3= Astro::Catalog.3 \
Astro::Catalog::Transport::WebService.3 \
Tk::AstroCatalog.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
post-patch:
@${PERL} -pi -e "s!^(my.*cfg_to_install).*!\$$1=\"\";!;" ${WRKSRC}/Makefile.PL
@@ -76,4 +70,4 @@ post-install:
.endif
.endfor
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/astro/p5-Weather-Underground/Makefile b/astro/p5-Weather-Underground/Makefile
index 380a6b80a24e..333dcaadba8e 100644
--- a/astro/p5-Weather-Underground/Makefile
+++ b/astro/p5-Weather-Underground/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/LWP/Simple.pm:${PORTSDIR}/www/p5-libwww \
${SITE_PERL}/${PERL_ARCH}/HTML/TokeParser.pm:${PORTSDIR}/www/p5-HTML-Parser
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Weather::Underground.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/gnump3d/Makefile b/audio/gnump3d/Makefile
index 493f458721e5..3b34118aa458 100644
--- a/audio/gnump3d/Makefile
+++ b/audio/gnump3d/Makefile
@@ -20,7 +20,7 @@ RUN_DEPENDS= lame:${PORTSDIR}/audio/lame \
oggenc:${PORTSDIR}/audio/vorbis-tools
USE_BZIP2= yes
-USE_PERL5_RUN= yes
+USE_PERL5_RUN= 5.8.0+
NO_BUILD= yes
USE_RC_SUBR= gnump3d.sh
SUB_LIST+= PERL=${PERL}
@@ -31,10 +31,7 @@ CONFDIR= ${PREFIX}/etc/${PORTNAME}
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= needs at least perl 5.8. Do not use FreeBSD 4.x' system perl,\
- it's outdated. Install lang/perl5.8 and issue 'use.perl port'
-.elif ${PERL_LEVEL} < 500806
+.if ${PERL_LEVEL} < 500806
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Encode.pm:${PORTSDIR}/converters/p5-Encode
.endif
diff --git a/audio/gnupod/Makefile b/audio/gnupod/Makefile
index 44a26e1e272f..575e31d453cc 100644
--- a/audio/gnupod/Makefile
+++ b/audio/gnupod/Makefile
@@ -30,7 +30,7 @@ MAN1= gnupod_addsong.pl.1 gnupod_check.pl.1 gnupod_INIT.pl.1 \
tunes2pod.pl.1
MANCOMPRESSED= yes
-USE_PERL5= yes
+USE_PERL5= 5.8.0+
HAS_CONFIGURE= yes
NO_BUILD= yes
@@ -43,10 +43,6 @@ OPTIONS= FLAC "Enable FLAC support" off
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= gnupod only support perl 5.8 or above
-.endif
-
.if exists(${SITE_PERL}/${PERL_ARCH}/Audio/FLAC/Header.pm)
WITH_FLAC= YES
.endif
diff --git a/audio/gramofile/Makefile b/audio/gramofile/Makefile
index 5cfacb249e52..1099c9423b6b 100644
--- a/audio/gramofile/Makefile
+++ b/audio/gramofile/Makefile
@@ -32,13 +32,7 @@ ALL_TARGET= gramofile perl-swig
USE_GMAKE= yes
USE_PERL5= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-PERLCOREDIR= /usr/libdata/perl/${PERL_VERSION}/mach/CORE
-.else
PERLCOREDIR= ${LOCALBASE}/lib/perl5/${PERL_VERSION}/mach/CORE
-.endif
MAKE_ARGS+= PERLCOREDIR=${PERLCOREDIR}
pre-everything::
@@ -77,4 +71,4 @@ do-install:
${INSTALL_SCRIPT} ${WRKDIR}/wav2mp3.pl ${EXAMPLESDIR}
${LN} -s bplay_gramo ${PREFIX}/bin/brec_gramo
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Audio-Beep/Makefile b/audio/p5-Audio-Beep/Makefile
index 86c705bb676e..cec4d3a14bb9 100644
--- a/audio/p5-Audio-Beep/Makefile
+++ b/audio/p5-Audio-Beep/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= gslin@gslin.org
COMMENT= A module to use your computer beeper in fancy ways
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Audio::Beep.3 Audio::Beep::BSD::beep.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Audio-Scrobbler/Makefile b/audio/p5-Audio-Scrobbler/Makefile
index c713b8a6e6e5..1d13952a83ef 100644
--- a/audio/p5-Audio-Scrobbler/Makefile
+++ b/audio/p5-Audio-Scrobbler/Makefile
@@ -25,10 +25,4 @@ PERL_CONFIGURE= yes
MAN1= scrobbler-helper.1
MAN3= Audio::Scrobbler.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs at least Perl 5.6 for the UTF-8 handling
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Audio-TagLib/Makefile b/audio/p5-Audio-TagLib/Makefile
index de2ce808d26a..e8fc202cef9d 100644
--- a/audio/p5-Audio-TagLib/Makefile
+++ b/audio/p5-Audio-TagLib/Makefile
@@ -19,7 +19,7 @@ BUILD_DEPENDS= taglib-config:${PORTSDIR}/audio/taglib
RUN_DEPENDS= ${BUILD_DEPENDS}
USE_ICONV= YES
-PERL_CONFIGURE= YES
+PERL_CONFIGURE= 5.8.3+
CONFIGURE_ARGS+= CC="${CXX}" LD="${CXX}"
MAN3= Audio::TagLib.3 Audio::TagLib::APE::Footer.3 \
@@ -72,10 +72,4 @@ MAN3= Audio::TagLib.3 Audio::TagLib::APE::Footer.3 \
post-configure:
${REINPLACE_CMD} -e "s,^CC = .*\$$,CC = ${CXX}," ${WRKSRC}/Makefile
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500803
-IGNORE= perl 5.8.3 or newer required. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Filesys-Virtual-DAAP/Makefile b/audio/p5-Filesys-Virtual-DAAP/Makefile
index 2712f44df24b..f4a075fb6e0c 100644
--- a/audio/p5-Filesys-Virtual-DAAP/Makefile
+++ b/audio/p5-Filesys-Virtual-DAAP/Makefile
@@ -26,10 +26,4 @@ PERL_MODBUILD= yes
MAN3= Filesys::Virtual::DAAP.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-MP3-Tag/Makefile b/audio/p5-MP3-Tag/Makefile
index 1dc93d5cd52d..17857d7b0372 100644
--- a/audio/p5-MP3-Tag/Makefile
+++ b/audio/p5-MP3-Tag/Makefile
@@ -15,7 +15,7 @@ PKGNAMEPREFIX= p5-
MAINTAINER= novel@FreeBSD.org
COMMENT= Module for reading tags of MP3 audio files
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= audio_rename.1 typeset_audio_dir.1 mp3info2.1
MAN3= MP3::Tag.3 MP3::Tag::ID3v1.3 MP3::Tag::File.3 \
@@ -24,10 +24,4 @@ MAN3= MP3::Tag.3 MP3::Tag::ID3v1.3 MP3::Tag::File.3 \
CONFLICTS= p5-tagged-0.*
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8 or newer
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-MusicBrainz-Client/Makefile b/audio/p5-MusicBrainz-Client/Makefile
index 0b14b4116d8d..d9ce205ca0ae 100644
--- a/audio/p5-MusicBrainz-Client/Makefile
+++ b/audio/p5-MusicBrainz-Client/Makefile
@@ -27,10 +27,4 @@ MAN3= MusicBrainz::Client.3 \
MusicBrainz::Client::Simple::Artist.3 \
MusicBrainz::Client::Simple::Track.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-MusicBrainz-Queries/Makefile b/audio/p5-MusicBrainz-Queries/Makefile
index 773b76317653..eeb723820064 100644
--- a/audio/p5-MusicBrainz-Queries/Makefile
+++ b/audio/p5-MusicBrainz-Queries/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= MusicBrainz::Queries.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-MusicBrainz-TRM/Makefile b/audio/p5-MusicBrainz-TRM/Makefile
index 7a820eb1f34d..d154de53155b 100644
--- a/audio/p5-MusicBrainz-TRM/Makefile
+++ b/audio/p5-MusicBrainz-TRM/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= MusicBrainz::TRM.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Net-DAAP-Client/Makefile b/audio/p5-Net-DAAP-Client/Makefile
index 6c4f089b9bda..4894e3030794 100644
--- a/audio/p5-Net-DAAP-Client/Makefile
+++ b/audio/p5-Net-DAAP-Client/Makefile
@@ -26,10 +26,4 @@ PERL_MODBUILD= yes
MAN3= Net::DAAP::Client.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Net-DAAP-DMAP/Makefile b/audio/p5-Net-DAAP-DMAP/Makefile
index 50ac1fec8c7b..b30ae30ca711 100644
--- a/audio/p5-Net-DAAP-DMAP/Makefile
+++ b/audio/p5-Net-DAAP-DMAP/Makefile
@@ -23,10 +23,4 @@ PERL_MODBUILD= yes
MAN3= Net::DAAP::DMAP.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Net-FreeDB/Makefile b/audio/p5-Net-FreeDB/Makefile
index 4e5de60dfe31..3a9f40be0ba2 100644
--- a/audio/p5-Net-FreeDB/Makefile
+++ b/audio/p5-Net-FreeDB/Makefile
@@ -24,11 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Net::FreeDB.3
-.include <bsd.port.pre.mk>
-
-# devel/p5-File-Temp only works on Perl 5.6 or higher.
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/p5-Ogg-Vorbis-Header/Makefile b/audio/p5-Ogg-Vorbis-Header/Makefile
index 4aa6042bbdf6..ce7d9be26868 100644
--- a/audio/p5-Ogg-Vorbis-Header/Makefile
+++ b/audio/p5-Ogg-Vorbis-Header/Makefile
@@ -25,10 +25,4 @@ PERL_CONFIGURE= yes
MAN3= Ogg::Vorbis::Header.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/benchmarks/p5-Benchmark-Stopwatch/Makefile b/benchmarks/p5-Benchmark-Stopwatch/Makefile
index 91b5aea817ab..da25ef9d01f4 100644
--- a/benchmarks/p5-Benchmark-Stopwatch/Makefile
+++ b/benchmarks/p5-Benchmark-Stopwatch/Makefile
@@ -30,8 +30,4 @@ RUN_DEPENDS+= ${SITE_PERL}/Time/HiRes.pm:${PORTSDIR}/devel/p5-Time-HiRes
BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
.include <bsd.port.post.mk>
diff --git a/biology/p5-AcePerl/Makefile b/biology/p5-AcePerl/Makefile
index c06ebfedd484..cd7718c87767 100644
--- a/biology/p5-AcePerl/Makefile
+++ b/biology/p5-AcePerl/Makefile
@@ -45,10 +45,6 @@ MAN3= Ace.3 Ace::Browser::AceSubs.3 Ace::Browser::SearchSubs.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0
-.endif
-
.if ${ARCH} == "amd64" || ${ARCH} == "ia64"
CFLAGS+= -fPIC
.endif
diff --git a/biology/p5-Bio-ASN1-EntrezGene/Makefile b/biology/p5-Bio-ASN1-EntrezGene/Makefile
index 05378930aa0b..091bca071b2d 100644
--- a/biology/p5-Bio-ASN1-EntrezGene/Makefile
+++ b/biology/p5-Bio-ASN1-EntrezGene/Makefile
@@ -25,10 +25,4 @@ MAN3= Bio::ASN1::EntrezGene.3 \
Bio::ASN1::Sequence.3 \
Bio::ASN1::Sequence::Indexer.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least perl5.6 to build
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/biology/p5-Bio-Phylo/Makefile b/biology/p5-Bio-Phylo/Makefile
index 6b9a142a1cf2..5193815577d5 100644
--- a/biology/p5-Bio-Phylo/Makefile
+++ b/biology/p5-Bio-Phylo/Makefile
@@ -75,12 +75,6 @@ MAN3= Bio::Phylo.3 \
Bio::Phylo::Util::IDPool.3 \
Bio::Phylo::Util::XMLWritable.3
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.7.2+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500702
-IGNORE= requires at least Perl 5.7.2 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/biology/p5-bioperl-devel/Makefile b/biology/p5-bioperl-devel/Makefile
index ec32aeaa90a4..c1f007f04d86 100644
--- a/biology/p5-bioperl-devel/Makefile
+++ b/biology/p5-bioperl-devel/Makefile
@@ -925,9 +925,6 @@ MAN3= Bio::Align::AlignI.3 \
.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or better
-.endif
.endif
# now install all extra stuff (docs, examples, scripts, models)
diff --git a/biology/p5-bioperl-run-devel/Makefile b/biology/p5-bioperl-run-devel/Makefile
index 10d10f59033b..d967c62954fd 100644
--- a/biology/p5-bioperl-run-devel/Makefile
+++ b/biology/p5-bioperl-run-devel/Makefile
@@ -371,12 +371,6 @@ MAN3= Bio::Factory::EMBOSS.3 \
Bio::Tools::Run::TribeMCL.3 \
Bio::Tools::Run::Vista.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or better
-.endif
-
# now install all extra stuff (docs, examples, scripts)
post-install:
${MKDIR} ${DATADIR}
@@ -390,4 +384,4 @@ post-install:
.endfor
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/biology/p5-bioperl-run/Makefile b/biology/p5-bioperl-run/Makefile
index 2decb02726d5..87d32563475a 100644
--- a/biology/p5-bioperl-run/Makefile
+++ b/biology/p5-bioperl-run/Makefile
@@ -356,12 +356,6 @@ MAN3= Bio::Factory::EMBOSS.3 \
Bio::Tools::Run::TribeMCL.3 \
Bio::Tools::Run::Vista.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or better
-.endif
-
# now install all extra stuff (docs, examples, scripts)
post-install:
${MKDIR} ${DATADIR}
@@ -375,4 +369,4 @@ post-install:
.endfor
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/biology/p5-bioperl/Makefile b/biology/p5-bioperl/Makefile
index 7b2cbc1d6974..4c805319150b 100644
--- a/biology/p5-bioperl/Makefile
+++ b/biology/p5-bioperl/Makefile
@@ -798,9 +798,6 @@ MAN3= Bio::Align::AlignI.3 \
.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
-.if ${PERL_LEVEL} < 500600
-IGNORE= "This port requires Perl 5.6 or better"
-.endif
.endif
# now install all extra stuff (docs, examples, scripts, models)
diff --git a/cad/p5-GDS2/Makefile b/cad/p5-GDS2/Makefile
index 55e65ed4a3f4..cda991d5fcf4 100644
--- a/cad/p5-GDS2/Makefile
+++ b/cad/p5-GDS2/Makefile
@@ -16,7 +16,6 @@ DISTNAME= ${PORTNAME}-${PORTVERSION:S,.a$,a,}
MAINTAINER= hrs@FreeBSD.org
COMMENT= GDS2 - GDS2 stream module
-USE_PERL5= yes
PERL_MODBUILD= yes
WRKSRC= ${WRKDIR}/${PORTNAME}-${PORTVERSION:S,.a$,,}
PLIST_FILES= ${SITE_PERL_REL}/GDS2.pm \
diff --git a/chinese/oicq/Makefile b/chinese/oicq/Makefile
index 4760af07a156..3df31241f0ba 100644
--- a/chinese/oicq/Makefile
+++ b/chinese/oicq/Makefile
@@ -20,18 +20,12 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Digest/MD5.pm:${PORTSDIR}/security/p5-D
${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
${SITE_PERL}/Crypt/OICQ.pm:${PORTSDIR}/security/p5-Crypt-OICQ
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Net::OICQ.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # inherits from security/p5-Crypt-OICQ
-IGNORE= requires perl 5.8.x or later. Install lang/perl5.8 then try again
-.endif
-
post-install:
${INSTALL_SCRIPT} ${WRKSRC}/bin/qq ${PREFIX}/bin
${INSTALL_SCRIPT} ${WRKSRC}/demo1 ${PREFIX}/bin/qq-demo1
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/chinese/p5-Encode-HanExtra/Makefile b/chinese/p5-Encode-HanExtra/Makefile
index aa17430fa18e..980564f5a1e8 100644
--- a/chinese/p5-Encode-HanExtra/Makefile
+++ b/chinese/p5-Encode-HanExtra/Makefile
@@ -15,12 +15,6 @@ PKGNAMEPREFIX= p5-
MAINTAINER= leeym@FreeBSD.org
COMMENT= Extra sets of Chinese encodings
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.3+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500703
-IGNORE= requires Perl 5.7.3 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/chinese/p5-Lingua-Han-Utils/Makefile b/chinese/p5-Lingua-Han-Utils/Makefile
index c3f143201719..b06df25055d2 100644
--- a/chinese/p5-Lingua-Han-Utils/Makefile
+++ b/chinese/p5-Lingua-Han-Utils/Makefile
@@ -19,15 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Lingua::Han::Utils.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.if ${PERL_LEVEL} < 500800
-RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Encode/Guess.pm:${PORTSDIR}/converters/p5-Encode
-BUILD_DEPENDS= ${RUN_DEPENDS}
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/chinese/p5-Lingua-ZH-BPMFConvert/Makefile b/chinese/p5-Lingua-ZH-BPMFConvert/Makefile
index 86bfc9639e52..3525ec7e59b8 100644
--- a/chinese/p5-Lingua-ZH-BPMFConvert/Makefile
+++ b/chinese/p5-Lingua-ZH-BPMFConvert/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Lingua::ZH::BPMFConvert.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/chinese/p5-Lingua-ZH-Segment/Makefile b/chinese/p5-Lingua-ZH-Segment/Makefile
index d169ecdfcce7..ddb07602fc93 100644
--- a/chinese/p5-Lingua-ZH-Segment/Makefile
+++ b/chinese/p5-Lingua-ZH-Segment/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= clsung@FreeBSD.org
COMMENT= Chinese Text Segmentation
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN3= Lingua::ZH::Segment.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires Perl 5.8.1 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/comms/hamlib/Makefile b/comms/hamlib/Makefile
index 5c7db56714c1..59e766a1d482 100644
--- a/comms/hamlib/Makefile
+++ b/comms/hamlib/Makefile
@@ -37,10 +37,6 @@ OPTIONS = PYTHON "Define if you want PYTHON bindings" OFF \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= required Perl 5.6 or newer. Install lang/perl5.8 or lang/perl5 and try again
-.endif
-
.if defined(WITH_XML)
USE_GNOME+= libxml2
PLIST_SUB+= XML=""
diff --git a/comms/p5-Device-SerialPort/Makefile b/comms/p5-Device-SerialPort/Makefile
index 6a23e785992a..25261c1d9944 100644
--- a/comms/p5-Device-SerialPort/Makefile
+++ b/comms/p5-Device-SerialPort/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= yes
MAN1= modemtest.1
MAN3= Device::SerialPort.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 or lang/perl5 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/comms/p5-Fax-Hylafax-Client/Makefile b/comms/p5-Fax-Hylafax-Client/Makefile
index 0e49eda761bf..4b378f8c8781 100644
--- a/comms/p5-Fax-Hylafax-Client/Makefile
+++ b/comms/p5-Fax-Hylafax-Client/Makefile
@@ -18,14 +18,8 @@ COMMENT= A simple Perl client for the HylaFAX fax server
BUILD_DEPENDS= ${SITE_PERL}/Net/FTP.pm:${PORTSDIR}/net/p5-Net
RUN_DEPENDS= ${SITE_PERL}/Net/FTP.pm:${PORTSDIR}/net/p5-Net
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Fax::Hylafax::Client.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8.0 or superior. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/comms/p5-SMS-Send/Makefile b/comms/p5-SMS-Send/Makefile
index 48acb10a3c6d..f4e97a7bdce4 100644
--- a/comms/p5-SMS-Send/Makefile
+++ b/comms/p5-SMS-Send/Makefile
@@ -27,10 +27,4 @@ MAN3= SMS::Send.3 \
SMS::Send::Driver.3 \
SMS::Send::Test.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 due to dependency. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Convert-Bencode_XS/Makefile b/converters/p5-Convert-Bencode_XS/Makefile
index 76bc923a1e98..a2997ca2cc48 100644
--- a/converters/p5-Convert-Bencode_XS/Makefile
+++ b/converters/p5-Convert-Bencode_XS/Makefile
@@ -25,10 +25,4 @@ post-install:
${MKDIR} ${EXAMPLESDIR}
${INSTALL_SCRIPT} ${WRKSRC}/extras/* ${EXAMPLESDIR}
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Convert-Morse/Makefile b/converters/p5-Convert-Morse/Makefile
index f6cf1357e952..1a9ad1696fd1 100644
--- a/converters/p5-Convert-Morse/Makefile
+++ b/converters/p5-Convert-Morse/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= Perl module to convert between ASCII and Morse codes
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN3= Convert::Morse.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500801
-IGNORE= this program only support perl 5.8.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Encode-JIS2K/Makefile b/converters/p5-Encode-JIS2K/Makefile
index 3a528cbee8ae..c05108f11e71 100644
--- a/converters/p5-Encode-JIS2K/Makefile
+++ b/converters/p5-Encode-JIS2K/Makefile
@@ -15,12 +15,6 @@ PKGNAMEPREFIX= p5-
MAINTAINER= rafan@FreeBSD.org
COMMENT= JIS X 0212 (aka JIS 2000) Encodings
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.3+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500703
-IGNORE= requires Perl 5.7.3 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Encode-compat/Makefile b/converters/p5-Encode-compat/Makefile
index d85e57a1c880..2a3dd6218cb5 100644
--- a/converters/p5-Encode-compat/Makefile
+++ b/converters/p5-Encode-compat/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Encode::compat.3 Encode::compat::Alias.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This program only support perl 5.6.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Encode/Makefile b/converters/p5-Encode/Makefile
index 439a2c63a045..11ad016bee7c 100644
--- a/converters/p5-Encode/Makefile
+++ b/converters/p5-Encode/Makefile
@@ -15,7 +15,7 @@ PKGNAMEPREFIX= p5-
MAINTAINER= rafan@FreeBSD.org
COMMENT= Provides interfaces between strings and the rest of the system
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.3+
MAN3= Encode.3 \
Encode::Alias.3 \
@@ -38,10 +38,6 @@ MAN3= Encode.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500703
-IGNORE= requires Perl 5.7.3 or above
-.endif
-
.if ${PERL_LEVEL} > 500800
post-patch:
${PERL} -pi -e '$$_="" if $$.>=23 && $$.<=25; $$_="my \@exe_files=();\n" if $$.==25' ${WRKSRC}/Makefile.PL
diff --git a/converters/p5-JSON-XS/Makefile b/converters/p5-JSON-XS/Makefile
index 81a2bfb44693..8e1ad087ef97 100644
--- a/converters/p5-JSON-XS/Makefile
+++ b/converters/p5-JSON-XS/Makefile
@@ -16,13 +16,7 @@ DISTNAME= ${PORTNAME}-${PORTVERSION:C/0$//}
MAINTAINER= clsung@FreeBSD.org
COMMENT= JSON serialising/deserialising, done correctly and fast
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= JSON::XS.3 JSON::XS::Boolean.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-MIME-Base64/Makefile b/converters/p5-MIME-Base64/Makefile
index 5e868ef5c125..02a173c3e4c8 100644
--- a/converters/p5-MIME-Base64/Makefile
+++ b/converters/p5-MIME-Base64/Makefile
@@ -20,14 +20,4 @@ PERL_CONFIGURE= YES
MAN3= MIME::Base64.3 \
MIME::QuotedPrint.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BUILD_DEPENDS+= ${SITE_PERL}/XSLoader.pm:${PORTSDIR}/devel/p5-XSLoader
-RUN_DEPENDS+= ${SITE_PERL}/XSLoader.pm:${PORTSDIR}/devel/p5-XSLoader
-
-post-patch:
- ${REINPLACE_CMD} -e '/require 5.006/d' ${WRKSRC}/${CONFIGURE_SCRIPT}
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Number-Nary/Makefile b/converters/p5-Number-Nary/Makefile
index f976c78e019a..f03432d7a2b4 100644
--- a/converters/p5-Number-Nary/Makefile
+++ b/converters/p5-Number-Nary/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/Sub/Exporter.pm:${PORTSDIR}/devel/p5-Sub-Exporter \
${SITE_PERL}/${PERL_ARCH}/List/MoreUtils.pm:${PORTSDIR}/lang/p5-List-MoreUtils
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Number::Nary.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Number-RecordLocator/Makefile b/converters/p5-Number-RecordLocator/Makefile
index 238c226b74e4..82c2e3f8a076 100644
--- a/converters/p5-Number-RecordLocator/Makefile
+++ b/converters/p5-Number-RecordLocator/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Number::RecordLocator.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Text-Unidecode/Makefile b/converters/p5-Text-Unidecode/Makefile
index dd670eb225a6..fa605a14cd89 100644
--- a/converters/p5-Text-Unidecode/Makefile
+++ b/converters/p5-Text-Unidecode/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Text::Unidecode.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= "This port requires perl 5.6 or newer"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/converters/p5-Unicode-String/Makefile b/converters/p5-Unicode-String/Makefile
index 79f2dd80b956..e2f61372747e 100644
--- a/converters/p5-Unicode-String/Makefile
+++ b/converters/p5-Unicode-String/Makefile
@@ -15,14 +15,14 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= These are experimental Perl5 modules to handle various Unicode issues
+PERL_CONFIGURE= 5.7.2+
+
.include <bsd.port.pre.mk>
.if ${PERL_LEVEL} < 500804
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/MIME/Base64.pm:${PORTSDIR}/converters/p5-MIME-Base64
.endif
-PERL_CONFIGURE= yes
-
MAN3= Unicode::CharName.3 Unicode::String.3
.include <bsd.port.post.mk>
diff --git a/converters/p5-XML-WBXML/Makefile b/converters/p5-XML-WBXML/Makefile
index b167efab88e7..83f535aae907 100644
--- a/converters/p5-XML-WBXML/Makefile
+++ b/converters/p5-XML-WBXML/Makefile
@@ -21,10 +21,4 @@ MAN3= XML::WBXML.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/mysql323-scripts/Makefile b/databases/mysql323-scripts/Makefile
index 9b5f645bb43e..e4958171f08b 100644
--- a/databases/mysql323-scripts/Makefile
+++ b/databases/mysql323-scripts/Makefile
@@ -17,5 +17,6 @@ PKGINSTALL= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql40-scripts/Makefile b/databases/mysql40-scripts/Makefile
index 51c445d89205..8be8e369392e 100644
--- a/databases/mysql40-scripts/Makefile
+++ b/databases/mysql40-scripts/Makefile
@@ -17,5 +17,6 @@ PKGINSTALL= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql41-scripts/Makefile b/databases/mysql41-scripts/Makefile
index c17cb4d517e2..17085831b6d6 100644
--- a/databases/mysql41-scripts/Makefile
+++ b/databases/mysql41-scripts/Makefile
@@ -16,5 +16,6 @@ PKGINSTALL= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql50-scripts/Makefile b/databases/mysql50-scripts/Makefile
index 1e96f2b0dd43..fb2f7929a86c 100644
--- a/databases/mysql50-scripts/Makefile
+++ b/databases/mysql50-scripts/Makefile
@@ -17,5 +17,6 @@ PKGMESSAGE= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql51-scripts/Makefile b/databases/mysql51-scripts/Makefile
index 7aa6e28374ba..bb4acfcf8a31 100644
--- a/databases/mysql51-scripts/Makefile
+++ b/databases/mysql51-scripts/Makefile
@@ -17,5 +17,6 @@ PKGMESSAGE= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql54-scripts/Makefile b/databases/mysql54-scripts/Makefile
index 7aa6e28374ba..bb4acfcf8a31 100644
--- a/databases/mysql54-scripts/Makefile
+++ b/databases/mysql54-scripts/Makefile
@@ -17,5 +17,6 @@ PKGMESSAGE= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql55-scripts/Makefile b/databases/mysql55-scripts/Makefile
index 7aa6e28374ba..bb4acfcf8a31 100644
--- a/databases/mysql55-scripts/Makefile
+++ b/databases/mysql55-scripts/Makefile
@@ -17,5 +17,6 @@ PKGMESSAGE= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/mysql60-scripts/Makefile b/databases/mysql60-scripts/Makefile
index 7aa6e28374ba..bb4acfcf8a31 100644
--- a/databases/mysql60-scripts/Makefile
+++ b/databases/mysql60-scripts/Makefile
@@ -17,5 +17,6 @@ PKGMESSAGE= mustnotexist
PLIST= ${PKGDIR}/pkg-plist.scripts
SCRIPTS_ONLY= yes
+USE_PERL5= yes
.include "${MASTERDIR}/Makefile"
diff --git a/databases/p5-Cache-Memcached-Managed/Makefile b/databases/p5-Cache-Memcached-Managed/Makefile
index 401ecb100fdf..be4b258855a6 100644
--- a/databases/p5-Cache-Memcached-Managed/Makefile
+++ b/databases/p5-Cache-Memcached-Managed/Makefile
@@ -25,10 +25,4 @@ MAN3= Cache::Memcached::Managed.3 \
Cache::Memcached::Managed::Inactive.3 \
Cache::Memcached::Managed::Multi.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Cache-Memcached-XS/Makefile b/databases/p5-Cache-Memcached-XS/Makefile
index 835fe141ace6..f9260698ae55 100644
--- a/databases/p5-Cache-Memcached-XS/Makefile
+++ b/databases/p5-Cache-Memcached-XS/Makefile
@@ -19,15 +19,9 @@ LIB_DEPENDS= memcache.4:${PORTSDIR}/databases/libmemcache
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Storable
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.6+
CONFIGURE_ARGS= INC="-I${LOCALBASE}/include"
MAN3= Cache::Memcached::XS.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500806
-IGNORE= requires perl 5.8.6 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-AutoLoader/Makefile b/databases/p5-Class-DBI-AutoLoader/Makefile
index 68aadbe29d85..4d3834edfb82 100644
--- a/databases/p5-Class-DBI-AutoLoader/Makefile
+++ b/databases/p5-Class-DBI-AutoLoader/Makefile
@@ -24,13 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::AutoLoader.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e '$$_ = "" if /use warnings/;' \
- -e 's/^our (\S+)/use vars qw($$1); $$1/;' \
- ${WRKSRC}/AutoLoader.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-DATA-Schema/Makefile b/databases/p5-Class-DBI-DATA-Schema/Makefile
index 1565d7b3498a..41661328d8c1 100644
--- a/databases/p5-Class-DBI-DATA-Schema/Makefile
+++ b/databases/p5-Class-DBI-DATA-Schema/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::DATA::Schema.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500600
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-DDL/Makefile b/databases/p5-Class-DBI-DDL/Makefile
index 471ac83c94fa..43c3a3784d93 100644
--- a/databases/p5-Class-DBI-DDL/Makefile
+++ b/databases/p5-Class-DBI-DDL/Makefile
@@ -18,15 +18,9 @@ COMMENT= DDL for Class-DBI
RUN_DEPENDS= ${SITE_PERL}/Class/DBI.pm:${PORTSDIR}/databases/p5-Class-DBI
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Class::DBI::DDL.3 \
Class::DBI::DDL::Pg.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= needs perl 5.8 or higher, install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Loader/Makefile b/databases/p5-Class-DBI-Loader/Makefile
index b0e734d574d3..338a8aef1bec 100644
--- a/databases/p5-Class-DBI-Loader/Makefile
+++ b/databases/p5-Class-DBI-Loader/Makefile
@@ -45,10 +45,6 @@ OPTIONS= PGSQL "Enable support for PostgreSQL" Off \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
.if defined(WITH_PGSQL)
RUN_DEPENDS+= ${SITE_PERL}/Class/DBI/Pg.pm:${PORTSDIR}/databases/p5-Class-DBI-Pg
.endif
diff --git a/databases/p5-Class-DBI-Plugin-AbstractCount/Makefile b/databases/p5-Class-DBI-Plugin-AbstractCount/Makefile
index c7b6cdae3dd7..481117a922d5 100644
--- a/databases/p5-Class-DBI-Plugin-AbstractCount/Makefile
+++ b/databases/p5-Class-DBI-Plugin-AbstractCount/Makefile
@@ -24,8 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::Plugin::AbstractCount.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or newer. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Plugin-Iterator/Makefile b/databases/p5-Class-DBI-Plugin-Iterator/Makefile
index 0042531a33c0..2b3eb0320bba 100644
--- a/databases/p5-Class-DBI-Plugin-Iterator/Makefile
+++ b/databases/p5-Class-DBI-Plugin-Iterator/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::Plugin::Iterator.3 \
Class::DBI::Plugin::Iterator::Nihongo.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= perl 5.6 or newer required by Class::DBI. Install lang/perl5.8 or lang/perl5 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Plugin-Pager/Makefile b/databases/p5-Class-DBI-Plugin-Pager/Makefile
index 5145b11c4c9a..4d893c9eb45d 100644
--- a/databases/p5-Class-DBI-Plugin-Pager/Makefile
+++ b/databases/p5-Class-DBI-Plugin-Pager/Makefile
@@ -24,10 +24,4 @@ BUILD_DEPENDS= ${SITE_PERL}/Class/DBI.pm:${PORTSDIR}/databases/p5-Class-DBI \
PERL_CONFIGURE= yes
MAN3= Class::DBI::Plugin::Pager.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= perl 5.6 or newer required by Class::DBI. Install lang/perl5.8 or lang/perl5 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Plugin-RetrieveAll/Makefile b/databases/p5-Class-DBI-Plugin-RetrieveAll/Makefile
index db18e72083a3..fd3683225c99 100644
--- a/databases/p5-Class-DBI-Plugin-RetrieveAll/Makefile
+++ b/databases/p5-Class-DBI-Plugin-RetrieveAll/Makefile
@@ -21,13 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::Plugin::RetrieveAll.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- ${PERL} -pi -e 's/^our\s+([\$$\@\%]\w+)/use vars qw($$1);$$1/;' \
- -e '$$_="" if /use warnings/;' \
- ${WRKSRC}/lib/Class/DBI/Plugin/RetrieveAll.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Plugin-Type/Makefile b/databases/p5-Class-DBI-Plugin-Type/Makefile
index 0c5a747d812c..e0e71e0953d5 100644
--- a/databases/p5-Class-DBI-Plugin-Type/Makefile
+++ b/databases/p5-Class-DBI-Plugin-Type/Makefile
@@ -21,16 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::Plugin::Type.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- ${PERL} -pi -e 's/^our\s+([\$$\@\%]\w+)/use vars qw($$1);$$1/;' \
- -e '$$_="" if /use warnings/;' \
- ${WRKSRC}/Type.pm
-
-post-configure:
- ${PERL} -pi -e 's,/usr/local/,\$$(PREFIX)/,g' ${WRKSRC}/Makefile
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Plugin/Makefile b/databases/p5-Class-DBI-Plugin/Makefile
index 2065499f09e8..c589c48801ed 100644
--- a/databases/p5-Class-DBI-Plugin/Makefile
+++ b/databases/p5-Class-DBI-Plugin/Makefile
@@ -22,8 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Class::DBI::Plugin.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or newer. Install lang/perl5 or lang/perl5.8, and try again.
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI-Sweet/Makefile b/databases/p5-Class-DBI-Sweet/Makefile
index 89f9a996bd7e..ec2f65790efc 100644
--- a/databases/p5-Class-DBI-Sweet/Makefile
+++ b/databases/p5-Class-DBI-Sweet/Makefile
@@ -22,17 +22,11 @@ RUN_DEPENDS= p5-Class-DBI>=3.0.12:${PORTSDIR}/databases/p5-Class-DBI \
${SITE_PERL}/SQL/Abstract.pm:${PORTSDIR}/databases/p5-SQL-Abstract
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.1+
MAN3= Class::DBI::Sweet.3 Class::DBI::Sweet::Topping.3
post-extract:
@${PERL} -i.bak -ne 'print unless m,DBD::SQLite,' ${WRKSRC}/Build.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Class-DBI/Makefile b/databases/p5-Class-DBI/Makefile
index 4d3a2e8d130e..9a9f36ec4beb 100644
--- a/databases/p5-Class-DBI/Makefile
+++ b/databases/p5-Class-DBI/Makefile
@@ -42,10 +42,4 @@ post-configure:
# dirty hack to deceive irritable pod2man
@${PERL} -pi -e 's/^(POD2MAN_EXE.*)$$/\1 --lax/;' ${WRKSRC}/Makefile
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBD-CSV/Makefile b/databases/p5-DBD-CSV/Makefile
index 6332aec14ded..49ff3241107a 100644
--- a/databases/p5-DBD-CSV/Makefile
+++ b/databases/p5-DBD-CSV/Makefile
@@ -26,10 +26,4 @@ PERL_CONFIGURE= YES
MAN3= DBD::CSV.3 Bundle::DBD::CSV.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBD-InterBase/Makefile b/databases/p5-DBD-InterBase/Makefile
index 8067e593bfbc..fb2ea01064a3 100644
--- a/databases/p5-DBD-InterBase/Makefile
+++ b/databases/p5-DBD-InterBase/Makefile
@@ -27,10 +27,4 @@ post-patch:
MAN3= DBD::InterBase.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 or lang/perl5 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBD-LDAP/Makefile b/databases/p5-DBD-LDAP/Makefile
index 323bdbf152b4..f8a5c2dd7bfa 100644
--- a/databases/p5-DBD-LDAP/Makefile
+++ b/databases/p5-DBD-LDAP/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= DBD::LDAP.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBD-Mock/Makefile b/databases/p5-DBD-Mock/Makefile
index 8d97d672d375..69597e7b9fb7 100644
--- a/databases/p5-DBD-Mock/Makefile
+++ b/databases/p5-DBD-Mock/Makefile
@@ -18,14 +18,8 @@ COMMENT= Simple mock DBD implementation used for testing
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.6+
MAN3= DBD::Mock.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500806
-IGNORE= needs Perl 5.8.6 or above (lang/perl5.8)
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Class-DigestColumns/Makefile b/databases/p5-DBIx-Class-DigestColumns/Makefile
index 50fc3c147cd1..16b4635c2b6a 100644
--- a/databases/p5-DBIx-Class-DigestColumns/Makefile
+++ b/databases/p5-DBIx-Class-DigestColumns/Makefile
@@ -20,15 +20,11 @@ RUN_DEPENDS= p5-DBIx-Class>=0.06002:${PORTSDIR}/databases/p5-DBIx-Class \
p5-Digest>=1.11:${PORTSDIR}/security/p5-Digest
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.1+
MAN3= DBIx::Class::DigestColumns.3
post-extract:
@${PERL} -i.bak -ne 'print unless /^\s*build_requires/ .. /},$$/ or /^\s*recommends/ .. /},$$/ ' ${WRKSRC}/Build.PL
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Class-Loader/Makefile b/databases/p5-DBIx-Class-Loader/Makefile
index 31ab2f7365aa..4a556a063277 100644
--- a/databases/p5-DBIx-Class-Loader/Makefile
+++ b/databases/p5-DBIx-Class-Loader/Makefile
@@ -23,7 +23,7 @@ BUILD_DEPENDS= p5-DBI>=1.3:${PORTSDIR}/databases/p5-DBI \
p5-UNIVERSAL-require>=0.10:${PORTSDIR}/devel/p5-UNIVERSAL-require
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= DBIx::Class::Loader.3 \
DBIx::Class::Loader::DB2.3 \
@@ -33,8 +33,4 @@ MAN3= DBIx::Class::Loader.3 \
DBIx::Class::Loader::Writing.3 \
DBIx::Class::Loader::mysql.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} <= 500800
-IGNORE= requires Perl 5.8. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Class-Schema-Loader/Makefile b/databases/p5-DBIx-Class-Schema-Loader/Makefile
index 1d14328aad29..6a91600afc32 100644
--- a/databases/p5-DBIx-Class-Schema-Loader/Makefile
+++ b/databases/p5-DBIx-Class-Schema-Loader/Makefile
@@ -26,7 +26,7 @@ RUN_DEPENDS= p5-Data-Dump>=1.06:${PORTSDIR}/devel/p5-Data-Dump \
p5-Class-Inspector>=0:${PORTSDIR}/devel/p5-Class-Inspector \
p5-DBIx-Class>=0.07006:${PORTSDIR}/databases/p5-DBIx-Class \
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= DBIx::Class::Schema::Loader.3 \
DBIx::Class::Schema::Loader::Base.3 \
@@ -49,10 +49,6 @@ OPTIONS= SQLITE "SQLite Support" Off \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} <= 500800
-IGNORE= requires Perl 5.8. Install lang/perl5.8, and try again
-.endif
-
.if defined(WITH_SQLITE)
RUN_DEPENDS+= p5-DBD-SQLite>=1.12:${PORTSDIR}/databases/p5-DBD-SQLite \
p5-DBI>=1.56:${PORTSDIR}/databases/p5-DBI
diff --git a/databases/p5-DBIx-Class-UUIDColumns/Makefile b/databases/p5-DBIx-Class-UUIDColumns/Makefile
index be7fbbc7723d..547d0802d102 100644
--- a/databases/p5-DBIx-Class-UUIDColumns/Makefile
+++ b/databases/p5-DBIx-Class-UUIDColumns/Makefile
@@ -20,7 +20,7 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/DBD/SQLite.pm:${PORTSDIR}/databases/p5-
${SITE_PERL}/DBIx/Class.pm:${PORTSDIR}/databases/p5-DBIx-Class
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= DBIx::Class::UUIDColumns.3 \
DBIx::Class::UUIDColumns::UUIDMaker.3 \
@@ -32,10 +32,4 @@ MAN3= DBIx::Class::UUIDColumns.3 \
DBIx::Class::UUIDColumns::UUIDMaker::Win32::Guidgen.3 \
DBIx::Class::UUIDColumns::UUIDMaker::Win32API::GUID.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Class-Validation/Makefile b/databases/p5-DBIx-Class-Validation/Makefile
index 84af769c327d..a73ed9d06c33 100644
--- a/databases/p5-DBIx-Class-Validation/Makefile
+++ b/databases/p5-DBIx-Class-Validation/Makefile
@@ -22,14 +22,8 @@ BUILD_DEPENDS= ${SITE_PERL}/Module/Install.pm:${PORTSDIR}/devel/p5-Module-Instal
${SITE_PERL}/DBIx/Class.pm:${PORTSDIR}/databases/p5-DBIx-Class
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= DBIx::Class::Validation.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Class-WebForm/Makefile b/databases/p5-DBIx-Class-WebForm/Makefile
index 441d445c9b2a..029a2ab74912 100644
--- a/databases/p5-DBIx-Class-WebForm/Makefile
+++ b/databases/p5-DBIx-Class-WebForm/Makefile
@@ -21,12 +21,8 @@ RUN_DEPENDS= p5-DBIx-Class>=0:${PORTSDIR}/databases/p5-DBIx-Class \
${SITE_PERL}/Data/FormValidator.pm:${PORTSDIR}/textproc/p5-Data-FormValidator
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.1+
MAN3= DBIx::Class::WebForm.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Class/Makefile b/databases/p5-DBIx-Class/Makefile
index 0b45877080a3..65fb9e97ee5f 100644
--- a/databases/p5-DBIx-Class/Makefile
+++ b/databases/p5-DBIx-Class/Makefile
@@ -28,7 +28,7 @@ RUN_DEPENDS= p5-Data-Page>=2.00:${PORTSDIR}/databases/p5-Data-Page \
p5-Class-Accessor-Grouped>=0.05002:${PORTSDIR}/devel/p5-Class-Accessor-Grouped \
p5-JSON>=1.00:${PORTSDIR}/converters/p5-JSON
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN1= dbicadmin.1
MAN3= DBIx::Class.3 \
@@ -101,8 +101,4 @@ MAN3= DBIx::Class.3 \
post-extract:
@${PERL} -i.bak -ne 'print unless /^\s*build_requires/' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Log4perl/Makefile b/databases/p5-DBIx-Log4perl/Makefile
index 5456c39674fc..035eec4f8d59 100644
--- a/databases/p5-DBIx-Log4perl/Makefile
+++ b/databases/p5-DBIx-Log4perl/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= p5-DBI>=1.50:${PORTSDIR}/databases/p5-DBI \
p5-Log-Log4perl>=1.04:${PORTSDIR}/devel/p5-Log-Log4perl
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= DBIx::Log4perl.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8.0 Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Perlish/Makefile b/databases/p5-DBIx-Perlish/Makefile
index a7237db2ce6d..333cf70e6b0a 100644
--- a/databases/p5-DBIx-Perlish/Makefile
+++ b/databases/p5-DBIx-Perlish/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= p5-DBI>0:${PORTSDIR}/databases/p5-DBI \
p5-PadWalker>0:${PORTSDIR}/devel/p5-PadWalker
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.2+
MAN3= DBIx::Perlish.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500802
-IGNORE= requires perl 5.8.2 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-SQLEngine/Makefile b/databases/p5-DBIx-SQLEngine/Makefile
index c62a3669488a..c480df9cdebf 100644
--- a/databases/p5-DBIx-SQLEngine/Makefile
+++ b/databases/p5-DBIx-SQLEngine/Makefile
@@ -84,10 +84,4 @@ MAN3= DBIx::SQLEngine.3 \
DBIx::SQLEngine::Schema::TableSet.3 \
DBIx::SQLEngine::Utility::CloneWithParams.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-SQLite-Simple/Makefile b/databases/p5-DBIx-SQLite-Simple/Makefile
index ed254628a5a8..e7974346bb6b 100644
--- a/databases/p5-DBIx-SQLite-Simple/Makefile
+++ b/databases/p5-DBIx-SQLite-Simple/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= DBIx::SQLite::Simple.3 \
DBIx::SQLite::Simple::Table.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # inherited from devel/p5-Class-Gomor
-IGNORE= requires perl 5.6 or higher, install lang/perl5.6 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-SearchBuilder/Makefile b/databases/p5-DBIx-SearchBuilder/Makefile
index 3b3848d75467..808416eb279a 100644
--- a/databases/p5-DBIx-SearchBuilder/Makefile
+++ b/databases/p5-DBIx-SearchBuilder/Makefile
@@ -26,7 +26,7 @@ BUILD_DEPENDS= ${SITE_PERL}/Class/ReturnValue.pm:${PORTSDIR}/devel/p5-Class-Retu
${SITE_PERL}/${PERL_ARCH}/Encode.pm:${PORTSDIR}/converters/p5-Encode
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.3+
MAN3= DBIx::SearchBuilder.3 DBIx::SearchBuilder::Handle.3 \
DBIx::SearchBuilder::Handle::Informix.3 \
@@ -43,10 +43,4 @@ MAN3= DBIx::SearchBuilder.3 DBIx::SearchBuilder::Handle.3 \
DBIx::SearchBuilder::Union.3 \
DBIx::SearchBuilder::Unique.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500703
-IGNORE= requires at least Perl 5.7.3 due to dependency on devel/p5-Encode. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-DBIx-Simple/Makefile b/databases/p5-DBIx-Simple/Makefile
index c8cca8fb8889..3ff489e958e6 100644
--- a/databases/p5-DBIx-Simple/Makefile
+++ b/databases/p5-DBIx-Simple/Makefile
@@ -44,8 +44,4 @@ RUN_DEPENDS+= p5-DBIx-XHTML_Table>=0:${PORTSDIR}/databases/p5-DBIx-XHTML_Table
RUN_DEPENDS+= p5-Text-Table>=0:${PORTSDIR}/textproc/p5-Text-Table
.endif
-.if ${PERL_LEVEL} < 500600
-IGNORE= need at least Perl 5.6; install lang/perl or lang/perl5.8
-.endif
-
.include <bsd.port.post.mk>
diff --git a/databases/p5-Data-Pageset/Makefile b/databases/p5-Data-Pageset/Makefile
index d7412b383c9a..ec540d72f366 100644
--- a/databases/p5-Data-Pageset/Makefile
+++ b/databases/p5-Data-Pageset/Makefile
@@ -22,10 +22,4 @@ MAN3= Data::Pageset.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Exception-Class-DBI/Makefile b/databases/p5-Exception-Class-DBI/Makefile
index b96fd95919d6..b782986930d5 100644
--- a/databases/p5-Exception-Class-DBI/Makefile
+++ b/databases/p5-Exception-Class-DBI/Makefile
@@ -18,14 +18,8 @@ COMMENT= DBI Exception objects
RUN_DEPENDS= ${SITE_PERL}/Exception/Class.pm:${PORTSDIR}/devel/p5-Exception-Class \
${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Exception::Class::DBI.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # inherited from devel/p5-Exception-Class
-IGNORE= requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-GDBM/Makefile b/databases/p5-GDBM/Makefile
index edfaf6bc0988..67739f55d1c6 100644
--- a/databases/p5-GDBM/Makefile
+++ b/databases/p5-GDBM/Makefile
@@ -20,7 +20,7 @@ COMMENT= GNU Data Base Manager (gdbm) interface
LIB_DEPENDS= gdbm.3:${PORTSDIR}/databases/gdbm
USE_BZIP2= yes
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
EXTRACT_AFTER_ARGS= | ${TAR} -xf - ${DISTNAME}/ext/GDBM_File
WRKSRC= ${WRKDIR}/${DISTNAME}/ext/GDBM_File
CFLAGS= -I${LOCALBASE}/include
@@ -29,10 +29,4 @@ MAN3= GDBM_File.3
post-patch:
@${REINPLACE_CMD} -e '/MAN3PODS/s|.*||' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl from ports. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Genezzo/Makefile b/databases/p5-Genezzo/Makefile
index 1f33d1babc8a..7fe998ff932b 100644
--- a/databases/p5-Genezzo/Makefile
+++ b/databases/p5-Genezzo/Makefile
@@ -18,7 +18,7 @@ COMMENT= An extensible database with SQL and DBI
RUN_DEPENDS= ${SITE_PERL}/Parse/RecDescent.pm:${PORTSDIR}/devel/p5-Parse-RecDescent
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.3+
MAN1= gendba.pl.1 genexp.pl.1
MAN3= Genezzo.3 Genezzo::Block::RDBArray.3 \
@@ -55,10 +55,4 @@ MAN3= Genezzo.3 Genezzo::Block::RDBArray.3 \
Genezzo::Util.3 Genezzo::XEval.3 Genezzo::XEval::Prepare.3 \
Genezzo::XEval::SQLAlter.3 Genezzo::gendba.3 Genezzo::genexp.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500703
-IGNORE= requires Perl 5.7.3 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Iterator-DBI/Makefile b/databases/p5-Iterator-DBI/Makefile
index f3df9a8978f3..659bc45ad28c 100644
--- a/databases/p5-Iterator-DBI/Makefile
+++ b/databases/p5-Iterator-DBI/Makefile
@@ -20,12 +20,6 @@ RUN_DEPENDS+= ${BUILD_DEPENDS}
MAN3= Iterator::DBI.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl5.8 due to dependencies
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Jifty-DBI/Makefile b/databases/p5-Jifty-DBI/Makefile
index 5b96d34afb6d..ae21917edb84 100644
--- a/databases/p5-Jifty-DBI/Makefile
+++ b/databases/p5-Jifty-DBI/Makefile
@@ -40,7 +40,7 @@ BUILD_DEPENDS= \
p5-Cache-Memcached>0:${PORTSDIR}/databases/p5-Cache-Memcached
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.3+
MAN3= Jifty::DBI.3 \
Jifty::DBI::Class::Trigger.3 \
@@ -76,10 +76,6 @@ MAN3= Jifty::DBI.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500803
-IGNORE= requires perl 5.8.3 or later. Install lang/perl5.8 and try again
-.endif
-
.if ${PERL_LEVEL} < 500807
BUILD_DEPENDS+= p5-Encode>=2.10:${PORTSDIR}/converters/p5-Encode
RUN_DEPENDS+= p5-Encode>=2.10:${PORTSDIR}/converters/p5-Encode
diff --git a/databases/p5-Oryx/Makefile b/databases/p5-Oryx/Makefile
index 1380046155c8..b267c898437b 100644
--- a/databases/p5-Oryx/Makefile
+++ b/databases/p5-Oryx/Makefile
@@ -45,10 +45,4 @@ MAN3= Oryx.3 Oryx::Association.3 Oryx::Association::Array.3 Oryx::Attribute.3 \
Oryx::DBM::Association.3 Oryx::DBM::Class.3 Oryx::DBI::Parent.3 \
Oryx::Association::Reference.3 Oryx::DBM::Util.3 Oryx::Value::Text.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-POE-Component-EasyDBI/Makefile b/databases/p5-POE-Component-EasyDBI/Makefile
index c08cc0446ed6..068f76d129e9 100644
--- a/databases/p5-POE-Component-EasyDBI/Makefile
+++ b/databases/p5-POE-Component-EasyDBI/Makefile
@@ -28,10 +28,4 @@ PERL_CONFIGURE= yes
MAN3= POE::Component::EasyDBI.3 \
POE::Component::EasyDBI::SubProcess.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-POE-Component-LaDBI/Makefile b/databases/p5-POE-Component-LaDBI/Makefile
index 16259a466073..38ba8bf9513d 100644
--- a/databases/p5-POE-Component-LaDBI/Makefile
+++ b/databases/p5-POE-Component-LaDBI/Makefile
@@ -26,16 +26,10 @@ MAN3= POE::Component::LaDBI.3 POE::Component::LaDBI::Commands.3 \
POE::Component::LaDBI::Request.3 \
POE::Component::LaDBI::Response.3
-.include <bsd.port.pre.mk>
-
post-extract:
${RM} ${WRKSRC}/*.pl
post-patch:
@${PERL} -pi -e 's!(?=read_answer_yes\()!0 and !;' ${WRKSRC}/Makefile.PL
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 or lang/perl5 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Pg/Makefile b/databases/p5-Pg/Makefile
index 7704ffd9a6cc..2ac478f90634 100644
--- a/databases/p5-Pg/Makefile
+++ b/databases/p5-Pg/Makefile
@@ -19,11 +19,10 @@ MAINTAINER= girgen@FreeBSD.org
COMMENT= An interface for using perl5 to access PostgreSQL databases
USE_PGSQL= yes
-USE_PERL5= yes
+PERL_CONFIGURE= yes
MAN3= Pg.3
-PERL_CONFIGURE= YES
CONFIGURE_ENV= POSTGRES_INCLUDE=${LOCALBASE}/include POSTGRES_LIB=${LOCALBASE}/lib
.include <bsd.port.mk>
diff --git a/databases/p5-RRD-Simple/Makefile b/databases/p5-RRD-Simple/Makefile
index 8cc322d723a5..9b3105bb76dd 100644
--- a/databases/p5-RRD-Simple/Makefile
+++ b/databases/p5-RRD-Simple/Makefile
@@ -24,10 +24,4 @@ RUN_DEPENDS= ${BUILD_DEPENDS}
PERL_MODBUILD= yes
MAN3= RRD::Simple.3 RRD::Simple::Examples.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Rose-DB-Object/Makefile b/databases/p5-Rose-DB-Object/Makefile
index 388fe88c42b5..8f7996ec164c 100644
--- a/databases/p5-Rose-DB-Object/Makefile
+++ b/databases/p5-Rose-DB-Object/Makefile
@@ -23,7 +23,7 @@ BUILD_DEPENDS= p5-Rose-DB>=0.734,1:${PORTSDIR}/databases/p5-Rose-DB \
${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
OPTIONS= FAST_CLONE "use Scalar::Util::Clone (requires perl5.8+)" off
@@ -101,8 +101,4 @@ MAN3= Rose::DB::Object.3 \
Rose::DB::Object::Tutorial.3 \
Rose::DB::Object::Util.3
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8 or later. Install lang/perl5 then try again
-.endif
-
.include <bsd.port.post.mk>
diff --git a/databases/p5-Rose-DB/Makefile b/databases/p5-Rose-DB/Makefile
index d28168d0871f..934c8f79a80c 100644
--- a/databases/p5-Rose-DB/Makefile
+++ b/databases/p5-Rose-DB/Makefile
@@ -28,7 +28,7 @@ BUILD_DEPENDS= p5-Rose-DateTime>=0.532:${PORTSDIR}/devel/p5-Rose-DateTime \
${SITE_PERL}/${PERL_ARCH}/YAML/Syck.pm:${PORTSDIR}/textproc/p5-YAML-Syck
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Rose::DB.3 \
Rose::DB::Constants.3 \
@@ -42,10 +42,4 @@ MAN3= Rose::DB.3 \
Rose::DB::SQLite.3 \
Rose::DB::Tutorial.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-SQL-Abstract-Limit/Makefile b/databases/p5-SQL-Abstract-Limit/Makefile
index 31e07be08054..2cbfcf0d33a6 100644
--- a/databases/p5-SQL-Abstract-Limit/Makefile
+++ b/databases/p5-SQL-Abstract-Limit/Makefile
@@ -26,10 +26,4 @@ PERL_MODBUILD= yes
MAN3= SQL::Abstract::Limit.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-SQL-Abstract/Makefile b/databases/p5-SQL-Abstract/Makefile
index fd873e900e1b..38eb26972464 100644
--- a/databases/p5-SQL-Abstract/Makefile
+++ b/databases/p5-SQL-Abstract/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= yes
MAN3= SQL::Abstract.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-SQL-ReservedWords/Makefile b/databases/p5-SQL-ReservedWords/Makefile
index ff645843e621..9aac4f120b0c 100644
--- a/databases/p5-SQL-ReservedWords/Makefile
+++ b/databases/p5-SQL-ReservedWords/Makefile
@@ -18,7 +18,7 @@ COMMENT= Reserved SQL words by ANSI/ISO
BUILD_DEPENDS= ${SITE_PERL}/Sub/Exporter.pm:${PORTSDIR}/devel/p5-Sub-Exporter
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= sqlrw.1
MAN3= SQL::ReservedWords.3 \
@@ -31,8 +31,4 @@ MAN3= SQL::ReservedWords.3 \
SQL::ReservedWords::SQLite.3 \
SQL::ReservedWords::Sybase.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-SQL-Statement/Makefile b/databases/p5-SQL-Statement/Makefile
index 06688b8b0e81..83c2b308ff30 100644
--- a/databases/p5-SQL-Statement/Makefile
+++ b/databases/p5-SQL-Statement/Makefile
@@ -25,8 +25,4 @@ MAN3= SQL::Eval.3 \
SQL::Statement::Structure.3 \
SQL::Statement::Syntax.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} <= 500503
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-SQL-Translator/Makefile b/databases/p5-SQL-Translator/Makefile
index 1c2dfe7ebcd6..baa695897f2d 100644
--- a/databases/p5-SQL-Translator/Makefile
+++ b/databases/p5-SQL-Translator/Makefile
@@ -104,8 +104,4 @@ MAN3= SQL::Translator.3 \
SQL::Translator::Utils.3 \
Test::SQL::Translator.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Template-DBI/Makefile b/databases/p5-Template-DBI/Makefile
index 4c9295648bda..197239b58ce9 100644
--- a/databases/p5-Template-DBI/Makefile
+++ b/databases/p5-Template-DBI/Makefile
@@ -28,10 +28,4 @@ post-patch:
${PERL} -i -pe 's|TT_QUIET\s*=\s*0|TT_QUIET = 1|' ${WRKSRC}/Makefile.PL
${PERL} -i -pe 's|TT_ACCEPT\s*=\s*0|TT_ACCEPT = 1|' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Test-DatabaseRow/Makefile b/databases/p5-Test-DatabaseRow/Makefile
index 568a1ab31337..74dd07a20f60 100644
--- a/databases/p5-Test-DatabaseRow/Makefile
+++ b/databases/p5-Test-DatabaseRow/Makefile
@@ -26,10 +26,4 @@ MAN3= Test::DatabaseRow.3
post-configure:
@${PERL} -pi -e 's/^(POD2MAN_EXE.*)$$/\1 --lax/;' ${WRKSRC}/Makefile
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-Time-Piece-MySQL/Makefile b/databases/p5-Time-Piece-MySQL/Makefile
index 21bb43ad2270..cff45f7f7da2 100644
--- a/databases/p5-Time-Piece-MySQL/Makefile
+++ b/databases/p5-Time-Piece-MySQL/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Time::Piece::MySQL.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/p5-sqlrelay/Makefile b/databases/p5-sqlrelay/Makefile
index 787b37c0b0af..f1618e7065f5 100644
--- a/databases/p5-sqlrelay/Makefile
+++ b/databases/p5-sqlrelay/Makefile
@@ -44,10 +44,8 @@ do-extract:
${RM} -rf ${WRKSRC}/src/api/perl/CVS
post-patch:
-.if ${PERL_LEVEL} >= 500600
${REINPLACE_CMD} -e 's/installman3dir/siteman3dir/g' \
${WRKSRC}/src/api/perl/*/Makefile
-.endif
do-build:
for dir in ${WRKSRC}/src/api/perl/*; do \
diff --git a/deskutils/p5-Data-ICal/Makefile b/deskutils/p5-Data-ICal/Makefile
index f77d18da41b5..1b71b56f599e 100644
--- a/deskutils/p5-Data-ICal/Makefile
+++ b/deskutils/p5-Data-ICal/Makefile
@@ -41,10 +41,4 @@ MAN3= Data::ICal.3 \
Data::ICal::Entry::Todo.3 \
Data::ICal::Property.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/deskutils/p5-Goo/Makefile b/deskutils/p5-Goo/Makefile
index d4690c0dad2d..81c1e083f765 100644
--- a/deskutils/p5-Goo/Makefile
+++ b/deskutils/p5-Goo/Makefile
@@ -167,10 +167,4 @@ MAN3= Goo.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/avr-gcc-3/Makefile b/devel/avr-gcc-3/Makefile
index eac2c528476c..19b70a212229 100644
--- a/devel/avr-gcc-3/Makefile
+++ b/devel/avr-gcc-3/Makefile
@@ -53,11 +53,4 @@ pre-build:
cd ${WRKSRC}/gcc &&\
makeinfo -I doc -I doc/include --no-split -o doc/gcc.info doc/gcc.texi
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BROKEN= System's Pod::Man too old to generate the documentation.
-IGNORE= you need a newer version of Perl to build the documentation
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/avr-gcc/Makefile b/devel/avr-gcc/Makefile
index ac030e25d664..8ffb249d8008 100644
--- a/devel/avr-gcc/Makefile
+++ b/devel/avr-gcc/Makefile
@@ -61,9 +61,4 @@ INFO= cpp gcc gccint cppinternals gccinstall
post-extract:
cd ${WRKDIR} && ${MKDIR} build
-.if ${PERL_LEVEL} < 500600
-BROKEN= system's Pod::Man too old to generate the documentation.
-IGNORE= you need a newer version of Perl to build the documentation
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/cil/Makefile b/devel/cil/Makefile
index 598a5d636455..22fa0df20885 100644
--- a/devel/cil/Makefile
+++ b/devel/cil/Makefile
@@ -30,12 +30,6 @@ BINFILES= cilly patcher teetwo
LIBFILES= Cilly.pm KeptFile.pm OutputFile.pm TempFile.pm
EXECFILES= cilly.byte.exe machdep.exe
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= does not work with perl < 5.6.1
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's:@CILHOME@/lib:${SITE_PERL}/CIL:g; s:\@CILHOME\@:${PREFIX}:g' ${WRKSRC}/bin/CilConfig.pm.in
@${REINPLACE_CMD} -e 's|$$::cilhome|${PREFIX}|g; s|obj/$$::archos|libexec/cil|g' ${WRKSRC}/bin/cilly
@@ -63,4 +57,4 @@ do-install:
${INSTALL} ${WRKSRC}/obj/${ARCH}_FREEBSD/${f} ${PREFIX}/libexec/cil/
.endfor
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/cvsweb3/Makefile b/devel/cvsweb3/Makefile
index ebb9e80c58a2..4c6655719b91 100644
--- a/devel/cvsweb3/Makefile
+++ b/devel/cvsweb3/Makefile
@@ -39,10 +39,6 @@ USE_PERL5= yes
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
.if ${PERL_LEVEL} < 500800
RUN_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
.endif
diff --git a/devel/deputy/Makefile b/devel/deputy/Makefile
index 328c1f486bd1..8c87c3b26867 100644
--- a/devel/deputy/Makefile
+++ b/devel/deputy/Makefile
@@ -29,12 +29,6 @@ INCFILES= annots.h checks.h
LIBFILES= Cilly.pm KeptFile.pm OutputFile.pm TempFile.pm
EXECFILES= deputy.asm.exe deputy.byte.exe deputy_libc.o
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= does not work with perl < 5.6.1
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's:@CILHOME@/lib:${SITE_PERL}/CIL:g; s:\@CILHOME\@:${PREFIX}:g' ${WRKSRC}/cil/bin/CilConfig.pm.in
@${REINPLACE_CMD} -e 's|^use KeptFile;|use CIL::KeptFile;|; s|^use OutputFile;|use CIL::OutputFile;|; s|^use TempFile;|use CIL::TempFile;|' ${WRKSRC}/cil/lib/Cilly.pm
@@ -62,4 +56,4 @@ do-install:
.endfor
${INSTALL_MAN} ${WRKSRC}/doc/deputy.1 ${MANPREFIX}/man/man1
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/hs-haddock/Makefile b/devel/hs-haddock/Makefile
index cbabb33c709a..e12273414fe2 100644
--- a/devel/hs-haddock/Makefile
+++ b/devel/hs-haddock/Makefile
@@ -35,12 +35,6 @@ USE_AUTOTOOLS= autoconf:259:env
PLIST_SUB+= HADDOCK_VERSION=${PORTVERSION}
PORTDOCS= *
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs perl >= 5.6
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's|/usr/local/share/sgml/catalog||' ${WRKSRC}/doc/configure.ac
@@ -68,4 +62,4 @@ post-install:
@(cd ${WRKSRC}/doc && ${CP} -R haddock ${PREFIX}/share/doc)
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/libpperl/Makefile b/devel/libpperl/Makefile
index 1367711e14c4..9acedc551138 100644
--- a/devel/libpperl/Makefile
+++ b/devel/libpperl/Makefile
@@ -21,12 +21,6 @@ USE_AUTOTOOLS= libtool:15
INSTALLS_SHLIB= yes
GNU_CONFIGURE= yes
USE_GNOME= pkgconfig
-USE_PERL5= yes
+USE_PERL5= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= this library only supports perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-AI-Pathfinding-AStar/Makefile b/devel/p5-AI-Pathfinding-AStar/Makefile
index fa0948513460..bf1f864dc599 100644
--- a/devel/p5-AI-Pathfinding-AStar/Makefile
+++ b/devel/p5-AI-Pathfinding-AStar/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= AI::Pathfinding::AStar.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl5.6. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-Bucketizer/Makefile b/devel/p5-Algorithm-Bucketizer/Makefile
index c2d90e2515ba..8d8bf8cd2755 100644
--- a/devel/p5-Algorithm-Bucketizer/Makefile
+++ b/devel/p5-Algorithm-Bucketizer/Makefile
@@ -18,15 +18,9 @@ COMMENT= Distribute sized items to buckets with limited size
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Algorithm/Permute.pm:${PORTSDIR}/devel/p5-Algorithm-Permute
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= bucketize.1
MAN3= Algorithm::Bucketizer.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8.0 or superior. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-C3/Makefile b/devel/p5-Algorithm-C3/Makefile
index fbfe6d409054..85b22832240f 100644
--- a/devel/p5-Algorithm-C3/Makefile
+++ b/devel/p5-Algorithm-C3/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= lbr@FreeBSD.org
COMMENT= A module for merging hierarchies using the C3 algorithm
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Algorithm::C3.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.x or later, install lang/perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-ChooseSubsets/Makefile b/devel/p5-Algorithm-ChooseSubsets/Makefile
index 7dd96d1b8295..aad0aaa220ca 100644
--- a/devel/p5-Algorithm-ChooseSubsets/Makefile
+++ b/devel/p5-Algorithm-ChooseSubsets/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Algorithm::ChooseSubsets.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs perl 5.6.0 or higher, install lang/perl5.6 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-Dependency-Objects/Makefile b/devel/p5-Algorithm-Dependency-Objects/Makefile
index 6f89f4b0dac9..79c3bbd17724 100644
--- a/devel/p5-Algorithm-Dependency-Objects/Makefile
+++ b/devel/p5-Algorithm-Dependency-Objects/Makefile
@@ -25,10 +25,4 @@ MAN3= Algorithm::Dependency::Objects.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # inherited from p5-Set-Object
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-Dependency/Makefile b/devel/p5-Algorithm-Dependency/Makefile
index 79f4ef7532ad..2bf063f00c8b 100644
--- a/devel/p5-Algorithm-Dependency/Makefile
+++ b/devel/p5-Algorithm-Dependency/Makefile
@@ -29,11 +29,4 @@ MAN3= Algorithm::Dependency.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
-IGNORE= requires perl 5.6 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-Evolutionary/Makefile b/devel/p5-Algorithm-Evolutionary/Makefile
index 16d16dbbd3fc..1421353b0c98 100644
--- a/devel/p5-Algorithm-Evolutionary/Makefile
+++ b/devel/p5-Algorithm-Evolutionary/Makefile
@@ -62,10 +62,4 @@ MAN3= Algorithm::Evolutionary.3 \
Algorithm::Evolutionary::Wheel.3 \
Algorithm::Evolutionary::XML.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-LCS/Makefile b/devel/p5-Algorithm-LCS/Makefile
index 299134196c02..9283e980a00c 100644
--- a/devel/p5-Algorithm-LCS/Makefile
+++ b/devel/p5-Algorithm-LCS/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= tiger@whitetigersd.com
COMMENT= Fast (XS) implementation of the Longest Common Subsequence Algorithm
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Algorithm::LCS.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= Perl 5.8 or newer required. Install lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-MinMax/Makefile b/devel/p5-Algorithm-MinMax/Makefile
index d0eddf1bb9e5..d5d929179089 100644
--- a/devel/p5-Algorithm-MinMax/Makefile
+++ b/devel/p5-Algorithm-MinMax/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Algorithm::MinMax.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This port requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Algorithm-SVM/Makefile b/devel/p5-Algorithm-SVM/Makefile
index d5e72d17c58a..14240a287853 100644
--- a/devel/p5-Algorithm-SVM/Makefile
+++ b/devel/p5-Algorithm-SVM/Makefile
@@ -22,10 +22,4 @@ MAN3= Algorithm::SVM.3 \
CC= c++
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This port requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-AnyEvent/Makefile b/devel/p5-AnyEvent/Makefile
index 7596c23bca05..8bea648dfd01 100644
--- a/devel/p5-AnyEvent/Makefile
+++ b/devel/p5-AnyEvent/Makefile
@@ -16,14 +16,8 @@ DISTNAME= ${PORTNAME}-${PORTVERSION:R}${PORTVERSION:E}
MAINTAINER= perl@FreeBSD.org
COMMENT= Provide framework for multiple event loops
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= AnyEvent.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-App-CLI/Makefile b/devel/p5-App-CLI/Makefile
index 72e317024a7e..a43f6c08bb39 100644
--- a/devel/p5-App-CLI/Makefile
+++ b/devel/p5-App-CLI/Makefile
@@ -26,10 +26,4 @@ PERL_CONFIGURE= yes
MAN3= App::CLI.3 \
App::CLI::Command.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-App-Cache/Makefile b/devel/p5-App-Cache/Makefile
index 5d3ec8a9420d..09df142f78e5 100644
--- a/devel/p5-App-Cache/Makefile
+++ b/devel/p5-App-Cache/Makefile
@@ -28,10 +28,4 @@ PERL_MODBUILD= yes
MAN3= App::Cache.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl5.6. Please install lang/perl5 or lang/perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-App-Options/Makefile b/devel/p5-App-Options/Makefile
index c0b3be85962f..1b6b5156eaba 100644
--- a/devel/p5-App-Options/Makefile
+++ b/devel/p5-App-Options/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= App::Options.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-App-Trace/Makefile b/devel/p5-App-Trace/Makefile
index c7b85c5e92e9..39efcb849ac3 100644
--- a/devel/p5-App-Trace/Makefile
+++ b/devel/p5-App-Trace/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= App::Trace.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # Inherited from devel/p5-App-Options
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Array-Iterator/Makefile b/devel/p5-Array-Iterator/Makefile
index dceb252c7df2..846a75539940 100644
--- a/devel/p5-Array-Iterator/Makefile
+++ b/devel/p5-Array-Iterator/Makefile
@@ -20,10 +20,4 @@ MAN3= Array::Iterator.3 Array::Iterator::Circular.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Attribute-Handlers/Makefile b/devel/p5-Attribute-Handlers/Makefile
index 16696a82ce5c..fa7635925f55 100644
--- a/devel/p5-Attribute-Handlers/Makefile
+++ b/devel/p5-Attribute-Handlers/Makefile
@@ -19,13 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Attribute::Handlers.3
-.include <bsd.port.pre.mk>
-
-##
-## this port requires PERL 5.6.x or later
-##
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-AutoLoader/Makefile b/devel/p5-AutoLoader/Makefile
index eebf16523e5c..8557cc4ce4b6 100644
--- a/devel/p5-AutoLoader/Makefile
+++ b/devel/p5-AutoLoader/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= AutoLoader.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= this program only support perl 5.6.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-B-Generate/Makefile b/devel/p5-B-Generate/Makefile
index 707f930e3cda..e738e97f67ab 100644
--- a/devel/p5-B-Generate/Makefile
+++ b/devel/p5-B-Generate/Makefile
@@ -19,10 +19,4 @@ PERL_MODBUILD= yes
MAN3= B::Generate.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-B-Size/Makefile b/devel/p5-B-Size/Makefile
index 6ead26fbdf21..3805bdfa7199 100644
--- a/devel/p5-B-Size/Makefile
+++ b/devel/p5-B-Size/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= B::Size.3 B::TerseSize.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or higher. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-B-Utils/Makefile b/devel/p5-B-Utils/Makefile
index 0ab0621733e4..c5cdf2cd9301 100644
--- a/devel/p5-B-Utils/Makefile
+++ b/devel/p5-B-Utils/Makefile
@@ -19,10 +19,4 @@ MAN3= B::Utils.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-CPAN-Mini/Makefile b/devel/p5-CPAN-Mini/Makefile
index 6501894f88f1..4bab13243538 100644
--- a/devel/p5-CPAN-Mini/Makefile
+++ b/devel/p5-CPAN-Mini/Makefile
@@ -28,9 +28,6 @@ MAN3= CPAN::Mini.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5 and try again
-.endif
.if ${PERL_LEVEL} < 500800
RUN_DEPENDS+= p5-Scalar-List-Utils>0:${PORTSDIR}/lang/p5-Scalar-List-Utils
BUILD_DEPENDS+= p5-Scalar-List-Utils>0:${PORTSDIR}/lang/p5-Scalar-List-Utils
diff --git a/devel/p5-CPAN-SQLite/Makefile b/devel/p5-CPAN-SQLite/Makefile
index 493b9621c14f..53e33032bfe7 100644
--- a/devel/p5-CPAN-SQLite/Makefile
+++ b/devel/p5-CPAN-SQLite/Makefile
@@ -22,7 +22,7 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/DBD/SQLite.pm:${PORTSDIR}/databases/p5-
${SITE_PERL}/LWP/Simple.pm:${PORTSDIR}/www/p5-libwww
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= cpandb.1
MAN3= CPAN::SQLite::Index.3 \
@@ -37,10 +37,4 @@ MAN3= CPAN::SQLite::Index.3 \
CPAN::SQLite::Info.3 \
CPAN::SQLite::Search.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE=Needs perl 5.8.0 or higher, install lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-CPANPLUS/Makefile b/devel/p5-CPANPLUS/Makefile
index d72273bb5aa6..bb22d46b949c 100644
--- a/devel/p5-CPANPLUS/Makefile
+++ b/devel/p5-CPANPLUS/Makefile
@@ -45,10 +45,6 @@ OPTIONS= TEST_REPORTER "Send reports to cpan-testers" off \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
.if defined(WITH_TEST_REPORTER)
BUILD_DEPENDS+= ${SITE_PERL}/Test/Reporter.pm:${PORTSDIR}/devel/p5-Test-Reporter
RUN_DEPENDS+= ${SITE_PERL}/Test/Reporter.pm:${PORTSDIR}/devel/p5-Test-Reporter
diff --git a/devel/p5-Cache-FastMmap/Makefile b/devel/p5-Cache-FastMmap/Makefile
index eec1a1f74cc4..fce22ebf5d74 100644
--- a/devel/p5-Cache-FastMmap/Makefile
+++ b/devel/p5-Cache-FastMmap/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Cache::FastMmap.3 Cache::FastMmap::CImpl.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= perl 5.6 or newer required. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Cache/Makefile b/devel/p5-Cache/Makefile
index 77d5fc74d839..05b6df2ada24 100644
--- a/devel/p5-Cache/Makefile
+++ b/devel/p5-Cache/Makefile
@@ -43,8 +43,4 @@ MAN3= Cache.3 \
Cache::RemovalStrategy::LRU.3 \
Cache::Tester.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Carp-Assert-More/Makefile b/devel/p5-Carp-Assert-More/Makefile
index 57fe794c5b4e..fe8c08a9bde0 100644
--- a/devel/p5-Carp-Assert-More/Makefile
+++ b/devel/p5-Carp-Assert-More/Makefile
@@ -25,10 +25,4 @@ MAN3= Carp::Assert::More.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # inherited from devel/p5-Test-Exception
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Accessor-Grouped/Makefile b/devel/p5-Class-Accessor-Grouped/Makefile
index ab6ad30c034d..b65a9854eb12 100644
--- a/devel/p5-Class-Accessor-Grouped/Makefile
+++ b/devel/p5-Class-Accessor-Grouped/Makefile
@@ -18,12 +18,8 @@ BUILD_DEPENDS= ${RUN_DEPENDS}
RUN_DEPENDS= p5-MRO-Compat>=0:${PORTSDIR}/devel/p5-MRO-Compat \
p5-Class-Inspector>=0:${PORTSDIR}/devel/p5-Class-Inspector
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Class::Accessor::Grouped.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Accessor/Makefile b/devel/p5-Class-Accessor/Makefile
index 2e92931790c8..35960f7b5af1 100644
--- a/devel/p5-Class-Accessor/Makefile
+++ b/devel/p5-Class-Accessor/Makefile
@@ -20,11 +20,4 @@ PERL_CONFIGURE= yes
MAN3= Class::Accessor.3 Class::Accessor::Fast.3 \
Class::Accessor::Faster.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-BUILD_DEPENDS= ${SITE_PERL}/base.pm:${PORTSDIR}/devel/p5-Class-Fields
-RUN_DEPENDS= ${BUILD_DEPENDS}
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-AutoClass/Makefile b/devel/p5-Class-AutoClass/Makefile
index 9d01bd20caf4..e0c7629ca14d 100644
--- a/devel/p5-Class-AutoClass/Makefile
+++ b/devel/p5-Class-AutoClass/Makefile
@@ -22,7 +22,7 @@ RUN_DEPENDS= ${SITE_PERL}/IO/Scalar.pm:${PORTSDIR}/devel/p5-IO-stringy
BUILD_DEPENDS= ${RUN_DEPENDS} \
${SITE_PERL}/Test/Deep.pm:${PORTSDIR}/devel/p5-Test-Deep
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
WRKSRC= ${WRKDIR}/AutoClass
MAN3= Class::AutoClass::Root.3 Class::AutoClass.3 Class::AutoClass::Args.3
@@ -34,8 +34,4 @@ BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Stora
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Storable
.endif
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently only supports Perl 5.8+. This will hopefully change. For now, please install lang/perl5.8 and try again
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-Class-Base/Makefile b/devel/p5-Class-Base/Makefile
index 8ef2eb90c33c..1dd5f0c5273d 100644
--- a/devel/p5-Class-Base/Makefile
+++ b/devel/p5-Class-Base/Makefile
@@ -18,12 +18,4 @@ PERL_CONFIGURE= yes
MAN3= Class::Base.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-post-patch:
- @${PERL} -i -pe 's/^our ([^\s;]+)/use vars qw($$1); $$1/;' \
- ${WRKSRC}/lib/Class/Base.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-C3-Componentised/Makefile b/devel/p5-Class-C3-Componentised/Makefile
index 939db09d0962..3620e5651848 100644
--- a/devel/p5-Class-C3-Componentised/Makefile
+++ b/devel/p5-Class-C3-Componentised/Makefile
@@ -18,17 +18,11 @@ RUN_DEPENDS= p5-Class-C3>=0:${PORTSDIR}/devel/p5-Class-C3 \
p5-Class-Inspector>=0:${PORTSDIR}/devel/p5-Class-Inspector
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+ # Inherited from devel/p5-Algorithm-C3-Componentised
MAN3= Class::C3::Componentised.3
post-extract:
@${PERL} -i.bak -ne 'print unless m,Test::,' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # Inherited from devel/p5-Algorithm-C3-Componentised
-IGNORE= requires perl 5.8.x or later, install lang/perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-C3-XS/Makefile b/devel/p5-Class-C3-XS/Makefile
index 4fd8758f3dbf..9853cd756945 100644
--- a/devel/p5-Class-C3-XS/Makefile
+++ b/devel/p5-Class-C3-XS/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= lbr@FreeBSD.org
COMMENT= XS speedups for Class::C3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Class::C3::XS.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # Inherited from devel/p5-Algorithm-C3
-IGNORE= requires perl 5.8.x or later, install lang/perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-C3/Makefile b/devel/p5-Class-C3/Makefile
index 52f8b47478b0..04e930c7fb7f 100644
--- a/devel/p5-Class-C3/Makefile
+++ b/devel/p5-Class-C3/Makefile
@@ -26,7 +26,7 @@ RUN_DEPENDS= p5-Algorithm-C3>=0.06:${PORTSDIR}/devel/p5-Algorithm-C3
.endif
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Class::C3.3 \
Class::C3::next.3
@@ -34,8 +34,4 @@ MAN3= Class::C3.3 \
post-extract:
@${PERL} -i.bak -ne 'print unless m,^if, .. m,}$$,' ${WRKSRC}/Makefile.PL
-.if ${PERL_LEVEL} < 500800 # Inherited from devel/p5-Algorithm-C3
-IGNORE= requires perl 5.8.x or later, install lang/perl5.8
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-Class-Closure/Makefile b/devel/p5-Class-Closure/Makefile
index d694e3217d7e..aa72855826f8 100644
--- a/devel/p5-Class-Closure/Makefile
+++ b/devel/p5-Class-Closure/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/PadWalker.pm:${PORTSDIR}/devel/p5-PadWa
${SITE_PERL}/${PERL_ARCH}/Devel/Caller.pm:${PORTSDIR}/devel/p5-Devel-Caller
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Class::Closure.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= depends on something that wants perl 5.8.0 or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-CodeStyler/Makefile b/devel/p5-Class-CodeStyler/Makefile
index f07a549a7c51..d745eb182872 100644
--- a/devel/p5-Class-CodeStyler/Makefile
+++ b/devel/p5-Class-CodeStyler/Makefile
@@ -18,12 +18,6 @@ COMMENT= Perl extension for code generation program formatting and execution
BUILD_DEPENDS= ${SITE_PERL}/Class/STL/Containers.pm:${PORTSDIR}/devel/p5-Class-STL-Containers
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.7+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500807
-IGNORE= requires at least Perl 5.8.7. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Constant/Makefile b/devel/p5-Class-Constant/Makefile
index 6dccf3a5ef05..faacaf47926a 100644
--- a/devel/p5-Class-Constant/Makefile
+++ b/devel/p5-Class-Constant/Makefile
@@ -21,10 +21,6 @@ MAN3= Class::Constant.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Please install lang/perl5.8 and try again
-.endif
-
.if ${PERL_LEVEL} < 500703
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
BUILD_DEPENDS= ${RUN_DEPENDS}
diff --git a/devel/p5-Class-Container/Makefile b/devel/p5-Class-Container/Makefile
index 5d640f4f5be2..25fec803b87e 100644
--- a/devel/p5-Class-Container/Makefile
+++ b/devel/p5-Class-Container/Makefile
@@ -28,8 +28,4 @@ MAN3= Class::Container.3
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
.endif
-.if ${PERL_LEVEL} < 500600
-IGNORE="require perl 5.6.x or higher"
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-Class-Data-Accessor/Makefile b/devel/p5-Class-Data-Accessor/Makefile
index c99e71af60c4..1b65ebfc937b 100644
--- a/devel/p5-Class-Data-Accessor/Makefile
+++ b/devel/p5-Class-Data-Accessor/Makefile
@@ -15,12 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= lbr@FreeBSD.org
COMMENT= Inheritable and overridable class and instance data accessors
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Class::Data::Accessor.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Field/Makefile b/devel/p5-Class-Field/Makefile
index 4b8ce1cf683c..bdd7074c6fd8 100644
--- a/devel/p5-Class-Field/Makefile
+++ b/devel/p5-Class-Field/Makefile
@@ -18,10 +18,4 @@ PERL_CONFIGURE= YES
MAN3= Class::Field.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Gomor/Makefile b/devel/p5-Class-Gomor/Makefile
index bfe0179a60af..b53de8c4038c 100644
--- a/devel/p5-Class-Gomor/Makefile
+++ b/devel/p5-Class-Gomor/Makefile
@@ -20,10 +20,4 @@ MAN3= Class::Gomor.3 \
Class::Gomor::Hash.3 \
Class::Gomor::Array.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE=Needs perl 5.6.0 or higher, install lang/perl5.6 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Hook/Makefile b/devel/p5-Class-Hook/Makefile
index cc452cdb7a0b..0066ba5824d3 100644
--- a/devel/p5-Class-Hook/Makefile
+++ b/devel/p5-Class-Hook/Makefile
@@ -24,10 +24,4 @@ WRKSRC= ${WRKDIR}/Class-Hook
MAN3= Class::Hook.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-MOP/Makefile b/devel/p5-Class-MOP/Makefile
index a66552690ddb..0e8f2d019c3d 100644
--- a/devel/p5-Class-MOP/Makefile
+++ b/devel/p5-Class-MOP/Makefile
@@ -17,7 +17,7 @@ COMMENT= A Meta Object Protocol for Perl 5
RUN_DEPENDS= p5-Sub-Name>=0.02:${PORTSDIR}/devel/p5-Sub-Name
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Class::MOP.3 \
Class::MOP::Attribute.3 \
@@ -41,8 +41,4 @@ post-install:
@${INSTALL_DATA} ${WRKSRC}/examples/* ${EXAMPLESDIR}
@${ECHO_MSG} "===> Examples installed in ${EXAMPLESDIR}."
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Multimethods-Pure/Makefile b/devel/p5-Class-Multimethods-Pure/Makefile
index 3af44e933d40..17da3c95b979 100644
--- a/devel/p5-Class-Multimethods-Pure/Makefile
+++ b/devel/p5-Class-Multimethods-Pure/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Class::Multimethods::Pure.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-STL-Containers/Makefile b/devel/p5-Class-STL-Containers/Makefile
index 184a18e34289..2e24fb5bfe59 100644
--- a/devel/p5-Class-STL-Containers/Makefile
+++ b/devel/p5-Class-STL-Containers/Makefile
@@ -15,12 +15,6 @@ PKGNAMEPREFIX= p5-
MAINTAINER= aaron@FreeBSD.org
COMMENT= Perl extension for STL-like object management
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.7+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500807
-IGNORE= requires at least Perl 5.8.7. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Spiffy/Makefile b/devel/p5-Class-Spiffy/Makefile
index 285cf6e87c74..ece7e6bea15e 100644
--- a/devel/p5-Class-Spiffy/Makefile
+++ b/devel/p5-Class-Spiffy/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Class::Spiffy.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-StateMachine/Makefile b/devel/p5-Class-StateMachine/Makefile
index 87a802045c97..099ec825b1b7 100644
--- a/devel/p5-Class-StateMachine/Makefile
+++ b/devel/p5-Class-StateMachine/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= Class::StateMachine - define classes for state machines
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Class::StateMachine.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Std/Makefile b/devel/p5-Class-Std/Makefile
index c223093f728d..f67d950265fb 100644
--- a/devel/p5-Class-Std/Makefile
+++ b/devel/p5-Class-Std/Makefile
@@ -25,10 +25,6 @@ MAN3= Class::Std.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
.if ${PERL_LEVEL} < 500702
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
.endif
diff --git a/devel/p5-Class-Tangram/Makefile b/devel/p5-Class-Tangram/Makefile
index 595c5bed3324..00131da5ad4e 100644
--- a/devel/p5-Class-Tangram/Makefile
+++ b/devel/p5-Class-Tangram/Makefile
@@ -28,10 +28,4 @@ MAN3= Class::Tangram.3 Class::Tangram::Containers.3 \
post-patch:
@${PERL} -pi -e 's/\@/\\@/' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Class-Throwable/Makefile b/devel/p5-Class-Throwable/Makefile
index 09d3f2a2b98b..e08429759312 100644
--- a/devel/p5-Class-Throwable/Makefile
+++ b/devel/p5-Class-Throwable/Makefile
@@ -22,10 +22,4 @@ MAN3= Class::Throwable.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or above.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Clone-More/Makefile b/devel/p5-Clone-More/Makefile
index 46753d6608d5..28e88695e6ed 100644
--- a/devel/p5-Clone-More/Makefile
+++ b/devel/p5-Clone-More/Makefile
@@ -15,16 +15,10 @@ PKGNAMEPREFIX= p5-
MAINTAINER= gslin@gslin.org
COMMENT= Perl module for natively copying Perl data structures
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.5+
WRKSRC= ${WRKDIR}/${PORTNAME}
MAN3= Clone::More.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500805
-IGNORE= requires perl 5.8.5 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Code-Perl/Makefile b/devel/p5-Code-Perl/Makefile
index 85ecc0fd9e83..7699d0cf0e6e 100644
--- a/devel/p5-Code-Perl/Makefile
+++ b/devel/p5-Code-Perl/Makefile
@@ -23,10 +23,4 @@ MAN3= Code::Perl.3 Code::Perl::Expr.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Commands-Guarded/Makefile b/devel/p5-Commands-Guarded/Makefile
index a479111585ff..e7591ae14f61 100644
--- a/devel/p5-Commands-Guarded/Makefile
+++ b/devel/p5-Commands-Guarded/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Commands::Guarded.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= "This port requires perl 5.6 or newer"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-CommitBit/Makefile b/devel/p5-CommitBit/Makefile
index 2e81e0e1aed4..eb28ca83105e 100644
--- a/devel/p5-CommitBit/Makefile
+++ b/devel/p5-CommitBit/Makefile
@@ -20,7 +20,7 @@ RUN_DEPENDS= ${SITE_PERL}/Module/CoreList.pm:${PORTSDIR}/devel/p5-Module-CoreLis
p5-Jifty>=0.60728:${PORTSDIR}/www/p5-Jifty \
p5-Text-Password-Pronounceable>=0:${PORTSDIR}/security/p5-Text-Password-Pronounceable
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.3+
MAN3= CommitBit.3 \
CommitBit::Action::ConfirmEmail.3 \
@@ -29,10 +29,4 @@ MAN3= CommitBit.3 \
CommitBit::Notification::ConfirmAddress.3 \
CommitBit::Notification::InviteToProject.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500803 # from p5-Jifty
-IGNORE= requires perl 5.8.3 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Any/Makefile b/devel/p5-Config-Any/Makefile
index 42fad697879d..d09430d8c784 100644
--- a/devel/p5-Config-Any/Makefile
+++ b/devel/p5-Config-Any/Makefile
@@ -18,7 +18,7 @@ RUN_DEPENDS= p5-Module-Pluggable>=3.01:${PORTSDIR}/devel/p5-Module-Pluggable \
p5-version>=0:${PORTSDIR}/devel/p5-version
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Config::Any.3 \
Config::Any::General.3 \
@@ -28,8 +28,4 @@ MAN3= Config::Any.3 \
Config::Any::XML.3 \
Config::Any::YAML.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-ApacheFormat/Makefile b/devel/p5-Config-ApacheFormat/Makefile
index 9b96c9d2adbb..66bf321d3c17 100644
--- a/devel/p5-Config-ApacheFormat/Makefile
+++ b/devel/p5-Config-ApacheFormat/Makefile
@@ -21,10 +21,4 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/auto/Class/MethodMaker/MethodMaker.so:$
PERL_CONFIGURE= yes
MAN3= Config::ApacheFormat.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs at least perl 5.6 to run
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Fast/Makefile b/devel/p5-Config-Fast/Makefile
index 9d8954d4556a..b37249d5c1e8 100644
--- a/devel/p5-Config-Fast/Makefile
+++ b/devel/p5-Config-Fast/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Config::Fast.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs at least perl 5.6 to run
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-INI-Simple/Makefile b/devel/p5-Config-INI-Simple/Makefile
index 2556a425ddee..5e15b7b8c22f 100644
--- a/devel/p5-Config-INI-Simple/Makefile
+++ b/devel/p5-Config-INI-Simple/Makefile
@@ -15,15 +15,9 @@ PKGNAMEPREFIX= p5-
MAINTAINER= gslin@gslin.org
COMMENT= Simple reading and writing from an INI file
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.7+
USE_ZIP= yes
MAN3= Config::INI::Simple.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500807
-IGNORE= requires perl 5.8.7 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Objective/Makefile b/devel/p5-Config-Objective/Makefile
index 4f7a9e0732dc..192b9afec293 100644
--- a/devel/p5-Config-Objective/Makefile
+++ b/devel/p5-Config-Objective/Makefile
@@ -27,10 +27,4 @@ MAN3= Config::Objective::List.3 Config::Objective::Boolean.3 \
Config::Objective::Hash.3 Config::Objective::Integer.3 \
Config::Objective::String.3 Config::Objective::DataType.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= This port requires perl 5.6 or newer
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Properties/Makefile b/devel/p5-Config-Properties/Makefile
index 2be05abc16bf..cb666bce82bd 100644
--- a/devel/p5-Config-Properties/Makefile
+++ b/devel/p5-Config-Properties/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Config::Properties.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Record/Makefile b/devel/p5-Config-Record/Makefile
index d843e488637a..afdad11a4a31 100644
--- a/devel/p5-Config-Record/Makefile
+++ b/devel/p5-Config-Record/Makefile
@@ -19,10 +19,4 @@ MAN3= Config::Record.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # as set by vendor
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Std/Makefile b/devel/p5-Config-Std/Makefile
index 2acb48afa5de..2901065e7559 100644
--- a/devel/p5-Config-Std/Makefile
+++ b/devel/p5-Config-Std/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= YES
MAN3= Config::Std.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Config-Tiny/Makefile b/devel/p5-Config-Tiny/Makefile
index 137136390f4d..4fb7c0a85502 100644
--- a/devel/p5-Config-Tiny/Makefile
+++ b/devel/p5-Config-Tiny/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Config::Tiny.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Coro/Makefile b/devel/p5-Coro/Makefile
index 047042ac5cb9..a9a314ed1c17 100644
--- a/devel/p5-Coro/Makefile
+++ b/devel/p5-Coro/Makefile
@@ -22,7 +22,7 @@ RUN_DEPENDS= p5-Event>=0.89:${PORTSDIR}/devel/p5-Event \
${SITE_PERL}/${PERL_ARCH}/IO/AIO.pm:${PORTSDIR}/devel/p5-IO-AIO
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Coro.3 Coro::AIO.3 Coro::Channel.3 Coro::Handle.3 \
Coro::LWP.3 Coro::MakeMaker.3 Coro::RWLock.3 Coro::Select.3 \
@@ -30,12 +30,6 @@ MAN3= Coro.3 Coro::AIO.3 Coro::Channel.3 Coro::Handle.3 \
Coro::Socket.3 Coro::Specific.3 Coro::State.3 Coro::Storable.3 \
Coro::Timer.3 Coro::Util.3 Coro::Event.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
post-install:
${MKDIR} ${EXAMPLESDIR}
${INSTALL_SCRIPT} ${WRKSRC}/eg/* ${EXAMPLESDIR}
@@ -44,4 +38,4 @@ post-install:
${INSTALL_DATA} ${WRKSRC}/doc/cede-vs-schedule ${DOCSDIR}
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-ACL/Makefile b/devel/p5-Data-ACL/Makefile
index 9fbd68ffabdb..67991c319f2f 100644
--- a/devel/p5-Data-ACL/Makefile
+++ b/devel/p5-Data-ACL/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Data::ACL.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Bind/Makefile b/devel/p5-Data-Bind/Makefile
index 18095d02ca0c..9219c46a69bc 100644
--- a/devel/p5-Data-Bind/Makefile
+++ b/devel/p5-Data-Bind/Makefile
@@ -22,14 +22,8 @@ BUILD_DEPENDS= ${SITE_PERL}/Class/Accessor.pm:${PORTSDIR}/devel/p5-Class-Accesso
${SITE_PERL}/Test/Exception.pm:${PORTSDIR}/devel/p5-Test-Exception
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Data::Bind.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Dumper-Simple/Makefile b/devel/p5-Data-Dumper-Simple/Makefile
index 8e18ab4ad58b..871155b07a98 100644
--- a/devel/p5-Data-Dumper-Simple/Makefile
+++ b/devel/p5-Data-Dumper-Simple/Makefile
@@ -25,8 +25,5 @@ MAN3= Data::Dumper::Simple.3
BUILD_DEPENDS+= ${SITE_PERL}/Filter/Simple.pm:${PORTSDIR}/textproc/p5-Filter-Simple
RUN_DEPENDS+= ${BUILD_DEPENDS}
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE="Need at least perl 5.6.1 to build"
-.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-Data-GUID/Makefile b/devel/p5-Data-GUID/Makefile
index 48a784d8feb7..51bd79e70735 100644
--- a/devel/p5-Data-GUID/Makefile
+++ b/devel/p5-Data-GUID/Makefile
@@ -20,14 +20,8 @@ BUILD_DEPENDS= ${SITE_PERL}/Sub/Install.pm:${PORTSDIR}/devel/p5-Sub-Install \
${SITE_PERL}/${PERL_ARCH}/Data/UUID.pm:${PORTSDIR}/devel/p5-Data-UUID
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Data::GUID.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= has a dependency that wants perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-ObjectDriver/Makefile b/devel/p5-Data-ObjectDriver/Makefile
index 5d6d72eaa44e..31375c46baa5 100644
--- a/devel/p5-Data-ObjectDriver/Makefile
+++ b/devel/p5-Data-ObjectDriver/Makefile
@@ -23,7 +23,7 @@ RUN_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI \
${SITE_PERL}/Text/SimpleTable.pm:${PORTSDIR}/textproc/p5-Text-SimpleTable
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Data::ObjectDriver.3 Data::ObjectDriver::BaseObject.3 \
Data::ObjectDriver::Driver::BaseCache.3 \
@@ -37,10 +37,4 @@ MAN3= Data::ObjectDriver.3 Data::ObjectDriver::BaseObject.3 \
Data::ObjectDriver::Errors.3 Data::ObjectDriver::Profiler.3 \
Data::ObjectDriver::SQL.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-OptList/Makefile b/devel/p5-Data-OptList/Makefile
index b797716e92ef..271542ed52f6 100644
--- a/devel/p5-Data-OptList/Makefile
+++ b/devel/p5-Data-OptList/Makefile
@@ -20,12 +20,8 @@ BUILD_DEPENDS= p5-Sub-Install>=0.92:${PORTSDIR}/devel/p5-Sub-Install \
p5-Params-Util>=0.14:${PORTSDIR}/devel/p5-Params-Util
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Data::OptList.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Postponed/Makefile b/devel/p5-Data-Postponed/Makefile
index bfc53c04c2f5..f2b78cdbe807 100644
--- a/devel/p5-Data-Postponed/Makefile
+++ b/devel/p5-Data-Postponed/Makefile
@@ -25,10 +25,4 @@ MAN3= Data::Postponed.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # due to 'make test' failures
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Stag/Makefile b/devel/p5-Data-Stag/Makefile
index a764967aa950..94609f6eab95 100644
--- a/devel/p5-Data-Stag/Makefile
+++ b/devel/p5-Data-Stag/Makefile
@@ -41,10 +41,4 @@ MAN3= Data::Stag::GraphHandler.3 Data::Stag::PodParser.3 \
Data::Stag::IndentParser.3 Data::Stag::IndentWriter.3 \
Data::Stag.3 Data::Stag::XSLTHandler.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Structure-Util/Makefile b/devel/p5-Data-Structure-Util/Makefile
index aa6011f4e5dd..0f296246cf07 100644
--- a/devel/p5-Data-Structure-Util/Makefile
+++ b/devel/p5-Data-Structure-Util/Makefile
@@ -25,10 +25,4 @@ PERL_MODBUILD= yes
MAN1= packages.pl.1
MAN3= Data::Structure::Util.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # restricted by vendor
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Swap/Makefile b/devel/p5-Data-Swap/Makefile
index d85f4d723725..9c9ea0ed031c 100644
--- a/devel/p5-Data-Swap/Makefile
+++ b/devel/p5-Data-Swap/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Data::Swap.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= need at least Perl 5.6; install lang/perl or lang/perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-TemporaryBag/Makefile b/devel/p5-Data-TemporaryBag/Makefile
index 5fc8bdad0298..0734d718aaf4 100644
--- a/devel/p5-Data-TemporaryBag/Makefile
+++ b/devel/p5-Data-TemporaryBag/Makefile
@@ -24,9 +24,6 @@ MAN3= Data::TemporaryBag.3
.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
RUN_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
-.if ${PERL_LEVEL} < 500600
-EXTRA_PATCHES= ${PATCHDIR}/500503-TemporaryBag.pm
-.endif
.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-Data-TreeDumper/Makefile b/devel/p5-Data-TreeDumper/Makefile
index a54a99633d61..be31c6d80415 100644
--- a/devel/p5-Data-TreeDumper/Makefile
+++ b/devel/p5-Data-TreeDumper/Makefile
@@ -26,15 +26,4 @@ MAN3= Data::TreeDumper.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e 's/^our (\S+)/use vars q{$$1};$$1/g;' \
- -e '$$_ = "" if /warnings|5.006/;' \
- -e 's/}\(/}->(/g;' \
- -e '$$_ .= "->" if $$. == 442;' \
- ${WRKSRC}/TreeDumper.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Data-Visitor/Makefile b/devel/p5-Data-Visitor/Makefile
index f07f0e06fec2..755055119ff2 100644
--- a/devel/p5-Data-Visitor/Makefile
+++ b/devel/p5-Data-Visitor/Makefile
@@ -18,7 +18,7 @@ COMMENT= Visitor style traversal of Perl data structures
BUILD_DEPENDS= p5-Class-Accessor>=0:${PORTSDIR}/devel/p5-Class-Accessor
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN3= Data::Visitor.3 \
Data::Visitor::Callback.3
@@ -26,8 +26,4 @@ MAN3= Data::Visitor.3 \
post-extract:
@${PERL} -i.bak -ne 'print unless /Test::/' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Date-Easter/Makefile b/devel/p5-Date-Easter/Makefile
index 8b1ecbfc3ddc..d5d08d1ab14e 100644
--- a/devel/p5-Date-Easter/Makefile
+++ b/devel/p5-Date-Easter/Makefile
@@ -18,12 +18,4 @@ PERL_CONFIGURE= yes
MAN3= Date::Easter.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500503
-# make PREFIX-clean under perl 5.005_03
-post-configure:
- ${PERL} -pi -e 's,/usr/local/,\$$(PREFIX)/,g' ${WRKSRC}/Makefile
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Date-Holidays-DK/Makefile b/devel/p5-Date-Holidays-DK/Makefile
index ce1e91f45357..e358b3ab9cf8 100644
--- a/devel/p5-Date-Holidays-DK/Makefile
+++ b/devel/p5-Date-Holidays-DK/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Date::Holidays::DK.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-DateTime-Calendar-Discordian/Makefile b/devel/p5-DateTime-Calendar-Discordian/Makefile
index 8a0c16826d3e..a1246a15fc16 100644
--- a/devel/p5-DateTime-Calendar-Discordian/Makefile
+++ b/devel/p5-DateTime-Calendar-Discordian/Makefile
@@ -23,11 +23,4 @@ PERL_CONFIGURE= yes
MAN3= DateTime::Calendar::Discordian.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- ${PERL} -pi -e '$$_ = "" if /^use warnings/' ${WRKSRC}/lib/DateTime/Calendar/Discordian.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Arena/Makefile b/devel/p5-Devel-Arena/Makefile
index ea7868bdc4e6..1510e8da34f2 100644
--- a/devel/p5-Devel-Arena/Makefile
+++ b/devel/p5-Devel-Arena/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= skv@FreeBSD.org
COMMENT= Perl extension for inspecting the core's arena structures
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Devel::Arena.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= perl 5.8 or newer required. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Caller/Makefile b/devel/p5-Devel-Caller/Makefile
index 4901aa43faa6..04bfddd2f1d9 100644
--- a/devel/p5-Devel-Caller/Makefile
+++ b/devel/p5-Devel-Caller/Makefile
@@ -19,14 +19,8 @@ COMMENT= A perl module which is meatier versions of caller
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/PadWalker.pm:${PORTSDIR}/devel/p5-PadWalker
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Devel::Caller.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Constants/Makefile b/devel/p5-Devel-Constants/Makefile
index b72940c4a672..693b52b944f6 100644
--- a/devel/p5-Devel-Constants/Makefile
+++ b/devel/p5-Devel-Constants/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::Constants.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Cycle/Makefile b/devel/p5-Devel-Cycle/Makefile
index af206ebfb9e9..1539f2189544 100644
--- a/devel/p5-Devel-Cycle/Makefile
+++ b/devel/p5-Devel-Cycle/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::Cycle.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= Perl 5.6.1 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-DProf/Makefile b/devel/p5-Devel-DProf/Makefile
index 42cb201cf9a2..e5905b570c12 100644
--- a/devel/p5-Devel-DProf/Makefile
+++ b/devel/p5-Devel-DProf/Makefile
@@ -15,15 +15,13 @@ PKGNAMEPREFIX= p5-Devel-
MAINTAINER= perl@FreeBSD.org
COMMENT= A Perl code profiler
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.6.0-
+USE_PERL5_REASON= Version included in perl distribution is newer
+
+DEPRECATED= only works for old, unsupported Perl versions
+EXPIRATION_DATE= 2007-09-11
MAN1= dprofpp.1
MAN3= Devel::DProf.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} >= 500600
-IGNORE= "Version included in perl distribution is newer"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-DProfPP/Makefile b/devel/p5-Devel-DProfPP/Makefile
index fdf5226ce2bf..b415d5def5f4 100644
--- a/devel/p5-Devel-DProfPP/Makefile
+++ b/devel/p5-Devel-DProfPP/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::DProfPP.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-LeakTrace/Makefile b/devel/p5-Devel-LeakTrace/Makefile
index 9cbedc6f67a3..834402ae255b 100644
--- a/devel/p5-Devel-LeakTrace/Makefile
+++ b/devel/p5-Devel-LeakTrace/Makefile
@@ -23,10 +23,6 @@ MAN3= Devel::LeakTrace.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 and try again.
-.endif
-
.if ${PERL_LEVEL} < 500702
BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
.endif
diff --git a/devel/p5-Devel-LexAlias/Makefile b/devel/p5-Devel-LexAlias/Makefile
index bceffd4df076..00b3e2f1de4e 100644
--- a/devel/p5-Devel-LexAlias/Makefile
+++ b/devel/p5-Devel-LexAlias/Makefile
@@ -19,14 +19,8 @@ COMMENT= A perl module which does alias lexical variables
BUILD_DEPENDS= p5-Devel-Caller>=0.03:${PORTSDIR}/devel/p5-Devel-Caller
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Devel::LexAlias.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Peek/Makefile b/devel/p5-Devel-Peek/Makefile
index 9cd6e0e706a9..bc178f29e837 100644
--- a/devel/p5-Devel-Peek/Makefile
+++ b/devel/p5-Devel-Peek/Makefile
@@ -15,14 +15,11 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= A perl5 data debugging tool for the XS programmer
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.6.0-
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} >= 500600
-IGNORE= "Version included in perl distribution is newer"
-.endif
+DEPRECATED= only works with old, unsupported Perl versions
+EXPIRATION_DATE= 2007-09-11
MAN3= Devel::Peek.3
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Pointer/Makefile b/devel/p5-Devel-Pointer/Makefile
index bf4fcf7c5c3d..eefd7728611a 100644
--- a/devel/p5-Devel-Pointer/Makefile
+++ b/devel/p5-Devel-Pointer/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::Pointer.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-Profiler/Makefile b/devel/p5-Devel-Profiler/Makefile
index 040863f8bde2..6876c65394c7 100644
--- a/devel/p5-Devel-Profiler/Makefile
+++ b/devel/p5-Devel-Profiler/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::Profiler.3 Devel::Profiler::Apache.3 \
Devel::Profiler::Test.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-SimpleTrace/Makefile b/devel/p5-Devel-SimpleTrace/Makefile
index 7545815cdf34..a4e35a39952c 100644
--- a/devel/p5-Devel-SimpleTrace/Makefile
+++ b/devel/p5-Devel-SimpleTrace/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::SimpleTrace.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-TraceCalls/Makefile b/devel/p5-Devel-TraceCalls/Makefile
index 2dfea831a833..585e1c29b739 100644
--- a/devel/p5-Devel-TraceCalls/Makefile
+++ b/devel/p5-Devel-TraceCalls/Makefile
@@ -19,8 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Devel::TraceCalls.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or newer. Install lang/perl5 or lang/perl5.8, and try again.
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Devel-TraceUse/Makefile b/devel/p5-Devel-TraceUse/Makefile
index 69def52b0a13..4e25a2330b15 100644
--- a/devel/p5-Devel-TraceUse/Makefile
+++ b/devel/p5-Devel-TraceUse/Makefile
@@ -23,10 +23,4 @@ PERL_MODBUILD= yes
MAN3= Devel::TraceUse.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least perl5.6 to build
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Env-PS1/Makefile b/devel/p5-Env-PS1/Makefile
index 8060489a2499..968b2143b11f 100644
--- a/devel/p5-Env-PS1/Makefile
+++ b/devel/p5-Env-PS1/Makefile
@@ -20,10 +20,4 @@ PERL_MODBUILD= yes
MAN3= Env::PS1.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6+, install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Event-Lib/Makefile b/devel/p5-Event-Lib/Makefile
index adff4fb4ee92..cfabc8c83a68 100644
--- a/devel/p5-Event-Lib/Makefile
+++ b/devel/p5-Event-Lib/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Event::Lib.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Expect-Simple/Makefile b/devel/p5-Expect-Simple/Makefile
index af7a75ec0f30..6c92f1965af3 100644
--- a/devel/p5-Expect-Simple/Makefile
+++ b/devel/p5-Expect-Simple/Makefile
@@ -20,12 +20,6 @@ RUN_DEPENDS= ${BUILD_DEPENDS}
MAN3= Expect::Simple.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl 5.8.0. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-ExtUtils-AutoInstall/Makefile b/devel/p5-ExtUtils-AutoInstall/Makefile
index 3ac257288cbd..cccc2cc2c69c 100644
--- a/devel/p5-ExtUtils-AutoInstall/Makefile
+++ b/devel/p5-ExtUtils-AutoInstall/Makefile
@@ -23,13 +23,7 @@ PERL_CONFIGURE= yes
MAN3= ExtUtils::AutoInstall.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higer. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
post-extract:
@${PERL} -i.bak -ne 'print unless m,^features, .. m,^\);,' ${WRKSRC}/Makefile.PL
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-ExtUtils-Command/Makefile b/devel/p5-ExtUtils-Command/Makefile
index 87dfb0156589..32b9645efae5 100644
--- a/devel/p5-ExtUtils-Command/Makefile
+++ b/devel/p5-ExtUtils-Command/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= YES
MAN3= ExtUtils::Command.3 Shell::Command.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-ExtUtils-Depends/Makefile b/devel/p5-ExtUtils-Depends/Makefile
index ccbc45d89703..158c3ea17894 100644
--- a/devel/p5-ExtUtils-Depends/Makefile
+++ b/devel/p5-ExtUtils-Depends/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= ExtUtils::Depends.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-ExtUtils-MakeMaker-Coverage/Makefile b/devel/p5-ExtUtils-MakeMaker-Coverage/Makefile
index 81bed76937c9..734af032429f 100644
--- a/devel/p5-ExtUtils-MakeMaker-Coverage/Makefile
+++ b/devel/p5-ExtUtils-MakeMaker-Coverage/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= ExtUtils::MakeMaker::Coverage.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-ExtUtils-ParseXS/Makefile b/devel/p5-ExtUtils-ParseXS/Makefile
index 3deea9473340..fd046321840b 100644
--- a/devel/p5-ExtUtils-ParseXS/Makefile
+++ b/devel/p5-ExtUtils-ParseXS/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= ExtUtils::ParseXS.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500600
-IGNORE= needs perl 5.6 or higher because of "/??{}/" in regexes
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-FSA-Rules/Makefile b/devel/p5-FSA-Rules/Makefile
index 985cb1a29de2..d18402afb6de 100644
--- a/devel/p5-FSA-Rules/Makefile
+++ b/devel/p5-FSA-Rules/Makefile
@@ -26,10 +26,6 @@ MAN3= FSA::Rules.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl5.6 due to dependencies
-.endif
-
.if ${PERL_LEVEL} < 500800
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Storable
.endif
diff --git a/devel/p5-File-Append-TempFile/Makefile b/devel/p5-File-Append-TempFile/Makefile
index 9248ccfea1c9..2faa2f4e8101 100644
--- a/devel/p5-File-Append-TempFile/Makefile
+++ b/devel/p5-File-Append-TempFile/Makefile
@@ -26,10 +26,4 @@ MAN3= File::Append::TempFile.3
test: build
@cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} test
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs Perl 5.6 or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Attributes-Recursive/Makefile b/devel/p5-File-Attributes-Recursive/Makefile
index 484c575f5d66..319b3a0cf21e 100644
--- a/devel/p5-File-Attributes-Recursive/Makefile
+++ b/devel/p5-File-Attributes-Recursive/Makefile
@@ -20,14 +20,8 @@ BUILD_DEPENDS= ${SITE_PERL}/Directory/Scratch.pm:${PORTSDIR}/devel/p5-Directory-
${SITE_PERL}/File/Attributes.pm:${PORTSDIR}/devel/p5-File-Attributes
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= File::Attributes::Recursive.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= one of the dependencies requires perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Attributes/Makefile b/devel/p5-File-Attributes/Makefile
index c3e7c84faf9d..dcef3c83b715 100644
--- a/devel/p5-File-Attributes/Makefile
+++ b/devel/p5-File-Attributes/Makefile
@@ -22,16 +22,10 @@ BUILD_DEPENDS= ${SITE_PERL}/Module/Pluggable.pm:${PORTSDIR}/devel/p5-Module-Plug
p5-YAML-Syck>0:${PORTSDIR}/textproc/p5-YAML-Syck
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= File::Attributes.3 \
File::Attributes::Base.3 \
File::Attributes::Simple.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= fails its tests on this version of perl
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-CreationTime/Makefile b/devel/p5-File-CreationTime/Makefile
index 68a89be324cf..10ae20af90ce 100644
--- a/devel/p5-File-CreationTime/Makefile
+++ b/devel/p5-File-CreationTime/Makefile
@@ -18,14 +18,8 @@ COMMENT= Keeps track of file creation times
BUILD_DEPENDS= ${SITE_PERL}/File/Attributes.pm:${PORTSDIR}/devel/p5-File-Attributes
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= File::CreationTime.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= has a dependency that wants perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-DesktopEntry/Makefile b/devel/p5-File-DesktopEntry/Makefile
index 8557e049ee06..c25830e9f922 100644
--- a/devel/p5-File-DesktopEntry/Makefile
+++ b/devel/p5-File-DesktopEntry/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= File::DesktopEntry.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500503
-IGNORE= newer perl version required. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-ExtAttr/Makefile b/devel/p5-File-ExtAttr/Makefile
index 4193762a76fa..f503ef329ea4 100644
--- a/devel/p5-File-ExtAttr/Makefile
+++ b/devel/p5-File-ExtAttr/Makefile
@@ -15,16 +15,12 @@ PKGNAMEPREFIX= p5-
MAINTAINER= timur@FreeBSD.org
COMMENT= Access to extended attributes of the files
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= File::ExtAttr.3 File::ExtAttr::Tie.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= needs Perl 5.8 or later
-.endif
-
.if ${OSVERSION} < 500018
IGNORE= extended attributes require FreeBSD 5.x at least after 20010326
.endif
diff --git a/devel/p5-File-Find-Object/Makefile b/devel/p5-File-Find-Object/Makefile
index 90f1da14aa52..cd1355dcef87 100644
--- a/devel/p5-File-Find-Object/Makefile
+++ b/devel/p5-File-Find-Object/Makefile
@@ -23,10 +23,4 @@ PERL_MODBUILD= yes
MAN3= File::Find::Object.3 \
File::Find::Object::Base.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Grep/Makefile b/devel/p5-File-Grep/Makefile
index c0bdbf3a21d2..51b91675cc8a 100644
--- a/devel/p5-File-Grep/Makefile
+++ b/devel/p5-File-Grep/Makefile
@@ -18,11 +18,4 @@ PERL_CONFIGURE= yes
MAN3= File::Grep.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e 's/^our (\S+)/use vars qw{$$1};$$1/g' ${WRKSRC}/Grep.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-HStore/Makefile b/devel/p5-File-HStore/Makefile
index 4ba93fe1faec..1486d59500d4 100644
--- a/devel/p5-File-HStore/Makefile
+++ b/devel/p5-File-HStore/Makefile
@@ -24,10 +24,4 @@ MAN3= File::HStore.3
post-patch:
@${RM} ${WRKSRC}/lib/File/HStore.pm.orig
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-MMagic-XS/Makefile b/devel/p5-File-MMagic-XS/Makefile
index 6f0d446505c5..774f4939547c 100644
--- a/devel/p5-File-MMagic-XS/Makefile
+++ b/devel/p5-File-MMagic-XS/Makefile
@@ -19,10 +19,4 @@ MAN3= File::MMagic::XS.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Modified/Makefile b/devel/p5-File-Modified/Makefile
index 0a64cb2e7106..1b7217b0b7aa 100644
--- a/devel/p5-File-Modified/Makefile
+++ b/devel/p5-File-Modified/Makefile
@@ -38,11 +38,6 @@ post-install:
.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp \
${SITE_PERL}/${PERL_ARCH}/Digest/MD5.pm:${PORTSDIR}/security/p5-Digest-MD5
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e 's/\r\n/\n/;' -e 's/^use warnings;//' ${WRKSRC}/lib/File/Modified.pm
-.endif
.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-File-Random/Makefile b/devel/p5-File-Random/Makefile
index 037cd4202768..db06d76bac71 100644
--- a/devel/p5-File-Random/Makefile
+++ b/devel/p5-File-Random/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= File::Random.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-ReadBackwards/Makefile b/devel/p5-File-ReadBackwards/Makefile
index 2c04f9e3df02..81eb5000649f 100644
--- a/devel/p5-File-ReadBackwards/Makefile
+++ b/devel/p5-File-ReadBackwards/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= File::ReadBackwards.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= "This port requires perl 5.6 or newer"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-ShareDir/Makefile b/devel/p5-File-ShareDir/Makefile
index 8237be47a7d9..6ff0f9a0240b 100644
--- a/devel/p5-File-ShareDir/Makefile
+++ b/devel/p5-File-ShareDir/Makefile
@@ -25,10 +25,4 @@ PERL_CONFIGURE= yes
MAN3= File::ShareDir.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Slurp/Makefile b/devel/p5-File-Slurp/Makefile
index e6ba7652be88..25e268947d9d 100644
--- a/devel/p5-File-Slurp/Makefile
+++ b/devel/p5-File-Slurp/Makefile
@@ -19,13 +19,4 @@ PERL_CONFIGURE= YES
MAN3= File::Slurp.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-post-configure:
- cd ${WRKSRC}; \
- ${PERL} -pi -e 's|(.*Fcntl.*):seek(.*)|\1\2\nuse POSIX qw(SEEK_SET SEEK_CUR SEEK_END);|; \
- s|.*= O_BINARY.*||;' lib/File/Slurp.pm t/*.t
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Tempdir/Makefile b/devel/p5-File-Tempdir/Makefile
index 0db565d460f2..106c55d7f0c9 100644
--- a/devel/p5-File-Tempdir/Makefile
+++ b/devel/p5-File-Tempdir/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= File::Tempdir.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-Type/Makefile b/devel/p5-File-Type/Makefile
index 9363eb24a521..7008bd559c2c 100644
--- a/devel/p5-File-Type/Makefile
+++ b/devel/p5-File-Type/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= YES
MAN3= File::Type.3 \
File::Type::Builder.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-File-pushd/Makefile b/devel/p5-File-pushd/Makefile
index abd852c3611c..95b9ed4c674f 100644
--- a/devel/p5-File-pushd/Makefile
+++ b/devel/p5-File-pushd/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= File::pushd.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-FileHandle-Unget/Makefile b/devel/p5-FileHandle-Unget/Makefile
index 44b863459291..875140ba979d 100644
--- a/devel/p5-FileHandle-Unget/Makefile
+++ b/devel/p5-FileHandle-Unget/Makefile
@@ -25,8 +25,5 @@ MAN3= FileHandle::Unget.3
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS= ${BUILD_DEPENDS}
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= This port requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-Filesys-Virtual-Plain/Makefile b/devel/p5-Filesys-Virtual-Plain/Makefile
index c779530a7b76..a6ee6ea2e34b 100644
--- a/devel/p5-Filesys-Virtual-Plain/Makefile
+++ b/devel/p5-Filesys-Virtual-Plain/Makefile
@@ -21,11 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Filesys::Virtual::Plain.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500503
-post-patch:
- @${PERL} -pi -e 's/^our\s+([\$$\@\%]\w+)/use vars qw($$1); $$1/;' ${WRKSRC}/Plain.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Filesys-Virtual/Makefile b/devel/p5-Filesys-Virtual/Makefile
index f9fb873caa31..03991e6e05bc 100644
--- a/devel/p5-Filesys-Virtual/Makefile
+++ b/devel/p5-Filesys-Virtual/Makefile
@@ -18,11 +18,4 @@ PERL_CONFIGURE= yes
MAN3= Filesys::Virtual.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500503
-post-patch:
- @${PERL} -pi -e 's/^our\s+([\$$\@\%]\w+)/use vars qw($$1); $$1/;' ${WRKSRC}/Virtual.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Geo-ShapeFile/Makefile b/devel/p5-Geo-ShapeFile/Makefile
index b409fa26ca8f..9d669f9835d0 100644
--- a/devel/p5-Geo-ShapeFile/Makefile
+++ b/devel/p5-Geo-ShapeFile/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Geo::ShapeFile.3 Geo::ShapeFile::Point.3 Geo::ShapeFile::Shape.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Getopt-Popt/Makefile b/devel/p5-Getopt-Popt/Makefile
index df0cb6758a8e..0756f127e20b 100644
--- a/devel/p5-Getopt-Popt/Makefile
+++ b/devel/p5-Getopt-Popt/Makefile
@@ -28,10 +28,4 @@ post-patch:
@${MKDIR} ${WRKSRC}/ex
@${MV} ${WRKSRC}/example.pl ${WRKSRC}/ex
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Glib2/Makefile b/devel/p5-Glib2/Makefile
index 2d46d8f02493..67fdba0f069c 100644
--- a/devel/p5-Glib2/Makefile
+++ b/devel/p5-Glib2/Makefile
@@ -22,14 +22,8 @@ USE_GNOME= glib20
PERL_CONFIGURE= yes
WRKSRC= ${WRKDIR}/${PORTNAME:S/2//}-${PORTVERSION}
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
post-install:
@cd ${WRKSRC}/blib/man3 && ${FIND} * -name "*.3" | ${SED} \
's,^,${MAN3PREFIX:S,^${PREFIX}/,,}/man/man3/,' >> ${TMPPLIST}
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Gnome2-GConf/Makefile b/devel/p5-Gnome2-GConf/Makefile
index ec8d7eb47aa4..20c47b174414 100644
--- a/devel/p5-Gnome2-GConf/Makefile
+++ b/devel/p5-Gnome2-GConf/Makefile
@@ -21,7 +21,7 @@ BUILD_DEPENDS= ${SITE_PERL}/ExtUtils/Depends.pm:${PORTSDIR}/devel/p5-ExtUtils-D
${SITE_PERL}/${PERL_ARCH}/Gtk2/CodeGen.pm:${PORTSDIR}/x11-toolkits/p5-Gtk2
RUN_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Glib.pm:${PORTSDIR}/devel/p5-Glib2
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
USE_GNOME= gconf2
MAN3= Gnome2::GConf.3 \
@@ -35,10 +35,4 @@ MAN3= Gnome2::GConf.3 \
Gnome2::GConf::main.3 \
Gnome2::GConf::version.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= "Needs perl 5.8.0 or higher, install lang/perl5.8 and try again"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Heap-Simple-Perl/Makefile b/devel/p5-Heap-Simple-Perl/Makefile
index ec702f42d427..ac1abf99d34b 100644
--- a/devel/p5-Heap-Simple-Perl/Makefile
+++ b/devel/p5-Heap-Simple-Perl/Makefile
@@ -18,14 +18,8 @@ COMMENT= A pure perl implementation of the Heap::Simple interface
BUILD_DEPENDS= ${SITE_PERL}/Heap/Simple.pm:${PORTSDIR}/devel/p5-Heap-Simple
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Heap::Simple::Perl.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Heap-Simple-XS/Makefile b/devel/p5-Heap-Simple-XS/Makefile
index 724bfcd4b0db..f0f7b54015c4 100644
--- a/devel/p5-Heap-Simple-XS/Makefile
+++ b/devel/p5-Heap-Simple-XS/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Heap::Simple::XS.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= uses ??{} in regexps, which came with perl5.6. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Heap-Simple/Makefile b/devel/p5-Heap-Simple/Makefile
index dea5be191d1b..2c367f35a959 100644
--- a/devel/p5-Heap-Simple/Makefile
+++ b/devel/p5-Heap-Simple/Makefile
@@ -19,13 +19,7 @@ PERL_CONFIGURE= yes
MAN3= Heap::Simple.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= uses ??{} in regexps, which came with perl5.6. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
post-install:
@${CAT} ${PKGMESSAGE}
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Hook-LexWrap/Makefile b/devel/p5-Hook-LexWrap/Makefile
index 6632ff74cf67..7a4b0e5fa6d5 100644
--- a/devel/p5-Hook-LexWrap/Makefile
+++ b/devel/p5-Hook-LexWrap/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Hook::LexWrap.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This port only support perl 5.6.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-AIO/Makefile b/devel/p5-IO-AIO/Makefile
index 1836cd7715a7..178795550180 100644
--- a/devel/p5-IO-AIO/Makefile
+++ b/devel/p5-IO-AIO/Makefile
@@ -20,13 +20,7 @@ PERL_CONFIGURE= yes
MAN3= IO::AIO.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
post-patch:
${PERL} -e 's,-lpthreads?,${PTHREAD_LIBS},g' ${WRKSRC}/Makefile.PL
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-Capture/Makefile b/devel/p5-IO-Capture/Makefile
index 12236a38e085..f8ae4246a475 100644
--- a/devel/p5-IO-Capture/Makefile
+++ b/devel/p5-IO-Capture/Makefile
@@ -23,13 +23,4 @@ MAN3= IO::Capture.3 \
IO::Capture::Stdout.3 \
IO::Capture::Tie_STDx.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e '$$_ = "" if m/5.006|use warnings;/' \
- ${WRKSRC}/Makefile.PL \
- ${WRKSRC}/lib/IO/Capture/Stderr.pm
- @${PERL} -pi -e '$$_ = "return 1;" if m/lt v5/;' \
- ${WRKSRC}/lib/IO/Capture/Stderr.pm
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-Digest/Makefile b/devel/p5-IO-Digest/Makefile
index 32efc7e609d3..ae7172144b1f 100644
--- a/devel/p5-IO-Digest/Makefile
+++ b/devel/p5-IO-Digest/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/PerlIO/via/dynamic.pm:${PORTSDIR}/devel/p5-PerlIO-vi
${SITE_PERL}/Digest.pm:${PORTSDIR}/security/p5-Digest
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= IO::Digest.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This module only supports perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-KQueue/Makefile b/devel/p5-IO-KQueue/Makefile
index a4609f6db983..9db151bfeb8f 100644
--- a/devel/p5-IO-KQueue/Makefile
+++ b/devel/p5-IO-KQueue/Makefile
@@ -33,9 +33,4 @@ post-install:
@${ECHO_MSG} "===> Examples installed in ${EXAMPLESDIR}."
.endif
-# dXSTARG is not defined in perl 5.00503
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or better
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-IO-NestedCapture/Makefile b/devel/p5-IO-NestedCapture/Makefile
index 422a4f228c46..40f6b044ee39 100644
--- a/devel/p5-IO-NestedCapture/Makefile
+++ b/devel/p5-IO-NestedCapture/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= Perl module for performing nested STD\* handle captures
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= IO::NestedCapture.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-Prompt/Makefile b/devel/p5-IO-Prompt/Makefile
index fc0fada8f77c..53ba56e78ad0 100644
--- a/devel/p5-IO-Prompt/Makefile
+++ b/devel/p5-IO-Prompt/Makefile
@@ -31,7 +31,4 @@ post-patch:
@${PERL} -pi -e '$$_ = "" if m|use 5.008;|' \
${WRKSRC}/lib/IO/Prompt.pm
.endif
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-IO-Toolkit/Makefile b/devel/p5-IO-Toolkit/Makefile
index 19d1f20610e7..da142d19bd51 100644
--- a/devel/p5-IO-Toolkit/Makefile
+++ b/devel/p5-IO-Toolkit/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= p5-Crypt-RC6>=0:${PORTSDIR}/security/p5-Crypt-RC6 \
p5-Digest-MD5>=0:${PORTSDIR}/security/p5-Digest-MD5
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= IO::Toolkit.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-Tty/Makefile b/devel/p5-IO-Tty/Makefile
index 4f043445db2d..e035776b0fb6 100644
--- a/devel/p5-IO-Tty/Makefile
+++ b/devel/p5-IO-Tty/Makefile
@@ -15,16 +15,10 @@ PKGNAMEPREFIX= p5-
MAINTAINER= erwin@FreeBSD.org
COMMENT= Flexible I/O Perl5 module that allows manipulation of pseudo-TTYs
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= IO::Pty.3 \
IO::Tty.3 \
IO::Tty::Constant.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-Util/Makefile b/devel/p5-IO-Util/Makefile
index 3dcc09ebdb5e..f5150b874be5 100644
--- a/devel/p5-IO-Util/Makefile
+++ b/devel/p5-IO-Util/Makefile
@@ -23,13 +23,4 @@ PERL_CONFIGURE= yes
MAN3= IO::Util.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-post-patch:
- ${PERL} -pi -e 's/our\s+([\$$\@\%]\w+)/use vars qw($$1); $$1/;' ${WRKSRC}/lib/IO/Util.pm
- ${PERL} -pi -e '$$_="" if m{5.006|warnings}' \
- ${WRKSRC}/lib/IO/Util.pm ${WRKSRC}/Makefile.PL ${WRKSRC}/t/*.t
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IO-YAML/Makefile b/devel/p5-IO-YAML/Makefile
index 6b40d77adcf0..c2ea448b56c7 100644
--- a/devel/p5-IO-YAML/Makefile
+++ b/devel/p5-IO-YAML/Makefile
@@ -24,10 +24,6 @@ MAN3= IO::YAML.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601 # Inherited from textproc/p5-YAML
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5.8 and try again
-.endif
-
.if ${PERL_LEVEL} < 500801
RUN_DEPENDS+= ${SITE_PERL}/Errno.pm:${PORTSDIR}/devel/p5-Errno
.endif
diff --git a/devel/p5-IO/Makefile b/devel/p5-IO/Makefile
index ba88245eb97a..fde0b19d9a75 100644
--- a/devel/p5-IO/Makefile
+++ b/devel/p5-IO/Makefile
@@ -15,17 +15,15 @@ PKGNAMEPREFIX= p5-
MAINTAINER= skv@FreeBSD.org
COMMENT= Various IO modules for Perl
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.6.0-
+USE_PERL5_REASON= this module is already included in perl 5.6.x and later
CONFIGURE_ARGS= INSTALLDIRS=site POLLUTE=1
MAN3= IO.3 IO::Dir.3 IO::File.3 IO::Handle.3 IO::Pipe.3 IO::Poll.3 \
IO::Seekable.3 IO::Select.3 IO::Socket.3 IO::Socket::INET.3 \
IO::Socket::UNIX.3
-.include <bsd.port.pre.mk>
+DEPRECATED= only works with old, unsupported Perl versions
+EXPIRATION_DATE= 2007-09-11
-.if ${PERL_LEVEL} > 500600
-IGNORE= this module is already included in perl 5.6.x and later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IPC-DirQueue/Makefile b/devel/p5-IPC-DirQueue/Makefile
index 735b1968e87c..df62d15c7021 100644
--- a/devel/p5-IPC-DirQueue/Makefile
+++ b/devel/p5-IPC-DirQueue/Makefile
@@ -19,16 +19,10 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Time/HiRes.pm:${PORTSDIR}/devel/p5-Time
p5-POE>0:${PORTSDIR}/devel/p5-POE
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= dq-deque.1 dq-indexd.1 dq-list.1 dq-server.1 dq-submit.1
MAN3= IPC::DirQueue.3 IPC::DirQueue::Job.3 \
IPC::DirQueue::IndexClient.3 IPC::DirQueue::IndexServer.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IPC-Mmap-Share/Makefile b/devel/p5-IPC-Mmap-Share/Makefile
index 55754a039620..1c14f4c64d6c 100644
--- a/devel/p5-IPC-Mmap-Share/Makefile
+++ b/devel/p5-IPC-Mmap-Share/Makefile
@@ -18,14 +18,8 @@ COMMENT= Safely share structures among processes using anonymous mmap
RUN_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/IPC/Mmap.pm:${PORTSDIR}/devel/p5-IPC-Mmap
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= IPC::Mmap::Share.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # Inherited from devel/p5-IPC-Mmap
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IPC-Mmap/Makefile b/devel/p5-IPC-Mmap/Makefile
index d5775309513b..26049f7aff25 100644
--- a/devel/p5-IPC-Mmap/Makefile
+++ b/devel/p5-IPC-Mmap/Makefile
@@ -14,14 +14,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= clsung@FreeBSD.org
COMMENT= Provides a minimal mmap() interface for both POSIX and Win32
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= IPC::Mmap.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IPC-Open3-Simple/Makefile b/devel/p5-IPC-Open3-Simple/Makefile
index 6a3f531879ff..53e554f9c3e4 100644
--- a/devel/p5-IPC-Open3-Simple/Makefile
+++ b/devel/p5-IPC-Open3-Simple/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= IPC::Open3::Simple.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-IPC-Run/Makefile b/devel/p5-IPC-Run/Makefile
index f2ccf6d936f0..6c68477e06ee 100644
--- a/devel/p5-IPC-Run/Makefile
+++ b/devel/p5-IPC-Run/Makefile
@@ -24,10 +24,6 @@ MAN3= IPC::Run.3 IPC::Run::IO.3 IPC::Run::Timer.3 IPC::Run::Debug.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601
-RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/IO/Handle.pm:${PORTSDIR}/devel/p5-IO
-.endif
-
.if ${PERL_LEVEL} >= 500800
RUN_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/IO/Tty.pm:${PORTSDIR}/devel/p5-IO-Tty
.endif
diff --git a/devel/p5-Inline-Java/Makefile b/devel/p5-Inline-Java/Makefile
index d4e9eb624329..37f7cc55dce9 100644
--- a/devel/p5-Inline-Java/Makefile
+++ b/devel/p5-Inline-Java/Makefile
@@ -25,14 +25,10 @@ USE_JAVA= yes
JAVA_VERSION= 1.4+
JAVA_OS= native
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
CONFIGURE_ARGS= J2SDK=${JAVA_HOME} </dev/null
MAN3= Inline::Java.3 \
Inline::Java::Callback.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Inline-TT/Makefile b/devel/p5-Inline-TT/Makefile
index 9836c410e218..28ddca44689a 100644
--- a/devel/p5-Inline-TT/Makefile
+++ b/devel/p5-Inline-TT/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Inline::TT.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Iterator-IO/Makefile b/devel/p5-Iterator-IO/Makefile
index b5933775d05e..eff167da11d6 100644
--- a/devel/p5-Iterator-IO/Makefile
+++ b/devel/p5-Iterator-IO/Makefile
@@ -20,12 +20,6 @@ RUN_DEPENDS+= ${BUILD_DEPENDS}
MAN3= Iterator::IO.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl5.8 due to dependencies
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Iterator-Misc/Makefile b/devel/p5-Iterator-Misc/Makefile
index 7df65ba63070..d4d9a5db5b85 100644
--- a/devel/p5-Iterator-Misc/Makefile
+++ b/devel/p5-Iterator-Misc/Makefile
@@ -20,12 +20,6 @@ RUN_DEPENDS+= ${BUILD_DEPENDS}
MAN3= Iterator::Misc.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl5.8 due to dependencies
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Iterator-Util/Makefile b/devel/p5-Iterator-Util/Makefile
index 7941ff36d4d7..75d28a1133eb 100644
--- a/devel/p5-Iterator-Util/Makefile
+++ b/devel/p5-Iterator-Util/Makefile
@@ -20,12 +20,6 @@ RUN_DEPENDS+= ${BUILD_DEPENDS}
MAN3= Iterator::Util.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl5.8 due to dependencies
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Iterator/Makefile b/devel/p5-Iterator/Makefile
index 15b649993e81..c2cfb39628c7 100644
--- a/devel/p5-Iterator/Makefile
+++ b/devel/p5-Iterator/Makefile
@@ -20,12 +20,6 @@ RUN_DEPENDS+= ${BUILD_DEPENDS}
MAN3= Iterator.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Lexical-Persistence/Makefile b/devel/p5-Lexical-Persistence/Makefile
index 0eb13b0e7bea..ab1057453181 100644
--- a/devel/p5-Lexical-Persistence/Makefile
+++ b/devel/p5-Lexical-Persistence/Makefile
@@ -21,12 +21,6 @@ RUN_DEPENDS= ${BUILD_DEPENDS}
MAN3= Lexical::Persistence.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-List-Cycle/Makefile b/devel/p5-List-Cycle/Makefile
index 5e60767c0077..318978a297ff 100644
--- a/devel/p5-List-Cycle/Makefile
+++ b/devel/p5-List-Cycle/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= yes
MAN3= List::Cycle.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Locale-Maketext-Gettext/Makefile b/devel/p5-Locale-Maketext-Gettext/Makefile
index 44a0fbed95df..ae2e5b9a3318 100644
--- a/devel/p5-Locale-Maketext-Gettext/Makefile
+++ b/devel/p5-Locale-Maketext-Gettext/Makefile
@@ -17,7 +17,7 @@ COMMENT= Joins gettext and Maketext frameworks
BUILD_DEPENDS= ${SITE_PERL}/Locale/Maketext.pm:${PORTSDIR}/devel/p5-Locale-Maketext
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= YES
+PERL_CONFIGURE= 5.8.0+
MAN1= maketext.1
MAN3= Locale::Maketext::Gettext.3 \
@@ -31,10 +31,5 @@ post-install:
@${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
.endif
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE="Need at least perl 5.8 to build"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Log-Accounting-SVK/Makefile b/devel/p5-Log-Accounting-SVK/Makefile
index 7d520fe6fa8c..9855e88b0635 100644
--- a/devel/p5-Log-Accounting-SVK/Makefile
+++ b/devel/p5-Log-Accounting-SVK/Makefile
@@ -23,15 +23,9 @@ BUILD_DEPENDS= ${SITE_PERL}/SVK.pm:${PORTSDIR}/devel/svk \
${SITE_PERL}/Algorithm/Accounting.pm:${PORTSDIR}/devel/p5-Algorithm-Accounting
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= svk-accounting.pl.1 svk-developer-graph.pl.1
MAN3= Log::Accounting::SVK.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Log-Accounting-SVN/Makefile b/devel/p5-Log-Accounting-SVN/Makefile
index 6dc0efb7188d..3b3491abc884 100644
--- a/devel/p5-Log-Accounting-SVN/Makefile
+++ b/devel/p5-Log-Accounting-SVN/Makefile
@@ -22,14 +22,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/subversio
p5-Test-Simple>=0:${PORTSDIR}/devel/p5-Test-Simple
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Log::Accounting::SVN.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Log-Agent/Makefile b/devel/p5-Log-Agent/Makefile
index 8ccb830c979d..74fa6532affa 100644
--- a/devel/p5-Log-Agent/Makefile
+++ b/devel/p5-Log-Agent/Makefile
@@ -41,10 +41,4 @@ MAN3= Log::Agent.3 \
Log::Agent::Tag::String.3 \
Log::Agent::Tag_List.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Log-Dispatch-Perl/Makefile b/devel/p5-Log-Dispatch-Perl/Makefile
index a406c61d8e17..e3aac766887c 100644
--- a/devel/p5-Log-Dispatch-Perl/Makefile
+++ b/devel/p5-Log-Dispatch-Perl/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Log::Dispatch::Perl.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= "requires perl 5.6.x or later. Install lang/perl5 and try again"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Log-Message-Simple/Makefile b/devel/p5-Log-Message-Simple/Makefile
index a794e068abc9..1b27e23b1e73 100644
--- a/devel/p5-Log-Message-Simple/Makefile
+++ b/devel/p5-Log-Message-Simple/Makefile
@@ -22,10 +22,4 @@ MAN3= Log::Message::Simple.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Log-Message/Makefile b/devel/p5-Log-Message/Makefile
index 9abbb47b2c87..5ca7867e5e3c 100644
--- a/devel/p5-Log-Message/Makefile
+++ b/devel/p5-Log-Message/Makefile
@@ -27,10 +27,4 @@ MAN3= Log::Message.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # <5.6 has problems with POD generation and thus plist problems
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Luka/Makefile b/devel/p5-Luka/Makefile
index f395d5d58831..545b90f0413e 100644
--- a/devel/p5-Luka/Makefile
+++ b/devel/p5-Luka/Makefile
@@ -32,10 +32,6 @@ MAN3= Luka.3 Luka::Conf.3 Luka::Exceptions.3 Luka::Mailer.3
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600 # Inherited from many dependencies
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
.if ${PERL_LEVEL} < 500702
BUILD_DEPENDS+= ${SITE_PERL}/Net/FTP.pm:${PORTSDIR}/net/p5-Net
.endif
diff --git a/devel/p5-MRO-Compat/Makefile b/devel/p5-MRO-Compat/Makefile
index 324803394cdd..679d41d14e02 100644
--- a/devel/p5-MRO-Compat/Makefile
+++ b/devel/p5-MRO-Compat/Makefile
@@ -18,15 +18,11 @@ COMMENT= Add mro::* interface compatibility for Perls < 5.9.5
BUILD_DEPENDS= ${RUN_DEPENDS}
RUN_DEPENDS= p5-Class-C3>=0.19:${PORTSDIR}/devel/p5-Class-C3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= MRO::Compat.3
post-extract:
@${PERL} -i.bak -ne 'print unless m,^if, .. m,}$$,' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Make-Cache/Makefile b/devel/p5-Make-Cache/Makefile
index 45262949f9d3..18f0cb0034d8 100644
--- a/devel/p5-Make-Cache/Makefile
+++ b/devel/p5-Make-Cache/Makefile
@@ -28,10 +28,4 @@ MAN3= Make::Cache.3 \
Make::Cache::Obj.3 \
Make::Cache::Runtime.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Mknod/Makefile b/devel/p5-Mknod/Makefile
index 5ba90d4062ad..ee53766ed45e 100644
--- a/devel/p5-Mknod/Makefile
+++ b/devel/p5-Mknod/Makefile
@@ -20,11 +20,4 @@ PERL_CONFIGURE= yes
MANPREFIX= ${SITE_PERL}
MAN3= Mknod.3
-.include <bsd.port.pre.mk>
-
-# This port requires PERL 5.6.x or later.
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Compile/Makefile b/devel/p5-Module-Compile/Makefile
index bfc2a8307bb4..33e8b6155925 100644
--- a/devel/p5-Module-Compile/Makefile
+++ b/devel/p5-Module-Compile/Makefile
@@ -18,17 +18,11 @@ COMMENT= Provide a system for writing modules that compile other Perl modules
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Digest/SHA1.pm:${PORTSDIR}/security/p5-Digest-SHA1
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Module::Compile.3 \
Module::Install::Admin::PMC.3 \
Module::Install::PMC.3\
Module::Optimize.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # inherited from dependency upon Filter/Util/Call.pm
-IGNORE= requires perl 5.8 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Dependency/Makefile b/devel/p5-Module-Dependency/Makefile
index bc806ce81e2f..deb82edf4d6b 100644
--- a/devel/p5-Module-Dependency/Makefile
+++ b/devel/p5-Module-Dependency/Makefile
@@ -15,7 +15,7 @@ PKGNAMEPREFIX= p5-
MAINTAINER= clsung@FreeBSD.org
COMMENT= Collection of modules for examining dependencies
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= pmd_indexer.plx.1 pmd_grapher.plx.1 pmd_dump.pl.1
MAN3= Module::Dependency.3 \
@@ -24,10 +24,4 @@ MAN3= Module::Dependency.3 \
Module::Dependency::Grapher.3 \
Module::pmd_dump.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Find/Makefile b/devel/p5-Module-Find/Makefile
index 2e093a146d7e..00e13ce64415 100644
--- a/devel/p5-Module-Find/Makefile
+++ b/devel/p5-Module-Find/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Module::Find.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Load-Conditional/Makefile b/devel/p5-Module-Load-Conditional/Makefile
index 07d32bfd9394..637b95c1059a 100644
--- a/devel/p5-Module-Load-Conditional/Makefile
+++ b/devel/p5-Module-Load-Conditional/Makefile
@@ -36,10 +36,4 @@ post-install:
@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
.endif
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Loaded/Makefile b/devel/p5-Module-Loaded/Makefile
index a1a05846279c..e76d08f42f4a 100644
--- a/devel/p5-Module-Loaded/Makefile
+++ b/devel/p5-Module-Loaded/Makefile
@@ -21,10 +21,4 @@ MAN3= Module::Loaded.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Pluggable-Ordered/Makefile b/devel/p5-Module-Pluggable-Ordered/Makefile
index b6eadb4f0ce1..b7889a6f9d39 100644
--- a/devel/p5-Module-Pluggable-Ordered/Makefile
+++ b/devel/p5-Module-Pluggable-Ordered/Makefile
@@ -24,12 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Module::Pluggable::Ordered.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/File/Spec.pm:${PORTSDIR}/devel/p5-PathTools
-post-configure:
- ${PERL} -pi -e 's/-I\S+PERL\S+ //g if m{PERL_DL_NONLAZY}' ${WRKSRC}/Makefile
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Refresh/Makefile b/devel/p5-Module-Refresh/Makefile
index d773fb725a39..ca2313fc23d7 100644
--- a/devel/p5-Module-Refresh/Makefile
+++ b/devel/p5-Module-Refresh/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= fbsdports@commit.it
COMMENT= Refresh %INC files when updated on disk
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Module::Refresh.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.x or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Release/Makefile b/devel/p5-Module-Release/Makefile
index 6dac5bb067fd..dae4013178b5 100644
--- a/devel/p5-Module-Release/Makefile
+++ b/devel/p5-Module-Release/Makefile
@@ -22,15 +22,9 @@ BUILD_DEPENDS= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp \
${SITE_PERL}/HTTP/Message.pm:${PORTSDIR}/www/p5-libwww
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN1= release.1
MAN3= Release.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= perl 5.8 or newer required. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Starter-PBP/Makefile b/devel/p5-Module-Starter-PBP/Makefile
index fe0b89f3d2e7..d2922f0c843d 100644
--- a/devel/p5-Module-Starter-PBP/Makefile
+++ b/devel/p5-Module-Starter-PBP/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Module::Starter::PBP.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Module-Starter/Makefile b/devel/p5-Module-Starter/Makefile
index 333aff20b11a..631056b2a9de 100644
--- a/devel/p5-Module-Starter/Makefile
+++ b/devel/p5-Module-Starter/Makefile
@@ -23,10 +23,4 @@ MAN3= Module::Starter.3 \
Module::Starter::Plugin.3 \
Module::Starter::Plugin::Template.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Moose/Makefile b/devel/p5-Moose/Makefile
index 01cf1e7f2b53..f8c30c7dfff9 100644
--- a/devel/p5-Moose/Makefile
+++ b/devel/p5-Moose/Makefile
@@ -21,7 +21,7 @@ RUN_DEPENDS= \
p5-Sub-Name>=0.02:${PORTSDIR}/devel/p5-Sub-Name \
p5-Sub-Exporter>=0.972:${PORTSDIR}/devel/p5-Sub-Exporter
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Moose.3 \
Moose::Cookbook.3 \
@@ -58,8 +58,4 @@ MAN3= Moose.3 \
post-extract:
@${PERL} -i.bak -ne 'print unless m,Test::,' ${WRKSRC}/Build.PL
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Net-DBus/Makefile b/devel/p5-Net-DBus/Makefile
index 25a6a4ddce6d..e300770f0b54 100644
--- a/devel/p5-Net-DBus/Makefile
+++ b/devel/p5-Net-DBus/Makefile
@@ -41,10 +41,4 @@ MAN3= Net::DBus::ASyncReply.3 Net::DBus::Annotation.3 Net::DBus::Tutorial.3 \
Net::DBus::Error.3 Net::DBus::Test::MockIterator.3 \
Net::DBus::Test::MockMessage.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.006 or better
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Number-Bytes-Human/Makefile b/devel/p5-Number-Bytes-Human/Makefile
index 771465bdf7e2..5ae32465f57b 100644
--- a/devel/p5-Number-Bytes-Human/Makefile
+++ b/devel/p5-Number-Bytes-Human/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Number::Bytes::Human.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-OOTools/Makefile b/devel/p5-OOTools/Makefile
index 2dc23b65bb12..6bba20b0e5a3 100644
--- a/devel/p5-OOTools/Makefile
+++ b/devel/p5-OOTools/Makefile
@@ -27,10 +27,4 @@ MAN3= Class::constr.3 \
Package::groups.3 \
Package::props.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This port requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Object-Enum/Makefile b/devel/p5-Object-Enum/Makefile
index 39cfb6de72b0..dcc6645f236f 100644
--- a/devel/p5-Object-Enum/Makefile
+++ b/devel/p5-Object-Enum/Makefile
@@ -26,10 +26,4 @@ MAN3= Object::Enum.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires Perl 5.6.1 or later due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Object-InsideOut/Makefile b/devel/p5-Object-InsideOut/Makefile
index b072f129d165..1c133e990b87 100644
--- a/devel/p5-Object-InsideOut/Makefile
+++ b/devel/p5-Object-InsideOut/Makefile
@@ -20,14 +20,8 @@ RUN_DEPENDS= p5-Exception-Class>=1.22:${PORTSDIR}/devel/p5-Exception-Class \
p5-Scalar-List-Utils>=1.19:${PORTSDIR}/lang/p5-Scalar-List-Utils
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Object::InsideOut.3 Object::InsideOut::Metadata.3 Bundle::Object::InsideOut.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # inherited from p5-Exception-Class
-IGNORE= requires perl 5.8 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Object-MultiType/Makefile b/devel/p5-Object-MultiType/Makefile
index 3c71e1062300..953eb28e0ec7 100644
--- a/devel/p5-Object-MultiType/Makefile
+++ b/devel/p5-Object-MultiType/Makefile
@@ -18,10 +18,4 @@ MAN3= Object::MultiType.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Object-Signature/Makefile b/devel/p5-Object-Signature/Makefile
index b7219a9be4a0..e7856dd39431 100644
--- a/devel/p5-Object-Signature/Makefile
+++ b/devel/p5-Object-Signature/Makefile
@@ -26,10 +26,4 @@ PERL_CONFIGURE= yes
MAN3= Object::Signature.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PAR/Makefile b/devel/p5-PAR/Makefile
index 3676539ca21e..9aba102396da 100644
--- a/devel/p5-PAR/Makefile
+++ b/devel/p5-PAR/Makefile
@@ -35,10 +35,4 @@ MAN3= PAR.3 \
BUILD_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= only supports the ports versions of Perl,
-IGNORE+=If you have installed a Perl port, and are getting this message,
-IGNORE+=please make sure you have given the command \'use.perl port\'
-.endif # ${PERL_LEVEL} < 500601
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-PCSC-Card/Makefile b/devel/p5-PCSC-Card/Makefile
index d5927053e4f4..085d5187fba6 100644
--- a/devel/p5-PCSC-Card/Makefile
+++ b/devel/p5-PCSC-Card/Makefile
@@ -17,12 +17,6 @@ COMMENT= Perl bindings for the PC/SC Lite Framework
LIB_DEPENDS= pcsclite.1:${PORTSDIR}/devel/pcsc-lite
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Requires perl-5.6.0 or better to build correctly
-.endif
-
PERL_CONFIGURE= yes
MAKE_ENV= "LOCALBASE=$(LOCALBASE)"
@@ -33,4 +27,4 @@ post-patch:
${WRKSRC}/Makefile.PL
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PHP-Serialization/Makefile b/devel/p5-PHP-Serialization/Makefile
index e6c3a5c8bf1c..0d513d0e4485 100644
--- a/devel/p5-PHP-Serialization/Makefile
+++ b/devel/p5-PHP-Serialization/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= gslin@gslin.org
COMMENT= Converting the output of PHP serialize() into the Perl
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PHP::Serialization.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-API-Hooks/Makefile b/devel/p5-POE-API-Hooks/Makefile
index 3ee3f0011112..22100d77b8bb 100644
--- a/devel/p5-POE-API-Hooks/Makefile
+++ b/devel/p5-POE-API-Hooks/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= POE::API::Hooks.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= Perl 5.6.1 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-API-Peek/Makefile b/devel/p5-POE-API-Peek/Makefile
index 688c66d38adb..b9b2d52d0e1e 100644
--- a/devel/p5-POE-API-Peek/Makefile
+++ b/devel/p5-POE-API-Peek/Makefile
@@ -25,10 +25,4 @@ PERL_CONFIGURE= yes
MAN3= POE::API::Peek.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= Perl 5.6.1 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-Component-Child/Makefile b/devel/p5-POE-Component-Child/Makefile
index 4e64fd15a7b0..0bd923baf0c9 100644
--- a/devel/p5-POE-Component-Child/Makefile
+++ b/devel/p5-POE-Component-Child/Makefile
@@ -23,12 +23,4 @@ PERL_CONFIGURE= yes
MAN3= POE::Component::Child.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e '$$_ = "" if /^use warnings/o' \
- ${WRKSRC}/Child.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-Component-Daemon/Makefile b/devel/p5-POE-Component-Daemon/Makefile
index 57a820417968..3ff052637d7f 100644
--- a/devel/p5-POE-Component-Daemon/Makefile
+++ b/devel/p5-POE-Component-Daemon/Makefile
@@ -23,14 +23,8 @@ PERL_CONFIGURE= yes
MAN3= POE::Component::Daemon.3
-.include <bsd.port.pre.mk>
-
PORTDOCS= *
-.if ${PERL_LEVEL} < 500601
-IGNORE= perl 5.6.1 or newer required. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
post-install:
@${MKDIR} ${EXAMPLESDIR}
@for i in ${WRKSRC}/*forking; do \
@@ -46,4 +40,4 @@ post-install:
done
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-Component-DebugShell/Makefile b/devel/p5-POE-Component-DebugShell/Makefile
index 97ec213242fd..3a71e411bc08 100644
--- a/devel/p5-POE-Component-DebugShell/Makefile
+++ b/devel/p5-POE-Component-DebugShell/Makefile
@@ -27,10 +27,4 @@ post-patch:
${RM} ${WRKSRC}/inc/Module/Install/AutoInstall.pm
${PERL} -pi -e 's/^auto_install.*//;' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= Perl 5.6.1 or newer required. Install lang/perl5 or lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-Component-RSSAggregator/Makefile b/devel/p5-POE-Component-RSSAggregator/Makefile
index 88128eaff00c..5342e9155ccb 100644
--- a/devel/p5-POE-Component-RSSAggregator/Makefile
+++ b/devel/p5-POE-Component-RSSAggregator/Makefile
@@ -26,10 +26,4 @@ PERL_CONFIGURE= yes
MAN3= POE::Component::RSSAggregator.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-Devel-Profiler/Makefile b/devel/p5-POE-Devel-Profiler/Makefile
index 85909cf4f51d..edf73b58bf07 100644
--- a/devel/p5-POE-Devel-Profiler/Makefile
+++ b/devel/p5-POE-Devel-Profiler/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN1= poepp.1
MAN3= POE::Devel::Profiler.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl 5.6 or newer required. Install lang/perl5.8 or lang/perl5 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-POE-XS-Queue-Array/Makefile b/devel/p5-POE-XS-Queue-Array/Makefile
index cdf152446b1e..0b705f5cd732 100644
--- a/devel/p5-POE-XS-Queue-Array/Makefile
+++ b/devel/p5-POE-XS-Queue-Array/Makefile
@@ -22,12 +22,4 @@ PERL_CONFIGURE= yes
MAN3= POE::XS::Queue::Array.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BUILD_DEPENDS+= ${SITE_PERL}/XSLoader.pm:${PORTSDIR}/devel/p5-XSLoader
-RUN_DEPENDS+= ${SITE_PERL}/XSLoader.pm:${PORTSDIR}/devel/p5-XSLoader
-
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PPerl/Makefile b/devel/p5-PPerl/Makefile
index f0472730e863..5fd9b33fbbd1 100644
--- a/devel/p5-PPerl/Makefile
+++ b/devel/p5-PPerl/Makefile
@@ -17,7 +17,6 @@ PKGNAMEPREFIX= p5-
MAINTAINER= rafan@FreeBSD.org
COMMENT= Make perl scripts persistent in memory
-USE_PERL5= yes
PERL_CONFIGURE= yes
MAN1= pperl.1
diff --git a/devel/p5-PadWalker/Makefile b/devel/p5-PadWalker/Makefile
index 0dd2dd5a0e1e..6b2d6873b202 100644
--- a/devel/p5-PadWalker/Makefile
+++ b/devel/p5-PadWalker/Makefile
@@ -15,17 +15,11 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= PadWalker - play with Perl lexical variables
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PadWalker.3
post-patch:
${PERL} -i -pe '$$_ = "" if /DEBUGGING/' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This port requires perl 5.8.X. Please install lang/perl5.8.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Params-Validate/Makefile b/devel/p5-Params-Validate/Makefile
index 14c3a02e0417..8850e21e5c97 100644
--- a/devel/p5-Params-Validate/Makefile
+++ b/devel/p5-Params-Validate/Makefile
@@ -22,13 +22,9 @@ MAN3= Attribute::Params::Validate.3 Params::ValidateXS.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} >= 500600 && ${PERL_LEVEL} < 500800
+.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/Attribute/Handlers.pm:${PORTSDIR}/devel/p5-Attribute-Handlers
RUN_DEPENDS+= ${SITE_PERL}/Attribute/Handlers.pm:${PORTSDIR}/devel/p5-Attribute-Handlers
.endif
-.if ${PERL_LEVEL} < 500600
-BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-Parse-CPAN-Packages/Makefile b/devel/p5-Parse-CPAN-Packages/Makefile
index 57d174e12b62..f4fedc2aa6be 100644
--- a/devel/p5-Parse-CPAN-Packages/Makefile
+++ b/devel/p5-Parse-CPAN-Packages/Makefile
@@ -25,9 +25,4 @@ PERL_MODBUILD= yes
MAN3= Parse::CPAN::Packages.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} <= 500600
-# inherited from devel/p5-version
-IGNORE= requires perl 5.6 or newer. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Path-Class/Makefile b/devel/p5-Path-Class/Makefile
index 4f0a10f9b609..c33f52c0ae12 100644
--- a/devel/p5-Path-Class/Makefile
+++ b/devel/p5-Path-Class/Makefile
@@ -33,10 +33,4 @@ post-install:
@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
.endif
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Perl6-Export/Makefile b/devel/p5-Perl6-Export/Makefile
index 1c9e8e94147c..1a0c22d16618 100644
--- a/devel/p5-Perl6-Export/Makefile
+++ b/devel/p5-Perl6-Export/Makefile
@@ -18,14 +18,8 @@ COMMENT= Implements the Perl 6 'is export(...)' trait
BUILD_DEPENDS= ${SITE_PERL}/Filter/Simple.pm:${PORTSDIR}/textproc/p5-Filter-Simple
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Perl6::Export.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This program only support perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Perl6-Form/Makefile b/devel/p5-Perl6-Form/Makefile
index 5e63f5aa21cb..4ef582812cec 100644
--- a/devel/p5-Perl6-Form/Makefile
+++ b/devel/p5-Perl6-Form/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/Perl6/Export.pm:${PORTSDIR}/devel/p5-Perl6-Export \
${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Perl6::Form.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This program only support perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PerlIO-eol/Makefile b/devel/p5-PerlIO-eol/Makefile
index d1ad4717ae57..a7e507ae065b 100644
--- a/devel/p5-PerlIO-eol/Makefile
+++ b/devel/p5-PerlIO-eol/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= rafan@FreeBSD.org
COMMENT= PerlIO layer for normalizing line endings
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PerlIO::eol.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This module only supports perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PerlIO-via-MD5/Makefile b/devel/p5-PerlIO-via-MD5/Makefile
index 4eea88f492a0..0dd91567941c 100644
--- a/devel/p5-PerlIO-via-MD5/Makefile
+++ b/devel/p5-PerlIO-via-MD5/Makefile
@@ -18,12 +18,9 @@ COMMENT= PerlIO layer for creating an MD5 digest of a file
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Digest/MD5.pm:${PORTSDIR}/security/p5-Digest-MD5
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
+USE_PERL5_REASON= requires PerlIO, which was introduced in Perl 5.8.0. Install lang/perl5.8 and try again
MAN3= PerlIO::via::MD5.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires PerlIO, which was introduced in Perl 5.8.0. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PerlIO-via-dynamic/Makefile b/devel/p5-PerlIO-via-dynamic/Makefile
index 65acbf582195..4620e0beeb65 100644
--- a/devel/p5-PerlIO-via-dynamic/Makefile
+++ b/devel/p5-PerlIO-via-dynamic/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= rafan@FreeBSD.org
COMMENT= Dynamic PerlIO layers
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PerlIO::via::dynamic.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= this module only supports perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-PerlIO-via-symlink/Makefile b/devel/p5-PerlIO-via-symlink/Makefile
index fa7f5c553a99..5e8f9b520f91 100644
--- a/devel/p5-PerlIO-via-symlink/Makefile
+++ b/devel/p5-PerlIO-via-symlink/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= rafan@FreeBSD.org
COMMENT= Symbolic link PerlIO layers
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= PerlIO::via::symlink.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This program only support perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Pipeline/Makefile b/devel/p5-Pipeline/Makefile
index e1d02e248da4..a0a6e866f8c0 100644
--- a/devel/p5-Pipeline/Makefile
+++ b/devel/p5-Pipeline/Makefile
@@ -39,9 +39,7 @@ MAN3= Pipeline::Segment.3 Pipeline::Store::ISA.3 Pipeline.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600 # inherited from devel/p5-Data-UUID
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.elif ${PERL_LEVEL} < 500800
+.if ${PERL_LEVEL} < 500800
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Storable
.endif
diff --git a/devel/p5-Proc-Fork/Makefile b/devel/p5-Proc-Fork/Makefile
index b934529f3e9d..faf9709e9d1a 100644
--- a/devel/p5-Proc-Fork/Makefile
+++ b/devel/p5-Proc-Fork/Makefile
@@ -16,14 +16,8 @@ DISTNAME= ${PORTNAME}-${PORTVERSION:C/0$//}
MAINTAINER= perl@FreeBSD.org
COMMENT= Proc::Fork - Simple, intuitive interface to the fork() system call
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Proc::Fork.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Proc-PID-File/Makefile b/devel/p5-Proc-PID-File/Makefile
index 639d8bdd9533..5fcf48541567 100644
--- a/devel/p5-Proc-PID-File/Makefile
+++ b/devel/p5-Proc-PID-File/Makefile
@@ -18,15 +18,4 @@ PERL_CONFIGURE= yes
MAN3= Proc::PID::File.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} <= 500503
-post-patch:
- @${PERL} -pi -e '$$_ = "" if /no warnings/' ${WRKSRC}/File.pm
-
-# make PREFIX-clean under perl 5.005_03
-post-configure:
- @${PERL} -pi -e 's,/usr/local/,\$$(PREFIX)/,g' ${WRKSRC}/Makefile
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Proc-Queue/Makefile b/devel/p5-Proc-Queue/Makefile
index 51fb81784394..a4a836480672 100644
--- a/devel/p5-Proc-Queue/Makefile
+++ b/devel/p5-Proc-Queue/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= yes
MAN3= Proc::Queue.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Project-Gantt/Makefile b/devel/p5-Project-Gantt/Makefile
index 92cccf5c62cc..f9b98536fb4b 100644
--- a/devel/p5-Project-Gantt/Makefile
+++ b/devel/p5-Project-Gantt/Makefile
@@ -20,15 +20,9 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Class/Date.pm:${PORTSDIR}/devel/p5-Clas
${SITE_PERL}/${PERL_ARCH}/Image/Magick.pm:${PORTSDIR}/graphics/ImageMagick
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
WRKSRC= ${WRKDIR}/Gantt
MAN3= Project::Gantt.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This program only support perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-RRDTool-OO/Makefile b/devel/p5-RRDTool-OO/Makefile
index 755779ed18af..5ce50b5f6969 100644
--- a/devel/p5-RRDTool-OO/Makefile
+++ b/devel/p5-RRDTool-OO/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= RRDTool::OO.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-ReadLine-Gnu/Makefile b/devel/p5-ReadLine-Gnu/Makefile
index beab3531278e..ed2d6c683922 100644
--- a/devel/p5-ReadLine-Gnu/Makefile
+++ b/devel/p5-ReadLine-Gnu/Makefile
@@ -16,7 +16,7 @@ DISTNAME= Term-${PORTNAME}-${PORTVERSION}
MAINTAINER= shaun@FreeBSD.org
COMMENT= Perl 5 module that allows Term::ReadLine to use GNU readline
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
.include <bsd.port.pre.mk>
@@ -25,10 +25,6 @@ CONFIGURE_ARGS+=--includedir=${LOCALBASE}/include
LIB_DEPENDS+= readline.5:${PORTSDIR}/devel/readline
.endif
-.if ${PERL_LEVEL} < 500800
-IGNORE= this port requires Perl 5.8 or newer. Install lang/perl5.8 and try again
-.endif
-
MAN3= Term::ReadLine::Gnu.3
.include <bsd.port.post.mk>
diff --git a/devel/p5-Readonly/Makefile b/devel/p5-Readonly/Makefile
index b3dfbd81b9e2..52cdfa26bc3f 100644
--- a/devel/p5-Readonly/Makefile
+++ b/devel/p5-Readonly/Makefile
@@ -18,7 +18,7 @@ DISTFILES= ${DISTNAME}${EXTRACT_SUFX} \
MAINTAINER= skv@FreeBSD.org
COMMENT= Facility for creating read-only scalars, arrays, hashes
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
CONFIGURE_ARGS= DIR="${PORTNAME}-XS-${PORTVERSION_XS}"
PORTVERSION_XS= 1.04
@@ -28,10 +28,4 @@ post-patch:
${MV} ${WRKDIR}/${PORTNAME}-XS-${PORTVERSION_XS} ${WRKSRC}
${RM} ${WRKSRC}/*.pl
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= Perl 5.8 or newer required. Install lang/perl5.8 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Regexp-Bind/Makefile b/devel/p5-Regexp-Bind/Makefile
index ab822a222901..38192e622d8c 100644
--- a/devel/p5-Regexp-Bind/Makefile
+++ b/devel/p5-Regexp-Bind/Makefile
@@ -20,11 +20,4 @@ PERL_CONFIGURE= yes
MAN3= Regexp::Bind.3
-.include <bsd.port.pre.mk>
-
-# can't pass 'make test'
-.if ${PERL_LEVEL} < 500600
-IGNORE= needs perl 5.6.0 or higher, install lang/perl5 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Return-Value/Makefile b/devel/p5-Return-Value/Makefile
index b940a9444207..61e3de9b5fea 100644
--- a/devel/p5-Return-Value/Makefile
+++ b/devel/p5-Return-Value/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Return::Value.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Rose-DateTime/Makefile b/devel/p5-Rose-DateTime/Makefile
index 9f5550ef06d3..89f02c8b3e1c 100644
--- a/devel/p5-Rose-DateTime/Makefile
+++ b/devel/p5-Rose-DateTime/Makefile
@@ -26,10 +26,4 @@ MAN3= Rose::DateTime.3 \
Rose::DateTime::Parser.3 \
Rose::DateTime::Util.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Rose-Object/Makefile b/devel/p5-Rose-Object/Makefile
index 6a5b6b46afed..dd9adf5f7e90 100644
--- a/devel/p5-Rose-Object/Makefile
+++ b/devel/p5-Rose-Object/Makefile
@@ -29,10 +29,4 @@ MAN3= Rose::Class.3 \
Rose::Object::MakeMethods::Generic.3 \
Rose::Object::MixIn.3 \
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-SDL/Makefile b/devel/p5-SDL/Makefile
index fbad99527a64..8d43d3bdee8a 100644
--- a/devel/p5-SDL/Makefile
+++ b/devel/p5-SDL/Makefile
@@ -17,6 +17,7 @@ COMMENT= Perl Bindings for SDL
LIB_DEPENDS= png.5:${PORTSDIR}/graphics/png \
jpeg.9:${PORTSDIR}/graphics/jpeg
+USE_PERL5= yes
USE_SDL= sdl
.include <bsd.port.pre.mk>
@@ -41,16 +42,11 @@ USE_SDL+= image
USE_SDL+= mixer
.endif
-.if ${PERL_LEVEL} < 500600
-IGNORE= This port requires perl 5.6 or newer
-.endif
-
.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
RUN_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
.endif
-USE_PERL5= yes
INSTALLS_SHLIB= yes
INSTALL_TARGET= pure_install
diff --git a/devel/p5-SPOPS/Makefile b/devel/p5-SPOPS/Makefile
index 13be7bfec493..21df3c08990c 100644
--- a/devel/p5-SPOPS/Makefile
+++ b/devel/p5-SPOPS/Makefile
@@ -126,10 +126,4 @@ post-install:
@${INSTALL_DATA} ${WRKSRC}/eg/My/*.pm ${EXAMPLESDIR}/My
.endif
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-SSN-Validate/Makefile b/devel/p5-SSN-Validate/Makefile
index 045eee08b519..9fa26f0b4f10 100644
--- a/devel/p5-SSN-Validate/Makefile
+++ b/devel/p5-SSN-Validate/Makefile
@@ -20,13 +20,7 @@ BUILD_DEPENDS= ${SITE_PERL}/Test/Simple.pm:${PORTSDIR}/devel/p5-Test-Simple
PERL_CONFIGURE= yes
MAN3= SSN::Validate.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or higher
-.endif
-
test: all
cd ${WRKSRC} && ${MAKE} test
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-SVN-Agent/Makefile b/devel/p5-SVN-Agent/Makefile
index 535d93de25f0..8a4e9e4a2a57 100644
--- a/devel/p5-SVN-Agent/Makefile
+++ b/devel/p5-SVN-Agent/Makefile
@@ -20,14 +20,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/subversio
p5-File-Slurp>=0:${PORTSDIR}/devel/p5-File-Slurp
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= SVN::Agent.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-SVN-Log/Makefile b/devel/p5-SVN-Log/Makefile
index b768f3fd9a5f..17235a35a98c 100644
--- a/devel/p5-SVN-Log/Makefile
+++ b/devel/p5-SVN-Log/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/subversio
p5-Test-Simple>=0:${PORTSDIR}/devel/p5-Test-Simple
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= SVN::Log.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-SVN-Statistics/Makefile b/devel/p5-SVN-Statistics/Makefile
index 5ba9f0488d9f..b7596b824d84 100644
--- a/devel/p5-SVN-Statistics/Makefile
+++ b/devel/p5-SVN-Statistics/Makefile
@@ -21,14 +21,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/subversio
p5-IO-Toolkit>=0:${PORTSDIR}/devel/p5-IO-Toolkit
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= SVN::Statistics.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= currently requires at least Perl 5.8. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Scalar-Util-Clone/Makefile b/devel/p5-Scalar-Util-Clone/Makefile
index 45057c392c6f..4c6107df118b 100644
--- a/devel/p5-Scalar-Util-Clone/Makefile
+++ b/devel/p5-Scalar-Util-Clone/Makefile
@@ -18,17 +18,11 @@ COMMENT= Recursively copy datatypes using Perl's builtin functions
BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/List/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Scalar::Util::Clone.3
-.include <bsd.port.pre.mk>
-
post-extract:
@${PERL} -pi -e '$$_ = undef if /''OPTIMIZE''/' ${WRKSRC}/Makefile.PL
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Scope-Guard/Makefile b/devel/p5-Scope-Guard/Makefile
index 0a6a4fe418a3..11aa8d5ed0d9 100644
--- a/devel/p5-Scope-Guard/Makefile
+++ b/devel/p5-Scope-Guard/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= yes
MAN3= Scope::Guard.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Set-Array/Makefile b/devel/p5-Set-Array/Makefile
index 27e6bffadaee..28d07b8b5788 100644
--- a/devel/p5-Set-Array/Makefile
+++ b/devel/p5-Set-Array/Makefile
@@ -24,10 +24,4 @@ PERL_MODBUILD= yes
MAN3= Set::Array.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Set-Object/Makefile b/devel/p5-Set-Object/Makefile
index 6c0dfc02072a..e468d84fbf82 100644
--- a/devel/p5-Set-Object/Makefile
+++ b/devel/p5-Set-Object/Makefile
@@ -28,10 +28,4 @@ post-install:
@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
.endif
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Smart-Comments/Makefile b/devel/p5-Smart-Comments/Makefile
index 09f6ceb2e2c4..27dd7bb5b53e 100644
--- a/devel/p5-Smart-Comments/Makefile
+++ b/devel/p5-Smart-Comments/Makefile
@@ -30,10 +30,4 @@ MAN3= Smart::Comments.3
post-patch:
@${FIND} ${WRKSRC} -type f -name '*.orig' -exec ${RM} -f {} \;
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Perl5.6 or greater required. Please install lang/perl5 or lang/perl5.8
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sort-Key-DateTime/Makefile b/devel/p5-Sort-Key-DateTime/Makefile
index 157a03847938..eb63733ff32e 100644
--- a/devel/p5-Sort-Key-DateTime/Makefile
+++ b/devel/p5-Sort-Key-DateTime/Makefile
@@ -19,14 +19,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/DateTime.pm:${PORTSDIR}/devel/p5-DateTi
${SITE_PERL}/${PERL_ARCH}/Sort/Key.pm:${PORTSDIR}/devel/p5-Sort-Key
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Sort::Key::DateTime.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Spiffy/Makefile b/devel/p5-Spiffy/Makefile
index b7805df527d4..dc4cb8cf0416 100644
--- a/devel/p5-Spiffy/Makefile
+++ b/devel/p5-Spiffy/Makefile
@@ -35,8 +35,5 @@ BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Filter/Util/Call.pm:${PORTSDIR}/devel/
${SITE_PERL}/${PERL_ARCH}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS+= ${BUILD_DEPENDS}
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl then try again
-.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-Spoon/Makefile b/devel/p5-Spoon/Makefile
index 9251a430f8b6..0f9f2b68fab5 100644
--- a/devel/p5-Spoon/Makefile
+++ b/devel/p5-Spoon/Makefile
@@ -57,10 +57,6 @@ BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Time/HiRes.pm:${PORTSDIR}/devel/p5-Tim
post-patch:
@${PERL} -i -pe '$$_ = "" if $$. == 3' \
${WRKSRC}/lib/Spoon/Base.pm
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= This port requires perl 5.6.1 or later. Install lang/perl5 then try again
-.endif
.else
MAN3+= Spoon::Config.3
.endif
diff --git a/devel/p5-String-Random/Makefile b/devel/p5-String-Random/Makefile
index 4fb9d1a00c3b..11640f50af01 100644
--- a/devel/p5-String-Random/Makefile
+++ b/devel/p5-String-Random/Makefile
@@ -22,10 +22,4 @@ PERL_MODBUILD= yes
MAN3= String::Random.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sub-Exporter/Makefile b/devel/p5-Sub-Exporter/Makefile
index c43c2d5c0db4..faf8b7274532 100644
--- a/devel/p5-Sub-Exporter/Makefile
+++ b/devel/p5-Sub-Exporter/Makefile
@@ -19,15 +19,11 @@ BUILD_DEPENDS= p5-Sub-Install>=0.92:${PORTSDIR}/devel/p5-Sub-Install \
p5-Params-Util>=0.14:${PORTSDIR}/devel/p5-Params-Util
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Sub::Exporter.3 \
Sub::Exporter::Cookbook.3 \
Sub::Exporter::Tutorial.3 \
Sub::Exporter::Util.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sub-Install/Makefile b/devel/p5-Sub-Install/Makefile
index 14c65e9a3dc7..31a640101d76 100644
--- a/devel/p5-Sub-Install/Makefile
+++ b/devel/p5-Sub-Install/Makefile
@@ -19,12 +19,8 @@ BUILD_DEPENDS= ${RUN_DEPENDS} \
p5-Test-Simple>=0:${PORTSDIR}/devel/p5-Test-Simple
RUN_DEPENDS= p5-Scalar-List-Utils>=0:${PORTSDIR}/lang/p5-Scalar-List-Utils
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Sub::Install.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sub-Installer/Makefile b/devel/p5-Sub-Installer/Makefile
index 2efaec2f5689..ca6d1bcfa706 100644
--- a/devel/p5-Sub-Installer/Makefile
+++ b/devel/p5-Sub-Installer/Makefile
@@ -23,10 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Sub::Installer.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sub-Name/Makefile b/devel/p5-Sub-Name/Makefile
index e6d848a949e1..3e05d9f90640 100644
--- a/devel/p5-Sub-Name/Makefile
+++ b/devel/p5-Sub-Name/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Sub::Name.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sub-Override/Makefile b/devel/p5-Sub-Override/Makefile
index e539e773d084..b881f4e40eac 100644
--- a/devel/p5-Sub-Override/Makefile
+++ b/devel/p5-Sub-Override/Makefile
@@ -22,13 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Sub::Override.3
-.include <bsd.port.pre.mk>
-
-##
-## this port requires PERL 5.6.x or later
-##
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Sub-WrapPackages/Makefile b/devel/p5-Sub-WrapPackages/Makefile
index ad18c4dbdedf..b62382401d7d 100644
--- a/devel/p5-Sub-WrapPackages/Makefile
+++ b/devel/p5-Sub-WrapPackages/Makefile
@@ -18,12 +18,8 @@ COMMENT= Add pre- and post-execution wrappers
RUN_DEPENDS= ${SITE_PERL}/Hook/LexWrap.pm:${PORTSDIR}/devel/p5-Hook-LexWrap
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Sub::WrapPackages.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8 or newer. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Task-Weaken/Makefile b/devel/p5-Task-Weaken/Makefile
index 273a0b94737c..3e80bd6534f8 100644
--- a/devel/p5-Task-Weaken/Makefile
+++ b/devel/p5-Task-Weaken/Makefile
@@ -14,12 +14,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= lbr@FreeBSD.org
COMMENT= Ensure that a platform has weaken support
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.5+
MAN3= Task::Weaken.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500805
-IGNORE= requires at least Perl 5.8.5. (Re-)install lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-Animation/Makefile b/devel/p5-Term-Animation/Makefile
index 93ed4cf792a6..f00afe919229 100644
--- a/devel/p5-Term-Animation/Makefile
+++ b/devel/p5-Term-Animation/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Term::Animation.3 Term::Animation::Entity.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6+, install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-CallEditor/Makefile b/devel/p5-Term-CallEditor/Makefile
index 6453ad8202f3..2934ece00840 100644
--- a/devel/p5-Term-CallEditor/Makefile
+++ b/devel/p5-Term-CallEditor/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Term::CallEditor.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-Encoding/Makefile b/devel/p5-Term-Encoding/Makefile
index 0a495392eb18..64221ad36384 100644
--- a/devel/p5-Term-Encoding/Makefile
+++ b/devel/p5-Term-Encoding/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= gslin@gslin.org
COMMENT= Detect encoding of the current terminal
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.2+
MAN3= Term::Encoding.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500702
-IGNORE= requires perl 5.7.2 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-ProgressBar/Makefile b/devel/p5-Term-ProgressBar/Makefile
index 577a7ec80ab8..8f295f91c6dd 100644
--- a/devel/p5-Term-ProgressBar/Makefile
+++ b/devel/p5-Term-ProgressBar/Makefile
@@ -29,10 +29,4 @@ post-install:
@${INSTALL_DATA} ${WRKSRC}/examples/* ${EXAMPLESDIR}
.endif
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-Prompt/Makefile b/devel/p5-Term-Prompt/Makefile
index 6bb376f2ccf0..65354bd9d012 100644
--- a/devel/p5-Term-Prompt/Makefile
+++ b/devel/p5-Term-Prompt/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= Term::Prompt.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-ReadLine-Zoid/Makefile b/devel/p5-Term-ReadLine-Zoid/Makefile
index edda8cacb9a8..60b7fc1f9e34 100644
--- a/devel/p5-Term-ReadLine-Zoid/Makefile
+++ b/devel/p5-Term-ReadLine-Zoid/Makefile
@@ -29,10 +29,4 @@ MAN3= Term::ReadLine::Zoid.3 \
Term::ReadLine::Zoid::ISearch.3 \
Term::ReadLine::Zoid::ViCommand.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6+, install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Term-UI/Makefile b/devel/p5-Term-UI/Makefile
index c199249e5f1c..2d9ba3f05b8f 100644
--- a/devel/p5-Term-UI/Makefile
+++ b/devel/p5-Term-UI/Makefile
@@ -24,10 +24,4 @@ MAN3= Term::UI.3 Term::UI::History.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Class/Makefile b/devel/p5-Test-Class/Makefile
index c0f110ac8b9f..977424eb5082 100644
--- a/devel/p5-Test-Class/Makefile
+++ b/devel/p5-Test-Class/Makefile
@@ -35,8 +35,4 @@ RUN_DEPENDS+= p5-Storable>=2.04:${PORTSDIR}/devel/p5-Storable
.endif
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5.8 then try again
-.endif
-
.include <bsd.port.post.mk>
diff --git a/devel/p5-Test-Data/Makefile b/devel/p5-Test-Data/Makefile
index d3d8465d8ed3..313747336268 100644
--- a/devel/p5-Test-Data/Makefile
+++ b/devel/p5-Test-Data/Makefile
@@ -26,10 +26,4 @@ MAN3= Test::Data.3 \
Test::Data::Hash.3 \
Test::Data::Scalar.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6. Install lang/perl5 or lang/perl5.8, and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Deep/Makefile b/devel/p5-Test-Deep/Makefile
index 93fe311b950b..b272e2d6477c 100644
--- a/devel/p5-Test-Deep/Makefile
+++ b/devel/p5-Test-Deep/Makefile
@@ -29,10 +29,4 @@ post-patch:
@${PERL} -i -pe 'm/INSTALLDIRS\s+=>/ and $$_ = ""' \
${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Expect/Makefile b/devel/p5-Test-Expect/Makefile
index a94eb00e146b..148d93d5f4b7 100644
--- a/devel/p5-Test-Expect/Makefile
+++ b/devel/p5-Test-Expect/Makefile
@@ -21,12 +21,6 @@ RUN_DEPENDS= ${BUILD_DEPENDS}
MAN3= Test::Expect.3
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires at least Perl 5.8.0. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Harness/Makefile b/devel/p5-Test-Harness/Makefile
index c76ed4510894..391b64909457 100644
--- a/devel/p5-Test-Harness/Makefile
+++ b/devel/p5-Test-Harness/Makefile
@@ -27,11 +27,6 @@ MAN3= Test::Harness.3 Test::Harness::Assert.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601
-BUILD_DEPENDS+= ${SITE_PERL}/Pod/Usage.pm:${PORTSDIR}/textproc/p5-Pod-Parser
-RUN_DEPENDS+= ${BUILD_DEPENDS}
-.endif
-
.if ${PERL_LEVEL} >= 500800
.undef MAN1
PLIST_SUB+= PL_FILES="@comment "
@@ -41,9 +36,6 @@ PLIST_SUB+= PL_FILES=""
post-patch:
@${REINPLACE_CMD} -e '/INSTALLDIRS/d' ${WRKSRC}/${CONFIGURE_SCRIPT}
-.if ${PERL_LEVEL} < 500600
- @${REINPLACE_CMD} -e 's/\^V/\]/;s/\%vd/\%d/' ${WRKSRC}/bin/prove
-.endif
post-configure:
.if ${PERL_LEVEL} >= 500800
diff --git a/devel/p5-Test-HasVersion/Makefile b/devel/p5-Test-HasVersion/Makefile
index ce93de1d2497..214b0f6f928f 100644
--- a/devel/p5-Test-HasVersion/Makefile
+++ b/devel/p5-Test-HasVersion/Makefile
@@ -20,11 +20,4 @@ PERL_CONFIGURE= yes
MAN3= Test::HasVersion.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- ${PERL} -pi -e '$$_ = "" if /^use warnings/' ${WRKSRC}/HasVersion.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-LectroTest/Makefile b/devel/p5-Test-LectroTest/Makefile
index 6b37b11a23c7..c22250d4ce85 100644
--- a/devel/p5-Test-LectroTest/Makefile
+++ b/devel/p5-Test-LectroTest/Makefile
@@ -28,14 +28,6 @@ MAN3= Test::LectroTest.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5 then try again
-.endif
-
-.if ${PERL_LEVEL} < 500602
-BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
-.endif
-
.if ${PERL_LEVEL} < 500703
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Filter/Util/Call.pm:${PORTSDIR}/devel/p5-Filter
.endif
diff --git a/devel/p5-Test-LongString/Makefile b/devel/p5-Test-LongString/Makefile
index df504087bfcd..f9ce8f3b6e4d 100644
--- a/devel/p5-Test-LongString/Makefile
+++ b/devel/p5-Test-LongString/Makefile
@@ -21,11 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Test::LongString.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- ${PERL} -pi -e 's/-Tw/-w/' ${WRKSRC}/t/*.t
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-MockModule/Makefile b/devel/p5-Test-MockModule/Makefile
index 6e980cb6cdb6..34ef6329de1f 100644
--- a/devel/p5-Test-MockModule/Makefile
+++ b/devel/p5-Test-MockModule/Makefile
@@ -23,8 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Test::MockModule.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires weak references, which were introduced in Perl 5.6. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-MockTime/Makefile b/devel/p5-Test-MockTime/Makefile
index 2fd96c3882fa..582880c369c7 100644
--- a/devel/p5-Test-MockTime/Makefile
+++ b/devel/p5-Test-MockTime/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Test::MockTime.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Number-Delta/Makefile b/devel/p5-Test-Number-Delta/Makefile
index e5b31d30bb00..32cb02b728ea 100644
--- a/devel/p5-Test-Number-Delta/Makefile
+++ b/devel/p5-Test-Number-Delta/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Test::Number::Delta.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Output/Makefile b/devel/p5-Test-Output/Makefile
index 3a86b73f1733..ed101e9fddb9 100644
--- a/devel/p5-Test-Output/Makefile
+++ b/devel/p5-Test-Output/Makefile
@@ -18,14 +18,8 @@ COMMENT= Utilities to test STDOUT and STDERR messages
RUN_DEPENDS= ${SITE_PERL}/Sub/Exporter.pm:${PORTSDIR}/devel/p5-Sub-Exporter \
${SITE_PERL}/Test/Tester.pm:${PORTSDIR}/devel/p5-Test-Tester
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Test::Output::Tie.3 Test::Output.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # Inherited from devel/p5-Sub-Exporter
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Pod-Coverage/Makefile b/devel/p5-Test-Pod-Coverage/Makefile
index 94cbe2103c82..b0e07fffcce6 100644
--- a/devel/p5-Test-Pod-Coverage/Makefile
+++ b/devel/p5-Test-Pod-Coverage/Makefile
@@ -23,12 +23,4 @@ PERL_CONFIGURE= YES
MAN3= Test::Pod::Coverage.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} <= 500503
-post-patch:
- @${PERL} -pi -e '$$_ = "" if m|use warnings;|;' \
- -e 's/^our\s+([\$$\@\%]\w+)/use vars qw($$1); $$1/;' \
- ${WRKSRC}/Makefile.PL \
- ${WRKSRC}/Coverage.pm
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Pod/Makefile b/devel/p5-Test-Pod/Makefile
index bb7f9346d89b..cd539b86e211 100644
--- a/devel/p5-Test-Pod/Makefile
+++ b/devel/p5-Test-Pod/Makefile
@@ -23,11 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Test::Pod.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e 's/(my )?\$$dh/DH/g' ${WRKSRC}/Pod.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-RandomResults/Makefile b/devel/p5-Test-RandomResults/Makefile
index d20a9d130fb1..ad95b3f670ec 100644
--- a/devel/p5-Test-RandomResults/Makefile
+++ b/devel/p5-Test-RandomResults/Makefile
@@ -22,10 +22,4 @@ MAN3= Test::RandomResults.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl5.6
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-Strict/Makefile b/devel/p5-Test-Strict/Makefile
index b18320045563..70489ffc9103 100644
--- a/devel/p5-Test-Strict/Makefile
+++ b/devel/p5-Test-Strict/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Test::Strict.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-SubCalls/Makefile b/devel/p5-Test-SubCalls/Makefile
index 4f4d351f2dca..f597a2393ff7 100644
--- a/devel/p5-Test-SubCalls/Makefile
+++ b/devel/p5-Test-SubCalls/Makefile
@@ -26,8 +26,4 @@ MAN3= Test::SubCalls.3
post-patch:
@${PERL} -pi -e '$$_="" if m/Test::More/' ${WRKSRC}/Makefile.PL
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601 # inherited from devel/p5-Hook-LexWrap
-IGNORE= requires perl 5.6.1 or newer. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-WWW-Mechanize-Catalyst/Makefile b/devel/p5-Test-WWW-Mechanize-Catalyst/Makefile
index 1cff67f64f10..8af9b2da6afd 100644
--- a/devel/p5-Test-WWW-Mechanize-Catalyst/Makefile
+++ b/devel/p5-Test-WWW-Mechanize-Catalyst/Makefile
@@ -19,12 +19,8 @@ RUN_DEPENDS= p5-Catalyst-Runtime>=5.7000:${PORTSDIR}/www/p5-Catalyst-Runtime \
p5-WWW-Mechanize>=1.30:${PORTSDIR}/www/p5-WWW-Mechanize
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN3= Test::WWW::Mechanize::Catalyst.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires at least Perl 5.8.1. Install lang/perl5.8, and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-WWW-Mechanize/Makefile b/devel/p5-Test-WWW-Mechanize/Makefile
index 496de4cda30e..9a3563d6bfbc 100644
--- a/devel/p5-Test-WWW-Mechanize/Makefile
+++ b/devel/p5-Test-WWW-Mechanize/Makefile
@@ -26,10 +26,4 @@ PERL_CONFIGURE= yes
MAN3= Test::WWW::Mechanize.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.x or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Test-XML/Makefile b/devel/p5-Test-XML/Makefile
index 19141aaf89a6..49454a5e618f 100644
--- a/devel/p5-Test-XML/Makefile
+++ b/devel/p5-Test-XML/Makefile
@@ -26,8 +26,4 @@ MAN3= Test::XML.3 \
Test::XML::Twig.3 \
Test::XML::XPath.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or later. Please install lang/perl5 or lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Text-LevenshteinXS/Makefile b/devel/p5-Text-LevenshteinXS/Makefile
index 27ebbba92877..14bc646fefb0 100644
--- a/devel/p5-Text-LevenshteinXS/Makefile
+++ b/devel/p5-Text-LevenshteinXS/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Text::LevenshteinXS.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Text-vFile-asData/Makefile b/devel/p5-Text-vFile-asData/Makefile
index 4dc11cbffbe0..6f51416ea1e6 100644
--- a/devel/p5-Text-vFile-asData/Makefile
+++ b/devel/p5-Text-vFile-asData/Makefile
@@ -23,10 +23,4 @@ PERL_MODBUILD= yes
MAN1= holidays_ical.1 rota_ical.cgi.1
MAN3= Text::vFile::asData.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-BROKEN= "Not supported."
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Thread-Apartment/Makefile b/devel/p5-Thread-Apartment/Makefile
index fd2f0d05de20..8a8f48107ca1 100644
--- a/devel/p5-Thread-Apartment/Makefile
+++ b/devel/p5-Thread-Apartment/Makefile
@@ -20,14 +20,8 @@ RUN_DEPENDS= p5-Thread-Queue-Duplex>=0.92:${PORTSDIR}/devel/p5-Thread-Queue-Dupl
p5-Class-Inspector>=1.08:${PORTSDIR}/devel/p5-Class-Inspector
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Thread::Apartment.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Thread-Pool-Simple/Makefile b/devel/p5-Thread-Pool-Simple/Makefile
index efc16f2467cc..ace29019ea1b 100644
--- a/devel/p5-Thread-Pool-Simple/Makefile
+++ b/devel/p5-Thread-Pool-Simple/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= Simple thread-pool implementaion
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Thread::Pool::Simple.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Thread-Queue-Duplex/Makefile b/devel/p5-Thread-Queue-Duplex/Makefile
index 5dfe48955115..91676d74dc9d 100644
--- a/devel/p5-Thread-Queue-Duplex/Makefile
+++ b/devel/p5-Thread-Queue-Duplex/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= tjs@cdpa.nsysu.edu.tw
COMMENT= Thread-safe request/response queue with identifiable elements
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= Thread::Queue::Duplex.3 Thread::Queue::Queueable.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tie-Array-Sorted/Makefile b/devel/p5-Tie-Array-Sorted/Makefile
index 50da4c20b7a4..a03191cb82c8 100644
--- a/devel/p5-Tie-Array-Sorted/Makefile
+++ b/devel/p5-Tie-Array-Sorted/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Tie::Array::Sorted.3 \
Tie::Array::Sorted::Lazy.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tie-Hash-Regex/Makefile b/devel/p5-Tie-Hash-Regex/Makefile
index af864330bc51..eef417650937 100644
--- a/devel/p5-Tie-Hash-Regex/Makefile
+++ b/devel/p5-Tie-Hash-Regex/Makefile
@@ -22,11 +22,4 @@ MAN3= Tie::Hash::Regex.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-#due to p5-Attribute-Handlers dependency
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tie-Hash-TwoWay/Makefile b/devel/p5-Tie-Hash-TwoWay/Makefile
index 32e8bc2896de..49b59ac460f5 100644
--- a/devel/p5-Tie-Hash-TwoWay/Makefile
+++ b/devel/p5-Tie-Hash-TwoWay/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Tie::Hash::TwoWay.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tie-Simple/Makefile b/devel/p5-Tie-Simple/Makefile
index a2cbd113b2d9..5c28f999b91b 100644
--- a/devel/p5-Tie-Simple/Makefile
+++ b/devel/p5-Tie-Simple/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Tie::Simple.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tie-iCal/Makefile b/devel/p5-Tie-iCal/Makefile
index 861bd36732ff..d96c1e8755a3 100644
--- a/devel/p5-Tie-iCal/Makefile
+++ b/devel/p5-Tie-iCal/Makefile
@@ -15,14 +15,9 @@ PKGNAMEPREFIX= p5-
MAINTAINER= kaoru@kaisei.org
COMMENT= Tie iCal files to Perl hashes
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.7.3+
+USE_PERL5_REASON= requires newer version of Perl with Tie::File 0.97 or later
MAN3= Tie::iCal.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500703
-IGNORE= requires newer version of Perl with Tie::File 0.97 or later
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Time-Clock/Makefile b/devel/p5-Time-Clock/Makefile
index 9e13c227015b..b3a2b865a02f 100644
--- a/devel/p5-Time-Clock/Makefile
+++ b/devel/p5-Time-Clock/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Time::Clock.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Time-Duration-Parse/Makefile b/devel/p5-Time-Duration-Parse/Makefile
index a6b0d684cb87..4fc59d8d0964 100644
--- a/devel/p5-Time-Duration-Parse/Makefile
+++ b/devel/p5-Time-Duration-Parse/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Time::Duration::Parse.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Time-Piece/Makefile b/devel/p5-Time-Piece/Makefile
index 5e01ab9fb269..3c7b1b4409d7 100644
--- a/devel/p5-Time-Piece/Makefile
+++ b/devel/p5-Time-Piece/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Time::Piece.3 Time::Seconds.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Time-Progress/Makefile b/devel/p5-Time-Progress/Makefile
index 9fe4c9aef56c..4ff19c2b969d 100644
--- a/devel/p5-Time-Progress/Makefile
+++ b/devel/p5-Time-Progress/Makefile
@@ -19,10 +19,4 @@ MAN3= Time::Progress.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl5.6
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Binary-Dictionary/Makefile b/devel/p5-Tree-Binary-Dictionary/Makefile
index 784eefa35d8e..b35c3dd14b11 100644
--- a/devel/p5-Tree-Binary-Dictionary/Makefile
+++ b/devel/p5-Tree-Binary-Dictionary/Makefile
@@ -22,10 +22,4 @@ MAN3= Tree::Binary::Dictionary.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Binary/Makefile b/devel/p5-Tree-Binary/Makefile
index c0b5ce8a04fa..50e6b3747847 100644
--- a/devel/p5-Tree-Binary/Makefile
+++ b/devel/p5-Tree-Binary/Makefile
@@ -26,10 +26,4 @@ MAN3= Tree::Binary.3 Tree::Binary::Search.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Node/Makefile b/devel/p5-Tree-Node/Makefile
index 63c8f14ced95..4db71aa37863 100644
--- a/devel/p5-Tree-Node/Makefile
+++ b/devel/p5-Tree-Node/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= aaron@FreeBSD.org
COMMENT= Memory-efficient tree nodes in Perl
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN3= Tree::Node.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires Perl 5.8 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Parser/Makefile b/devel/p5-Tree-Parser/Makefile
index e13eaadc9565..7a4ade83ff99 100644
--- a/devel/p5-Tree-Parser/Makefile
+++ b/devel/p5-Tree-Parser/Makefile
@@ -23,10 +23,4 @@ MAN3= Tree::Parser.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later. Install lang/perl5 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Simple-View/Makefile b/devel/p5-Tree-Simple-View/Makefile
index e3f4078317e0..941ea1892b5c 100644
--- a/devel/p5-Tree-Simple-View/Makefile
+++ b/devel/p5-Tree-Simple-View/Makefile
@@ -31,10 +31,4 @@ PERL_CONFIGURE= yes
post-extract:
${RM} -f ${WRKSRC}/._Makefile.PL
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Simple-VisitorFactory/Makefile b/devel/p5-Tree-Simple-VisitorFactory/Makefile
index 13bc55e8cd16..33b1449ed25e 100644
--- a/devel/p5-Tree-Simple-VisitorFactory/Makefile
+++ b/devel/p5-Tree-Simple-VisitorFactory/Makefile
@@ -41,10 +41,4 @@ MAN3= Tree::Simple::Visitor::BreadthFirstTraversal.3 \
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Tree-Simple/Makefile b/devel/p5-Tree-Simple/Makefile
index 73e0e0d19ab1..147d78396ca1 100644
--- a/devel/p5-Tree-Simple/Makefile
+++ b/devel/p5-Tree-Simple/Makefile
@@ -25,8 +25,5 @@ MAN3= Tree::Simple.3 Tree::Simple::Visitor.3
BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
RUN_DEPENDS+= ${BUILD_DEPENDS}
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= perl 5.8 or newer required. Install lang/perl5.8 and try again
-.endif
.include <bsd.port.post.mk>
diff --git a/devel/p5-UI-Dialog/Makefile b/devel/p5-UI-Dialog/Makefile
index e755ce4adde7..a74083a7be7e 100644
--- a/devel/p5-UI-Dialog/Makefile
+++ b/devel/p5-UI-Dialog/Makefile
@@ -44,10 +44,4 @@ MAN3= UI::Dialog.3 UI::Dialog::Backend::XDialog.3 \
UI::Dialog::Backend::Nautilus.3 UI::Dialog::Backend::GDialog.3 \
UI::Dialog::Backend::XOSD.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.006 or above; please upgrade
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-UNIVERSAL-can/Makefile b/devel/p5-UNIVERSAL-can/Makefile
index 97e6f55a094c..0da04b798fb4 100644
--- a/devel/p5-UNIVERSAL-can/Makefile
+++ b/devel/p5-UNIVERSAL-can/Makefile
@@ -23,8 +23,4 @@ PERL_MODBUILD= yes
MAN3= UNIVERSAL::can.3
-.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6 or later. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-UNIVERSAL-isa/Makefile b/devel/p5-UNIVERSAL-isa/Makefile
index 499246fb0459..dc185bdf2dd1 100644
--- a/devel/p5-UNIVERSAL-isa/Makefile
+++ b/devel/p5-UNIVERSAL-isa/Makefile
@@ -22,10 +22,4 @@ PERL_MODBUILD= yes
MAN3= UNIVERSAL::isa.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or newer. Install lang/perl5 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-UNIVERSAL-which/Makefile b/devel/p5-UNIVERSAL-which/Makefile
index 694eed785c91..100103c53618 100644
--- a/devel/p5-UNIVERSAL-which/Makefile
+++ b/devel/p5-UNIVERSAL-which/Makefile
@@ -15,13 +15,7 @@ PKGNAMEPREFIX= p5-
MAINTAINER= kuriyama@FreeBSD.org
COMMENT= Perl extension for telling fully qualified name of the method
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN3= UNIVERSAL::which.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500801
-IGNORE= requires Perl 5.8.1 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Unix-Statgrab/Makefile b/devel/p5-Unix-Statgrab/Makefile
index 3a363367ad5e..7b8ebd2fead9 100644
--- a/devel/p5-Unix-Statgrab/Makefile
+++ b/devel/p5-Unix-Statgrab/Makefile
@@ -26,11 +26,4 @@ CONFIGURE_ARGS+= INC="`pkg-config libstatgrab --cflags`" \
MAN3= Unix::Statgrab.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -i -pe 's/}\(/}->(/' ${WRKSRC}/lib/Unix/Statgrab.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-User-Identity/Makefile b/devel/p5-User-Identity/Makefile
index e0664eb6d6e1..3140c1521802 100644
--- a/devel/p5-User-Identity/Makefile
+++ b/devel/p5-User-Identity/Makefile
@@ -32,10 +32,4 @@ MAN3= Mail::Identity.3 \
User::Identity::Location.3 \
User::Identity::System.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6 or newer
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-VCP-Dest-svk/Makefile b/devel/p5-VCP-Dest-svk/Makefile
index 64695b861022..32db078ca56d 100644
--- a/devel/p5-VCP-Dest-svk/Makefile
+++ b/devel/p5-VCP-Dest-svk/Makefile
@@ -22,14 +22,8 @@ BUILD_DEPENDS= ${SITE_PERL}/VCP.pm:${PORTSDIR}/devel/p5-VCP-autrijus \
${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= VCP::Dest::svk.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= this program only supports perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-VCP-Source-cvsbk/Makefile b/devel/p5-VCP-Source-cvsbk/Makefile
index ffd0a695427b..f64aded53dc0 100644
--- a/devel/p5-VCP-Source-cvsbk/Makefile
+++ b/devel/p5-VCP-Source-cvsbk/Makefile
@@ -18,15 +18,9 @@ COMMENT= VCP source driver for bk exported cvs repository
BUILD_DEPENDS= ${SITE_PERL}/VCP.pm:${PORTSDIR}/devel/p5-VCP-autrijus
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= VCP::Source::cvsbk.3 \
VCP::Filter::cvsbkchangeset.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= This program only support perl 5.8.0 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-VCP-autrijus/Makefile b/devel/p5-VCP-autrijus/Makefile
index bbd4cf8482a5..234d42967594 100644
--- a/devel/p5-VCP-autrijus/Makefile
+++ b/devel/p5-VCP-autrijus/Makefile
@@ -29,6 +29,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-X
${SITE_PERL}/${PERL_ARCH}/List/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS= ${BUILD_DEPENDS}
+USE_PERL5= yes
+
.include <bsd.port.pre.mk>
.if ${PERL_LEVEL} < 500800
diff --git a/devel/p5-VCP/Makefile b/devel/p5-VCP/Makefile
index c5f6f04e59e0..da313fbb34c4 100644
--- a/devel/p5-VCP/Makefile
+++ b/devel/p5-VCP/Makefile
@@ -28,6 +28,8 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-X
${SITE_PERL}/${PERL_ARCH}/List/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils
RUN_DEPENDS= ${BUILD_DEPENDS}
+USE_PERL5= yes
+
.include <bsd.port.pre.mk>
.if ${PERL_LEVEL} < 500800
@@ -37,10 +39,6 @@ RUN_DEPENDS+= ${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
PERL_CONFIGURE= yes
-.if ${PERL_LEVEL} < 500600
-BROKEN= "Does not compile with perl ${PERL_VERSION}"
-.endif
-
MAN1= vcp.1
MAN3= RevML::Doctype.3 \
RevML::Writer.3 \
diff --git a/devel/p5-VCS-Lite/Makefile b/devel/p5-VCS-Lite/Makefile
index 0dd4aef7dcc3..2a1a32a719d3 100644
--- a/devel/p5-VCS-Lite/Makefile
+++ b/devel/p5-VCS-Lite/Makefile
@@ -22,10 +22,4 @@ PERL_CONFIGURE= yes
MAN3= VCS::Lite.3 VCS::Lite::Delta.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl5.6. Install lang/perl5 or lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Workflow/Makefile b/devel/p5-Workflow/Makefile
index c63bfedfeeb3..6f39359fa38a 100644
--- a/devel/p5-Workflow/Makefile
+++ b/devel/p5-Workflow/Makefile
@@ -32,7 +32,7 @@ BUILD_DEPENDS= \
${SITE_PERL}/Test/Exception.pm:${PORTSDIR}/devel/p5-Test-Exception
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.6+
MAN3= Workflow.3 \
Workflow::Action.3 \
@@ -92,10 +92,4 @@ post-install:
@${ECHO_MSG} "===> Docs are installed in ${DOCSDIR}."
.endif
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500806
-IGNORE= requires newer Perl, but you can install required old additional perl modules from CPAN instead
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-Yada-Yada-Yada/Makefile b/devel/p5-Yada-Yada-Yada/Makefile
index 78002aa7a3eb..a420651f968d 100644
--- a/devel/p5-Yada-Yada-Yada/Makefile
+++ b/devel/p5-Yada-Yada-Yada/Makefile
@@ -22,10 +22,4 @@ MAN3= Yada::Yada::Yada.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-orz/Makefile b/devel/p5-orz/Makefile
index 0bb9f1c3b4e9..395b497ab848 100644
--- a/devel/p5-orz/Makefile
+++ b/devel/p5-orz/Makefile
@@ -18,14 +18,8 @@ COMMENT= A method of annotation as /* */ in perl
BUILD_DEPENDS= ${SITE_PERL}/Module/Compile.pm:${PORTSDIR}/devel/p5-Module-Compile
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= orz.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # inherited from p5-Module-Compile
-IGNORE= requires perl 5.8 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-rpm-build-perl/Makefile b/devel/p5-rpm-build-perl/Makefile
index c79cc9d2f73b..6d723d71bc55 100644
--- a/devel/p5-rpm-build-perl/Makefile
+++ b/devel/p5-rpm-build-perl/Makefile
@@ -20,10 +20,4 @@ PERL_CONFIGURE= yes
MAN1= perl.prov.1 perl.req.1
MAN3= B::PerlReq.3 PerlReq::Utils.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires Perl 5.6.0 or newer. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-subatom/Makefile b/devel/p5-subatom/Makefile
index e1e785e3c144..2c2860db7073 100644
--- a/devel/p5-subatom/Makefile
+++ b/devel/p5-subatom/Makefile
@@ -18,15 +18,9 @@ COMMENT= Produce an atom feed from subversion commits
BUILD_DEPENDS= ${SITE_PERL}/XML/Atom/SimpleFeed.pm:${PORTSDIR}/textproc/p5-XML-Atom-SimpleFeed
RUN_DEPENDS:= ${BUILD_DEPENDS}
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
PLIST_FILES= bin/subatom
MAN1= subatom.1
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800 # Inherited from textproc/XML-Atom-SimpleFeed
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-threads-shared/Makefile b/devel/p5-threads-shared/Makefile
index d7d67f4fa0d5..e41f59d5e541 100644
--- a/devel/p5-threads-shared/Makefile
+++ b/devel/p5-threads-shared/Makefile
@@ -18,14 +18,8 @@ COMMENT= Perl extension for sharing data structures between threads
RUN_DEPENDS= p5-threads>=1.59:${PORTSDIR}/devel/p5-threads
BUILD_DEPENDS= ${RUN_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= threads::shared.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/p5-threads/Makefile b/devel/p5-threads/Makefile
index 610370a1bcbb..a52ef70a1425 100644
--- a/devel/p5-threads/Makefile
+++ b/devel/p5-threads/Makefile
@@ -15,14 +15,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= clsung@FreeBSD.org
COMMENT= Perl interpreter-based threads
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.0+
MAN3= threads.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/subversion-devel/Makefile b/devel/subversion-devel/Makefile
index 5f4220d8c7b9..d0e06a97203c 100644
--- a/devel/subversion-devel/Makefile
+++ b/devel/subversion-devel/Makefile
@@ -92,9 +92,7 @@ PLIST_SUB+= WITHOUT_BDB=""
.endif
.if defined(WITH_PERL)
-.if ${PERL_LEVEL} < 500800
-IGNORE= subversion\'s Perl bindings need perl 5.8.0 or greater. Upgrade your perl and try again
-.endif
+USE_PERL5= 5.8.0+
SWIG_BINDINGS+= yes
USE_PERL5= yes
PLIST_SUB+= WITH_PERL=""
diff --git a/devel/subversion-freebsd/Makefile b/devel/subversion-freebsd/Makefile
index 5f4220d8c7b9..d0e06a97203c 100644
--- a/devel/subversion-freebsd/Makefile
+++ b/devel/subversion-freebsd/Makefile
@@ -92,9 +92,7 @@ PLIST_SUB+= WITHOUT_BDB=""
.endif
.if defined(WITH_PERL)
-.if ${PERL_LEVEL} < 500800
-IGNORE= subversion\'s Perl bindings need perl 5.8.0 or greater. Upgrade your perl and try again
-.endif
+USE_PERL5= 5.8.0+
SWIG_BINDINGS+= yes
USE_PERL5= yes
PLIST_SUB+= WITH_PERL=""
diff --git a/devel/subversion/Makefile b/devel/subversion/Makefile
index 5f4220d8c7b9..d0e06a97203c 100644
--- a/devel/subversion/Makefile
+++ b/devel/subversion/Makefile
@@ -92,9 +92,7 @@ PLIST_SUB+= WITHOUT_BDB=""
.endif
.if defined(WITH_PERL)
-.if ${PERL_LEVEL} < 500800
-IGNORE= subversion\'s Perl bindings need perl 5.8.0 or greater. Upgrade your perl and try again
-.endif
+USE_PERL5= 5.8.0+
SWIG_BINDINGS+= yes
USE_PERL5= yes
PLIST_SUB+= WITH_PERL=""
diff --git a/devel/subversion16/Makefile b/devel/subversion16/Makefile
index 5f4220d8c7b9..d0e06a97203c 100644
--- a/devel/subversion16/Makefile
+++ b/devel/subversion16/Makefile
@@ -92,9 +92,7 @@ PLIST_SUB+= WITHOUT_BDB=""
.endif
.if defined(WITH_PERL)
-.if ${PERL_LEVEL} < 500800
-IGNORE= subversion\'s Perl bindings need perl 5.8.0 or greater. Upgrade your perl and try again
-.endif
+USE_PERL5= 5.8.0+
SWIG_BINDINGS+= yes
USE_PERL5= yes
PLIST_SUB+= WITH_PERL=""
diff --git a/devel/svk/Makefile b/devel/svk/Makefile
index 1b00c6336a35..a46cf0c8a4ed 100644
--- a/devel/svk/Makefile
+++ b/devel/svk/Makefile
@@ -50,7 +50,7 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/List/MoreUtils.pm:${PORTSDIR}/lang/p5-L
p5-version>=0.68:${PORTSDIR}/devel/p5-version
RUN_DEPENDS= ${BUILD_DEPENDS}
-PERL_CONFIGURE= yes
+PERL_CONFIGURE= 5.8.1+
MAN1= svk.1
MAN3= SVK.3 \
@@ -151,10 +151,6 @@ MAN3= SVK.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500801
-IGNORE= this program only support perl 5.8.1 or above
-.endif
-
.if ${PERL_LEVEL} < 500807
BUILD_DEPENDS+= p5-Encode>=2.10:${PORTSDIR}/converters/p5-Encode
RUN_DEPENDS+= p5-Encode>=2.10:${PORTSDIR}/converters/p5-Encode
diff --git a/devel/svn_load_dirs/Makefile b/devel/svn_load_dirs/Makefile
index df0752f08fd7..e7c63cb62f5e 100644
--- a/devel/svn_load_dirs/Makefile
+++ b/devel/svn_load_dirs/Makefile
@@ -18,16 +18,10 @@ RUN_DEPENDS= ${SITE_PERL}/URI.pm:${PORTSDIR}/net/p5-URI \
${LOCALBASE}/bin/svn:${PORTSDIR}/devel/subversion
USE_BZIP2= yes
-USE_PERL5= yes
+USE_PERL5= 5.8.0+
WRKSRC= ${WRKDIR}/${DISTNAME}/contrib/client-side
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500800
-IGNORE= requires perl 5.8.0 or later. Install lang/perl5.8 and try again
-.endif
-
do-build:
${SED} -E \
-e 's|^(#!)/usr/bin/perl[[:>:]]|\1${PERL}|g' \
@@ -43,4 +37,4 @@ do-install:
${INSTALL_DATA} ${WRKSRC}/svn_load_dirs.README ${DOCSDIR}/
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/valgrind-snapshot/Makefile b/devel/valgrind-snapshot/Makefile
index 2d8268225f6c..15a76f9e4d2c 100644
--- a/devel/valgrind-snapshot/Makefile
+++ b/devel/valgrind-snapshot/Makefile
@@ -58,10 +58,6 @@ PLIST_SUB+= RELENG_7="@comment "
.endif
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= can\'t be built. Your Perl version is too old. Please use lang/perl5.8 port to upgrade your Perl
-.endif
-
PROCFS!= /sbin/mount | ${GREP} '^procfs' | ${AWK} '{print $1}'
pre-everything::
diff --git a/devel/valgrind/Makefile b/devel/valgrind/Makefile
index 30e06d1d442e..3c7c32bae887 100644
--- a/devel/valgrind/Makefile
+++ b/devel/valgrind/Makefile
@@ -54,10 +54,6 @@ PLIST_SUB+= RELENG_7="@comment "
.endif
.endif
-.if ${PERL_LEVEL} < 500601
-IGNORE= can\'t be built. Your Perl version is too old. Please use lang/perl5.8 port to upgrade your Perl
-.endif
-
PROCFS!= /sbin/mount | ${GREP} '^procfs' | ${AWK} '{print $1}'
pre-everything::
diff --git a/dns/fpdns/Makefile b/dns/fpdns/Makefile
index 1260e6068239..3d12c5394196 100644
--- a/dns/fpdns/Makefile
+++ b/dns/fpdns/Makefile
@@ -23,12 +23,6 @@ PERL_CONFIGURE= yes
MAN1= fpdns.1
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= Requires at least Perl version 5.6.0
-.endif
-
verify: checksum
gpg --verify ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}.sig
@@ -41,4 +35,4 @@ post-build:
post-install:
${RM} ${SITE_PERL}/${PERL_ARCH}/auto/Net/DNS/Fingerprint/.packlist
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/p5-DNS-EasyDNS/Makefile b/dns/p5-DNS-EasyDNS/Makefile
index d101325271fc..d6b75cc9f7bc 100644
--- a/dns/p5-DNS-EasyDNS/Makefile
+++ b/dns/p5-DNS-EasyDNS/Makefile
@@ -23,16 +23,10 @@ MAN3= DNS::EasyDNS.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6 due to dependencies. Please install lang/perl5.8 and try again
-.endif
-
post-install:
.if !defined(NOPORTDOCS)
@${MKDIR} ${EXAMPLESDIR}
${INSTALL_DATA} ${WRKSRC}/examples/* ${EXAMPLESDIR}
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/p5-Net-DNS-SEC/Makefile b/dns/p5-Net-DNS-SEC/Makefile
index c64ada9ac2b2..488026bababf 100644
--- a/dns/p5-Net-DNS-SEC/Makefile
+++ b/dns/p5-Net-DNS-SEC/Makefile
@@ -33,9 +33,7 @@ MAN3= Net::DNS::Keyset.3 Net::DNS::RR::DS.3 Net::DNS::RR::KEY.3 \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again.
-.elif ${PERL_LEVEL} < 500800
+.if ${PERL_LEVEL} < 500800
BUILD_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple \
${SITE_PERL}/${PERL_ARCH}/MIME/Base64.pm:${PORTSDIR}/converters/p5-MIME-Base64
RUN_DEPENDS+= ${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple \
diff --git a/dns/p5-Net-DNS-ToolKit/Makefile b/dns/p5-Net-DNS-ToolKit/Makefile
index ab188d49f047..c6277a64f108 100644
--- a/dns/p5-Net-DNS-ToolKit/Makefile
+++ b/dns/p5-Net-DNS-ToolKit/Makefile
@@ -43,10 +43,4 @@ MAN3= Net::DNS::ToolKit.3 \
Net::DNS::ToolKit::RR::Template.3 \
Net::DNS::ToolKit::Utilities.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-CONFIGURE_ARGS+= LDFLAGS="-Wl,-E -L${LOCALBASE}/lib"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/p5-Net-DNS-ZoneFile-Fast/Makefile b/dns/p5-Net-DNS-ZoneFile-Fast/Makefile
index d8a89b91424d..178a3dbb30a4 100644
--- a/dns/p5-Net-DNS-ZoneFile-Fast/Makefile
+++ b/dns/p5-Net-DNS-ZoneFile-Fast/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Net::DNS::ZoneFile::Fast.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/p5-Net-Domain-TLD/Makefile b/dns/p5-Net-Domain-TLD/Makefile
index 97472e3fe017..bc0cc88e0206 100644
--- a/dns/p5-Net-Domain-TLD/Makefile
+++ b/dns/p5-Net-Domain-TLD/Makefile
@@ -24,12 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Net::Domain::TLD.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- ${PERL} -pi -e 's/^\s*our\s+([\$$\@\%]\w+)/use vars qw($$1);$$1/;' \
- -e 's/.*warnings.*//' ${WRKSRC}/lib/Net/Domain/TLD.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/p5-Net-LibIDN/Makefile b/dns/p5-Net-LibIDN/Makefile
index a970ef6620d9..f11f6f8f32cc 100644
--- a/dns/p5-Net-LibIDN/Makefile
+++ b/dns/p5-Net-LibIDN/Makefile
@@ -22,10 +22,4 @@ CONFIGURE_ARGS+= --with-libidn=${PREFIX}/lib --with-libidn-inc=${PREFIX}/include
MAN3= Net::LibIDN.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5.8 then try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/p5-Stanford-DNSserver/Makefile b/dns/p5-Stanford-DNSserver/Makefile
index e0fd1f27f80f..e28edbf5fee9 100644
--- a/dns/p5-Stanford-DNSserver/Makefile
+++ b/dns/p5-Stanford-DNSserver/Makefile
@@ -18,10 +18,4 @@ PERL_CONFIGURE= yes
MAN3= Stanford::DNS.3 Stanford::DNSserver.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= does not work with the IO::Socket::INET module in Perl 5.00503
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/editors/zim/Makefile b/editors/zim/Makefile
index 9a97ada5ff85..9b7bbb006469 100644
--- a/editors/zim/Makefile
+++ b/editors/zim/Makefile
@@ -22,7 +22,7 @@ BUILD_DEPENDS= ${SITE_PERL}/${PERL_ARCH}/Gtk2.pm:${PORTSDIR}/x11-toolkits/p5-Gtk
RUN_DEPENDS= ${BUILD_DEPENDS}
USE_GNOME= gtk20 desktopfileutils
-PERL_MODBUILD= yes
+PERL_MODBUILD= 5.8.0+
MAN1= zim.1
MAN3= Gtk2::Ex::DesktopEntryMenu.3 \
Gtk2::Ex::HyperTextBuffer.3 \
@@ -66,10 +66,6 @@ OPTIONS= TRAYICON "Support trayicon" on \
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500800
-IGNORE= perl 5.8.0 or newer required, please install lang/perl5.8 and try again
-.endif
-
.if !defined(WITHOUT_TRAYICON)
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Gtk2/TrayIcon.pm:${PORTSDIR}/x11-toolkits/p5-Gtk2-TrayIcon
.endif
diff --git a/finance/p5-Finance-Amortization/Makefile b/finance/p5-Finance-Amortization/Makefile
index 194a95792e93..9ff48b24d69c 100644
--- a/finance/p5-Finance-Amortization/Makefile
+++ b/finance/p5-Finance-Amortization/Makefile
@@ -18,10 +18,4 @@ PERL_CONFIGURE= yes
MAN3= Finance::Amortization.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE=Needs perl 5.6.0 or higher, install lang/perl5.6 and try again.
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/finance/p5-Finance-Currency-Convert-WebserviceX/Makefile b/finance/p5-Finance-Currency-Convert-WebserviceX/Makefile
index 5361a7fd0df1..7822a87df020 100644
--- a/finance/p5-Finance-Currency-Convert-WebserviceX/Makefile
+++ b/finance/p5-Finance-Currency-Convert-WebserviceX/Makefile
@@ -23,13 +23,4 @@ PERL_CONFIGURE= yes
MAN3= Finance::Currency::Convert::WebserviceX.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-post-patch:
- @${PERL} -pi -e '$$_ = "" if /^use warnings/o' \
- ${WRKSRC}/Makefile.PL \
- ${WRKSRC}/lib/Finance/Currency/Convert/WebserviceX.pm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/finance/p5-Locale-Currency-Format/Makefile b/finance/p5-Locale-Currency-Format/Makefile
index 8e776ace77bc..9e1c54a65761 100644
--- a/finance/p5-Locale-Currency-Format/Makefile
+++ b/finance/p5-Locale-Currency-Format/Makefile
@@ -19,10 +19,4 @@ PERL_CONFIGURE= yes
MAN3= Locale::Currency::Format.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/ftp/ftpsync/Makefile b/ftp/ftpsync/Makefile
index 101950674925..d89a7d66d41b 100644
--- a/ftp/ftpsync/Makefile
+++ b/ftp/ftpsync/Makefile
@@ -20,13 +20,7 @@ USE_BZIP2= yes
USE_PERL5= yes
PLIST_FILES= bin/${PORTNAME}.pl
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or later. Install lang/perl5.8 and try again
-.endif
-
do-install:
@${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.pl ${PREFIX}/bin/
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/ftp/p5-File-Fetch/Makefile b/ftp/p5-File-Fetch/Makefile
index 9e7a1c97f4ee..773fb36cb9fd 100644
--- a/ftp/p5-File-Fetch/Makefile
+++ b/ftp/p5-File-Fetch/Makefile
@@ -24,10 +24,4 @@ MAN3= File::Fetch.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/ftp/p5-Net-FTP-Common/Makefile b/ftp/p5-Net-FTP-Common/Makefile
index 9fb27634068e..1a873936c217 100644
--- a/ftp/p5-Net-FTP-Common/Makefile
+++ b/ftp/p5-Net-FTP-Common/Makefile
@@ -21,10 +21,4 @@ PERL_CONFIGURE= yes
MAN3= Net::FTP::Common.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600 # inherited from security/p5-Authen-SASL
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/ftp/p5-Net-FTPServer/Makefile b/ftp/p5-Net-FTPServer/Makefile
index 5f2355dc7b86..73495673ecd7 100644
--- a/ftp/p5-Net-FTPServer/Makefile
+++ b/ftp/p5-Net-FTPServer/Makefile
@@ -55,10 +55,6 @@ DOCS= FAQ README TODO doc/*
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires perl 5.6.1 or later. Install lang/perl5.8 then try again
-.endif
-
.if ${PERL_LEVEL} < 500703
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/Digest/MD5.pm:${PORTSDIR}/security/p5-Digest-MD5 \
${SITE_PERL}/Net/FTP.pm:${PORTSDIR}/net/p5-Net
diff --git a/games/frozenbubble/Makefile b/games/frozenbubble/Makefile
index 777766908517..abde8beb814f 100644
--- a/games/frozenbubble/Makefile
+++ b/games/frozenbubble/Makefile
@@ -23,8 +23,6 @@ USE_SDL= mixer sdl pango
USE_GMAKE= yes
USE_BZIP2= yes
USE_GETTEXT= yes
-
-USE_PERL5= yes
PERL_CONFIGURE= yes
CONFIGURE_WRKSRC= ${WRKSRC}/c_stuff
diff --git a/games/p5-Algorithm-Pair-Best/Makefile b/games/p5-Algorithm-Pair-Best/Makefile
index 35c4946c6097..523e884932a9 100644
--- a/games/p5-Algorithm-Pair-Best/Makefile
+++ b/games/p5-Algorithm-Pair-Best/Makefile
@@ -19,10 +19,4 @@ MAN3= Algorithm::Pair::Best.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/p5-Algorithm-Pair-Swiss/Makefile b/games/p5-Algorithm-Pair-Swiss/Makefile
index 9177160c93f3..e184eae95bd3 100644
--- a/games/p5-Algorithm-Pair-Swiss/Makefile
+++ b/games/p5-Algorithm-Pair-Swiss/Makefile
@@ -19,10 +19,4 @@ MAN3= Algorithm::Pair::Swiss.3
PERL_MODBUILD= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/p5-Baseball-Sabermetrics/Makefile b/games/p5-Baseball-Sabermetrics/Makefile
index 94571b001863..84b24b48b43a 100644
--- a/games/p5-Baseball-Sabermetrics/Makefile
+++ b/games/p5-Baseball-Sabermetrics/Makefile
@@ -24,10 +24,4 @@ PERL_CONFIGURE= yes
MAN3= Baseball::Sabermetrics.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.0 or higher. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/p5-Games-AlphaBeta/Makefile b/games/p5-Games-AlphaBeta/Makefile
index 6bff6b582783..944b5bf04962 100644
--- a/games/p5-Games-AlphaBeta/Makefile
+++ b/games/p5-Games-AlphaBeta/Makefile
@@ -27,11 +27,5 @@ MAN3= Games::AlphaBeta.3 Games::AlphaBeta::Position.3 \
Games::AlphaBeta::Reversi.3 \
Games::Sequential.3 Games::Sequential::Position.3
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500601
-IGNORE= requires Perl 5.6.1 or above
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/p5-Games-GuessWord/Makefile b/games/p5-Games-GuessWord/Makefile
index 0e4f636c9e67..cf6a5f2e91c5 100644
--- a/games/p5-Games-GuessWord/Makefile
+++ b/games/p5-Games-GuessWord/Makefile
@@ -19,10 +19,4 @@ MAN3= Games::GuessWord.3
PERL_CONFIGURE= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl 5.6. Please install lang/perl5.8 and try again
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/p5-Games-Tournament-RoundRobin/Makefile b/games/p5-Games-Tournament-RoundRobin/Makefile
index 520d23e57350..d342616e0650 100644
--- a/games/p5-Games-Tournament-RoundRobin/Makefile
+++ b/games/p5-Games-Tournament-RoundRobin/Makefile
@@ -20,10 +20,4 @@ MAN3= Games::Tournament::RoundRobin.3 \
PERL_MODBUILD= yes
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires at least Perl5.6
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/graphics/bugle/Makefile b/graphics/bugle/Makefile
index 406f0cb8068c..493e053cc5d6 100644
--- a/graphics/bugle/Makefile
+++ b/graphics/bugle/Makefile
@@ -46,10 +46,6 @@ OPTIONS+= THREADS "Use pthreads" off
.include <bsd.port.pre.mk>
-.if ${PERL_LEVEL} < 500600
-IGNORE= requires perl 5.6.x or later to build. Install lang/perl5.8 then try again
-.endif
-
.if defined(WITH_AVCODEC)
CONFIGURE_ARGS+=--with-lavc
LIB_DEPENDS+= avcodec.1:${PORTSDIR}/multimedia/ffmpeg
diff --git a/graphics/gscan2pdf/Makefile b/graphics/gscan2pdf/Makefile
index 10aa59325c44..f8e57401203b 100644
--- a/graphics/gscan2pdf/Makefile
+++ b/graphics/gscan2pdf/Makefile
@@ -30,7 +30,6 @@ RUN_DEPENDS= p5-PDF-API2>=0.57:${PORTSDIR}/textproc/p5-PDF-API2 \
USE_GETTEXT= yes
USE_GMAKE= yes
USE_GNOME= librsvg2
-USE_PERL5= yes
PERL_CONFIGURE= yes
MAN1= ${PORTNAME}.1
diff --git a/graphics/p5-Acme-Steganography-Image-Png/Makefile b/graphics/p5-Acme-Steganography-Image-Png/Makefile
index 8651aa4fc8f3..5e9f4fe7d8c1 100644
--- a/graphics/p5-Acme-Steganography-Image-Png/Makefile
+++ b/graphics/p5-Acme-Steganography-Image-Png/Makefile